<?php

namespace App\Http\Controllers\admin;

use App\Models\crew;
use App\Models\vessel;
use App\Models\general_cv;
use Illuminate\Http\Request;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\DB;
use App\Http\Controllers\Controller;
use App\Models\crew_immigration_document;
use App\Models\crew_academic_qualificaition;
use App\Models\crew_prev_sea_service_details;
use App\Models\crew_qualification_certificate;
use PDF;
use Illuminate\Support\Facades\App;

class general_cvController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    public function index()
    {
        $this->setPageTitle('CV / Application List','CV / Application List','CV / Application List');
        $general_cv = DB::table('general_cvs')
        ->leftJoin('vessels', 'vessels.id', '=', 'general_cvs.for_vessel')
        ->leftJoin('crews', 'crews.id', '=', 'general_cvs.crew_id')
        ->where('crews.status', '0')
        ->select('crews.full_name', 'vessels.vessel_name', 'general_cvs.position_applied', 'general_cvs.id', 'general_cvs.crew_id as crew_id', 'general_cvs.for_vessel as for_vessel')
        ->paginate(10);
        $certificates = DB::table('certificates')->where('status', '1')->orderBy('order')->get();

        return view('backend.pages.general-cv.index', compact('general_cv', 'certificates'));
    }
    public function onBoard()
    {
        $this->setPageTitle('CV / Application List','CV / Application List','CV / Application List');
        $general_cv = DB::table('general_cvs')
        ->leftJoin('vessels', 'vessels.id', '=', 'general_cvs.for_vessel')
        ->leftJoin('crews', 'crews.id', '=', 'general_cvs.crew_id')
        ->where('crews.status', '1')
        ->select('crews.full_name', 'vessels.vessel_name', 'general_cvs.position_applied', 'general_cvs.id', 'general_cvs.crew_id as crew_id', 'general_cvs.for_vessel as for_vessel')
        ->paginate(10);
        $certificates = DB::table('certificates')->where('status', '1')->orderBy('order')->get();

        return view('backend.pages.general-cv.index-onboard', compact('general_cv', 'certificates'));
    }
    public function rankCV(Request $request){
        $validatedData = $request->validate([
            'rank_name' => 'required',
        ]);
        if($request->rank_name == 0 || $request->rank_name == ''){  $rank_name = '';  }else{  $rank_name = $request->rank_name; }

        $this->setPageTitle('CV / Application List','CV / Application List','CV / Application List');
        $general_cv = DB::table('general_cvs')
        ->leftJoin('vessels', 'vessels.id', '=', 'general_cvs.for_vessel')
        ->leftJoin('crews', 'crews.id', '=', 'general_cvs.crew_id')
        ->where('crews.rank', $rank_name)
        ->Where('crews.status', '0')
        ->select('crews.full_name', 'vessels.vessel_name', 'general_cvs.position_applied', 'general_cvs.id', 'general_cvs.crew_id as crew_id', 'general_cvs.for_vessel as for_vessel')
        ->paginate(10);
        $certificates = DB::table('certificates')->where('status', '1')->orderBy('order')->get();

        return view('backend.pages.general-cv.indexRank', compact('general_cv', 'certificates','rank_name'));
    }
    public function boardRankCV(Request $request){
        $validatedData = $request->validate([
            'rank_name' => 'required',
        ]);
        if($request->rank_name == 0 || $request->rank_name == ''){  $rank_name = '';  }else{  $rank_name = $request->rank_name; }

        $this->setPageTitle('CV / Application List','CV / Application List','CV / Application List');
        $general_cv = DB::table('general_cvs')
        ->leftJoin('vessels', 'vessels.id', '=', 'general_cvs.for_vessel')
        ->leftJoin('crews', 'crews.id', '=', 'general_cvs.crew_id')
        ->where('crews.rank', $rank_name)
        ->Where('crews.status', '1')
        ->select('crews.full_name', 'vessels.vessel_name', 'general_cvs.position_applied', 'general_cvs.id', 'general_cvs.crew_id as crew_id', 'general_cvs.for_vessel as for_vessel')
        ->paginate(10);
        $certificates = DB::table('certificates')->where('status', '1')->orderBy('order')->get();

        return view('backend.pages.general-cv.index-onboardRank', compact('general_cv', 'certificates','rank_name'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $certificates = DB::table('certificates')->where('status', '1')->orderBy('order')->get();
        $this->setPageTitle('Add New Applicant','Add New Applicant','Add New Applicant');
        $crew = DB::table('crews')->get();
        $vessels = DB::table('vessels')->get();
        return view('backend.pages.general-cv.add', compact('crew', 'vessels', 'certificates'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validatedData = $request->validate([
            'crew_id' => 'required',
            'position_applied' => 'required',
            'for_vessel' => 'required',
        ]);
        if($request->application_date == 0 || $request->application_date == ''){  $application_date = '';  }else{  $application_date = $request->application_date; }
        if($request->available_date == 0 || $request->available_date == ''){  $available_date = '';  }else{  $available_date = $request->available_date; }
        if($request->manning_agent == 0 || $request->manning_agent == ''){  $manning_agent = '';  }else{  $manning_agent = $request->manning_agent; }
        if($request->signature_date == 0 || $request->signature_date == ''){  $signature_date = '';  }else{  $signature_date = $request->signature_date; }
        if($request->interview_by == 0 || $request->interview_by == ''){  $interview_by = '';  }else{  $interview_by = $request->interview_by; }
        if($request->interview_date == 0 || $request->interview_date == ''){  $interview_date = '';  }else{  $interview_date = $request->interview_date; }
        if($request->department == 0 || $request->department == ''){  $department = '';  }else{  $department = $request->department; }
        if($request->status == 0 || $request->status == ''){  $status = 1;  }else{  $status = $request->status; }
        if($request->order == 0 || $request->order == ''){  $order = 0;  }else{  $order = $request->order; }

        // signature Image
        $signature_of_applicant = $this->imageUpload($request->file('signature_of_applicant'),'images/general-cv/signature/',null,null);

        $cv_id =  general_cv::insertGetId([
            'crew_id' => $request->crew_id,
            'position_applied' => $request->position_applied,
            'for_vessel' => $request->for_vessel,
            'application_date' => $application_date,
            'available_date' => $available_date,
            'manning_agent' => $manning_agent,
            'signature_of_applicant' => $signature_of_applicant,
            'signature_date' => $signature_date,
            'interview_by' => $interview_by,
            'interview_date' => $interview_date,
            'department' => $department,
            'status' => $status,
            'order' => $order,
            'create_by' => 1,
            'update_by' => 1,
            'created_at' => Carbon::now(),
            'updated_at' => Carbon::now()
        ]);
        if( $cv_id != ''){
            // Insert crew_academic_qualificaitions
            $count_crew_academic_qualificaitions  = count($request->institutions);
            if($count_crew_academic_qualificaitions > 0){
                for ($x = 0; $x < $count_crew_academic_qualificaitions; $x++) {
                    crew_academic_qualificaition::insert([
                        'crew_id' => $request->crew_id,
                        'from' => $request->from[$x],
                        'to' => $request->to[$x],
                        'institutions' => $request->institutions[$x],
                        'qualifications' => $request->qualifications[$x],
                        'created_at' => Carbon::now(),
                        'updated_at' => Carbon::now()
                    ]);
                }
            }
            // Insert crew_immigration_documents
            $count_crew_immigration_documents   = count($request->document_title);
            if($count_crew_immigration_documents > 0){
                for ($x = 0; $x < $count_crew_immigration_documents; $x++) {
                    crew_immigration_document::insert([
                        'crew_id' => $request->crew_id,
                        'document_title' => $request->document_title[$x],
                        'issue_at' => $request->issue_at[$x],
                        'issue_date' => $request->issue_date[$x],
                        'expiry_date' => $request->immigration_expiry_date[$x],
                        'created_at' => Carbon::now(),
                        'updated_at' => Carbon::now()
                    ]);
                }
            }
            // Insert crew_prev_sea_service_details
            $count_crew_prev_sea_service_details   = count($request->rank);
            if($count_crew_prev_sea_service_details > 0){
                for ($x = 0; $x < $count_crew_prev_sea_service_details; $x++) {
                    crew_prev_sea_service_details::insert([
                        'crew_id' => $request->crew_id,
                        'rank' => $request->rank[$x],
                        'vessel_id' => $request->for_vessel,
                        'grt' => $request->grt[$x],
                        'nrt' => $request->nrt[$x],
                        'period_of_service' => $request->period_of_service[$x],
                        'sign_on' => $request->sign_on[$x],
                        'sign_off' => $request->sign_off[$x],
                        'duration' => $request->duration[$x],
                        'reason_for_sign' => $request->reason_for_sign[$x],
                        'created_at' => Carbon::now(),
                        'updated_at' => Carbon::now()
                    ]);
                }
            }

             // Insert crew_qualification_certificates
             $count_crew_qualification_certificates    = count($request->qualification_title);
             if($count_crew_qualification_certificates > 0){
                 for ($x = 0; $x < $count_crew_qualification_certificates; $x++) {
                    crew_qualification_certificate::insert([
                         'crew_id' => $request->crew_id,
                         'certificate_id' => $request->certificate_id[$x],
                         'qualification_title' => $request->certificate_id[$x],
                         'certificate_type' => $request->certificate_type[$x],
                         'cert_no' => $request->cert_no[$x],
                         'issue_date' => $request->certificate_issue_date[$x],
                         'expiry_date' => $request->certificate_expiry_date[$x],
                         'issued_by' => $request->issued_by[$x],
                         'sign_off' => $request->certificate_sign_off[$x],
                         'created_at' => Carbon::now(),
                         'updated_at' => Carbon::now()
                     ]);
                 }
             }
        }
        toastr()->success('General CV Added Succesfull');
        return redirect()->route('admin.general-cv.edit', [$cv_id]);

    }


    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $general_cv = general_cv::find($id);
        $crew = crew::find($general_cv->crew_id);
        $vessel = vessel::find($general_cv->for_vessel);
        $academic_qualificaitions = DB::table('crew_academic_qualificaitions')->where('crew_id', $general_cv->crew_id)->get();
        $immigration_documents = DB::table('crew_immigration_documents')->where('crew_id', $general_cv->crew_id)->get();
        $prev_sea_service_detail = DB::table('crew_prev_sea_service_details')->where('crew_id', $general_cv->crew_id)->get();
        $qualification_certificates = DB::table('crew_qualification_certificates')->where('crew_id', $general_cv->crew_id)->get();
        $this->setPageTitle('View General CV ','View General CV','View General CV');
        return view('backend.pages.general-cv.view', compact('general_cv', 'crew', 'vessel', 'academic_qualificaitions', 'immigration_documents', 'prev_sea_service_detail', 'qualification_certificates',));
    }

    /**
     * PDF CSS .
     *
     *
     * @return Css
     */
    public function pdfCss(){
        $css = '
        <style>
            .custom-table table td, .custom-table table th {
                font-size: ;
                border: 1px solid #ddd;
                font-size: 11px !important;
                padding: 5px;
            }
                .custom-table h6 {
                margin-bottom: 0;
                font-weight: 700;
            }
            .cv-img img {
                height: 125px;
                width: 125px;
                margin-bottom: 20px;
            }
            .cv-img {
                text-align: center;
            }

            .signiture {
                display: inline-block;
                width: 100%;
                margin: 20px 2px;
                width: 200px;
                text-align: center;
                float: right;
            }
            .custom-table {
                display: inline-block;
                width: 100%;
                overflow: hidden;
            }
            .signiture span {
                display: inline-block;
                margin-top: 10px;
            }
            .signiture_title {
                 border-top: 1px solid #ddd;
            }
            .signiture img {
                width: 100%;
            }
            .ship-bg {
                height: 100%;
                width: 100%;
                position: fixed;
                background-attachment: fixed;
                background-position: center center;
                background-size: cover;
                z-index: -1;
            }
            .ship-bg::after {
                position: absolute;
                left: 0;
                top: 0;
                height: 100%;
                width: 100%;
                content: "";
                background-size: ;
                background-color: #000;
                opacity: 0.6;
            }
            .download-pdf-btn {
                display: inline-block;
                text-align: right;
                width: 100%;
            }
            #print-general-cv {
                background-color: #fff !important;
            }
            .width-75{
                width: 75%;
            }
            .width-100{
                width: 100%;
            }
            .overflow{
                overflow: hidden;
            }
            .width-25{
                width: 25%;
            }
            .float-left{
                float: left;
            }
            .float-right{
                float: left;
            }
            .d-block{
                display: block;
            }
            .d-inline-block{
                display: inline-block;
            }
        </style>';
        return $css;
    }

    public function chinaCV($id)
    {
        $general_cv = DB::table('general_cvs')->where('id', $id)->first();
        $crew = DB::table('crews')->where('id', $general_cv->crew_id)->first();
        $pdf_name = $crew->id.'_'.$crew->full_name.'_Chinese_CV.pdf';
        $general_cv = DB::table('general_cvs')->where('id', $id)->first();
        $crew = DB::table('crews')->where('id', $general_cv->crew_id)->first();
        $vessel = DB::table('vessels')->where('id', $general_cv->for_vessel)->first();

        // Crew image
        if($crew->img !=''){
            $img = '<div class="cv-img width-130px"><img style="width:130px" src="'.public_path().'/'.$crew->img.'" alt=""></div>';
        }else{ $img = ''; }
        $vessel_name = isset($vessel->vessel_name) ? $vessel->vessel_name : '';
        $signature_of_applicant = isset($crew->signature_of_applicant) ? '<img height="80px" src="'.public_path().'/'.$general_cv->signature_of_applicant.'" alt=""> <br>' : '';

        // academic_qualificaitions Data;
        $academic_qualificaitions = DB::table('crew_academic_qualificaitions')->where('crew_id', $general_cv->crew_id)->get();
        $academic_qualificaitions_data  = ' <tr> <th colspan="4"><strong><h6>HIGHEST ACADEMIC QUALIFICAITION 毕业/培训学校  </h6></strong></th> </tr>';
        foreach ($academic_qualificaitions as $data):
            $academic_qualificaitions_data .= '<tr>
                <td><strong>From 从 (DD/MM/YYYY)</strong> <br>'.$data->from.'</td>
                <td><strong>To 至 (DD/MM/YYYY)</strong> <br>  '.$data->to.'</td>
                <td><strong>Institutions/Universities attached 机构/学校名 </strong> <br> '.$data->institutions.' </td>
                <td><strong>Qualifications 程度 </strong> <br>  '.$data->qualifications.' </td>
                </tr>';
        endforeach;

        //immigration_documents Data;
        $immigration_documents = DB::table('crew_immigration_documents')->where('crew_id', $general_cv->crew_id)->get();
        $immigration_documents_data  = ' <tr> <th colspan="4"><strong><h6>IMMIGRATION DOCUMENTS 申请出入境文件   </h6></strong></th> </tr>';
        foreach ( $immigration_documents as $data ):
            $immigration_documents_data .=  '<tr>
                <td><strong> Passport 护照</strong> <br> '.$data->document_title.'</td>
                <td><strong>Issued at 签发单位 </strong> <br> '.$data->issue_at.'</td>
                <td><strong>Issued Date 发行日(DD/MM/YYYY) </strong> <br> '.$data->issue_date.'</td>
                <td><strong>Expiry Date 到期日(DD/MM/YYYY)</strong> <br> '.$data->expiry_date.'</td>
            </tr>';
        endforeach;

        $prev_sea_service_detail = DB::table('crew_prev_sea_service_details')->where('crew_id', $general_cv->crew_id)->get();

        //prev_sea_service_detail Data;
        $prev_sea_service_detail_data  = ' <tr> <th colspan="4"><strong><h6>DETAILS OF PREVIOUS SEA SERVICE 详细的海上经历  </h6></strong></th> </tr>
            <tr>
            <th><strong>Rank <br>  职务  </strong></th>
            <th><strong>Name of Vessel <br> 船名 </strong></th>
            <th><strong>Flag of Vessel <br> 船国籍 </strong></th>
            <th><strong>Type of Vessel <br> 船型</strong></th>
            <th><strong>Main Engine <br> 主机型号</strong></th>
            <th><strong>GRT <br> 吨位</strong></th>
            <th><strong>HP <br> 马力</strong></th>
            <th colspan="3" class="border-bottom"><strong>Period of Service 期间 (DD/MM/YYYY)</strong>
                <table>
                    <tr>
                        <td><strong>Sign-On</strong> </td>
                        <td><strong>Sign-Off</strong> </td>
                        <td><strong>Duration  (mth) </strong> </td>
                    </tr>
                </table>
            </th>
            <th><strong>Reason for sign-off <br> 下船原因</strong></th>
            <th><strong>Name of Company <br> 服务公司</strong></th>
        </tr>';
        foreach ($prev_sea_service_detail as $data):
            $vessel_name = isset($data->vessel_name) ? $data->vessel_name : '';
            $vessel_flag = isset($data->vessel_flag) ? '<img src="'.public_path().'/'.$data->vessel_flag.'" height="25px" width="35px" alt="">' : '';
            $vessel_type = isset($data->vessel_type) ? $data->vessel_type : '';
            $imo = isset($data->imo) ? $data->imo : '';
            $prev_sea_service_detail_data .= '<tr>
                <td>'.$data->rank.'</td>
                <td>'.$vessel_name.'</td>
                <td>'.$vessel_flag.'</td>
                <td>'.$vessel_type.'</td>
                <td>'.$imo.'</td>
                <td>'.$data->grt.'</td>
                <td>'.$data->nrt.'</td>
                <td>'.$data->period_of_service.'</td>
                <td>'.$data->sign_on.'/td>
                <td>'.$data->sign_off.'</td>
                <td>'.$data->duration.'</td>
                <td>'.$data->reason_for_sign.'</td>
            </tr>';
        endforeach;

        // Qualification Data;
        $qualification_data  = '<tr> <th colspan="6"><strong><h6>Qualification 资格证书</h6></strong></th> </tr>
            <tr>
                <th><strong>{Qualification}</strong></th>
                <th><strong>Cert No. <br> 证书号码</strong></th>
                <th><strong>Issued Date <br> 发行日 (DD/MM/YYYY) </strong></th>
                <th><strong>Expiry Date <br> 发行日 (DD/MM/YYYY) </strong></th>
                <th><strong>Issued By <br> 发行单位</strong></th>
                <th><strong>Sign By</strong></th>
            </tr>';
            $certificates = ['general', 'professional', 'medical'];
            foreach ( $certificates as $certificate):
                $qualification_data  .= '<tr> <th colspan="6" style="text-align: center"><strong>'. $certificate .' </strong></th>  </tr>';
                $certificate_data = DB::table('certificates')->where('certificate_type', $certificate)->where('status', '1')->orderBy('order')->get();
                foreach ($certificate_data as  $data):
                    $crew_certificate = DB::table('crew_qualification_certificates')->where('certificate_type', $certificate)->where('certificate_id', $data->id)->first();
                    $cert_no = isset($crew_certificate->cert_no) ? $crew_certificate->cert_no : '';
                    $issued_date = isset($crew_certificate->issued_date) ? $crew_certificate->issued_date : '';
                    $expiry_date = isset($crew_certificate->expiry_date) ? $crew_certificate->expiry_date : '';
                    $issued_by = isset($crew_certificate->issued_by) ? $crew_certificate->issued_by : '';
                    $sign_off = isset($crew_certificate->sign_off) ? $crew_certificate->sign_off : '';
                    $qualification_data  .= '<tr>
                            <td>'.$data->certificate_title.'</td>
                            <td>'.$cert_no.'</td>
                            <td>'.$issued_date.'</td>
                            <td>'.$expiry_date.'</td>
                            <td>'.$issued_by.'</td>
                            <td>'.$sign_off.'</td>
                        </tr>';
                endforeach;
            endforeach;

        $pdf = '
            <div class="pdf-page" >
                <div class="custom-table width-100">
                    <table class="table  width-100">
                        <tr>
                            <td colspan="2"><strong>Position Applied 申请职务</strong> <br>'.$general_cv->position_applied.'
                            </td>
                            <td rowspan="3">
                            '.$img.'
                            </td>
                        </tr>
                        <tr>
                            <td><strong>Application Date 申请日期 </strong> <br>'.$general_cv->application_date.' </td>
                            <td><strong>For Vessel 申请船舶  </strong> <br> '.$vessel_name.'</td>
                        </tr>
                        <tr>
                            <td><strong>Available Date 预计到职日  </strong> <br> '.$general_cv->available_date.'</td>
                            <td><strong>Manning Agent 船员代理  </strong> <br> '.$general_cv->manning_agent.'</td>
                        </tr>
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        <tr>
                            <th colspan="6"><strong><h6>PERSONAL PARTICULARS 个人资料 </h6></strong></th>
                        </tr>
                        <tr>
                            <td><strong>Last Name姓氏</strong> <br> '.$crew->last_name.' </td>
                            <td><strong>Given Name (as in passport)名(同护照)
                            </strong> <br> '. $crew->given_name.' </td>
                            <td colspan="4"><strong>Chinese Name 中文名</strong> <br> '.$crew->full_name.' </td>
                        </tr>
                        <tr>
                            <td><strong>Place of Birth 出生地 </strong> <br> '.$crew->place_of_birth.' </td>
                            <td><strong>Date of Birth 出生日期 (DD/MM/YYYY)  </strong> <br> '.$crew->date_of_birth.' </td>
                            <td><strong>Height 身高 </strong> <br> '.$crew->height.' </td>
                            <td><strong>Weight 体重  </strong> <br> '.$crew->weight.' </td>
                            <td><strong>Boiler Suit  </strong> <br> '.$crew->boiler_suit.' </td>
                            <td><strong>Safety Shoes 安全鞋  </strong> <br> '.$crew->safety_shoes.' </td>
                        </tr>
                        <tr>
                            <td><strong>Marital Status 婚姻状态 </strong> <br> '.$crew->marital_status.' </td>
                            <td><strong>Mobile No.手机号码  </strong> <br> '.$crew->mobile_no.' </td>
                            <td><strong>Nationality 国籍</strong> <br> '.$crew->nationality.' </td>
                            <td><strong>Blood Type 血型:  </strong> <br>  </td>
                            <td><strong>HairColor 发色: </strong> <br> '.$crew->hair_color.' </td>
                            <td><strong>Eyes Color 瞳色:  </strong> <br> '.$crew->eyes_color.' </td>
                        </tr>
                        <tr>
                            <td colspan="2"><strong>SID No.</strong> <br> '.$crew->sid_no.' </td>
                            <td colspan="2"><strong>ID No. 身分证号</strong> <br> '.$crew->nid_no.' </td>
                            <td><strong>Religion 宗教 </strong> <br> '.$crew->religion.'</td>
                            <td><strong>Medical History 病史 </strong> <br> '.$crew->covid_vaccination.' </td>
                        </tr>
                        <tr>
                            <td colspan="3"><strong>Address 目前家庭住址 .  </strong> <br> '.$crew->address.' </td>
                            <td colspan="3"><strong>Email 个人电邮: </strong> <br> '.$crew->email.' </td>
                        </tr>
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        '.$academic_qualificaitions_data.'
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        <tr>
                            <th colspan="3"><strong><h6>FAMILY BACKGROUND 家庭背景   </h6></strong></th>
                        </tr>
                        <tr>
                            <td><strong>Next of Kin 直系亲属姓名 </strong> <br> '.$crew->next_of_kin.' </td>
                            <td><strong>Relationship 关系 </strong> <br>  '.$crew->relationship.' </td>
                            <td><strong>Phone No. 家属电话 </strong> <br>  '.$crew->family_phone_no.' </td>
                        </tr>
                        <tr>
                            <td colspan="3"><strong>Address of Next of Kin 家属住址 </strong> <br>  '.$crew->address_next_of_kin.' </td>
                        </tr>
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        '.$immigration_documents_data.'
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        '.$prev_sea_service_detail_data.'
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                      '.$qualification_data.'
                    </table>
                </div>
                <div class="custom-table width-100 ">
                    <h6>Declaration to be signed by the Applicant</h6>
                    <hr>
                    <p>I hereby certify that the information contained in this form is completed & correct. I understand that the Company may terminate my service at any time if any of the above information is found to be false.</p>


                    <span class="signiture">
                        '.$signature_of_applicant.'
                        <span> <strong>Date: </strong>'.$general_cv->signature_date.'</span> <br>
                        <span class="signiture_title">Signature of Applicant/Date</span>
                    </span>
                </div>
                <div class="custom-table width-100 ">
                    <p>Interview by/Date: <strong>'.$general_cv->interview_by.'</strong>/ <strong>'.$general_cv->interview_date.'</strong>  Department: <strong>'.$general_cv->department.'</strong> Status:  Approved / Rejected </p>
                </div>
            </div>
        ';
        // return $pdf;
        // exit;
        $mpdf = new \Mpdf\Mpdf([
            'mode' => '+aCJK',
            // "allowCJKoverflow" => true,
            "autoScriptToLang" => true,
            // "allow_charset_conversion" => false,
            "autoLangToFont" => true,
            'margin_header' => 0,
            'margin_footer' => 0,
            'format' => 'A4',
            'margin_left' => 5,
            'margin_right' => 5
        ]);
        $data = $this->pdfCss().$pdf;
        $mpdf->SetTitle($pdf_name);
        $mpdf->WriteHTML($data);
        return $mpdf->Output(''.$pdf_name.'.pdf', 'D');
    }
    public function generalCV($id)
    {
        $general_cv = DB::table('general_cvs')->where('id', $id)->first();
        $crew = DB::table('crews')->where('id', $general_cv->crew_id)->first();

        $pdf_name = $crew->id.'_'.$crew->full_name.'_general_CV.pdf';
        $general_cv = DB::table('general_cvs')->where('id', $id)->first();
        $crew = DB::table('crews')->where('id', $general_cv->crew_id)->first();
        $vessel = DB::table('vessels')->where('id', $general_cv->for_vessel)->first();

        // Crew image
        if($crew->img !=''){
            $img = '<div class="cv-img width-130px"><img style="width:130px" src="'.public_path().'/'.$crew->img.'" alt=""></div>';
        }else{ $img = ''; }
        $vessel_name = isset($vessel->vessel_name) ? $vessel->vessel_name : '';
        $signature_of_applicant = isset($crew->signature_of_applicant) ? '<img height="80px" src="'.public_path().'/'.$general_cv->signature_of_applicant.'" alt=""> <br>' : '';

        // academic_qualificaitions Data;
        $academic_qualificaitions = DB::table('crew_academic_qualificaitions')->where('crew_id', $general_cv->crew_id)->get();
        $academic_qualificaitions_data  = ' <tr> <th colspan="4"><strong><h6>HIGHEST academic qualificaition </h6></strong></th> </tr>';
        foreach ($academic_qualificaitions as $data):
            $academic_qualificaitions_data .= '<tr>
            <td><strong>From (DD/MM/YYYY)</strong> <br> '.$data->from.'</td>
            <td><strong>To (DD/MM/YYYY)</strong> <br>  '.$data->to.'</td>
            <td><strong>Institutions/Universities Name </strong> <br> '.$data->institutions.' </td>
            <td><strong>Qualifications </strong> <br>  '.$data->qualifications.' </td>
        </tr>';
        endforeach;

        //immigration_documents Data;
        $immigration_documents = DB::table('crew_immigration_documents')->where('crew_id', $general_cv->crew_id)->get();
        $immigration_documents_data  = ' <tr> <th colspan="4"><strong><h6>IMMIGRATION DOCUMENTS 申请出入境文件   </h6></strong></th> </tr>';
        foreach ( $immigration_documents as $data ):
            $immigration_documents_data .=  '<tr>
                <td><strong> Passport</strong> <br> '.$data->document_title.'</td>
                <td><strong>Issued at  </strong> <br> '.$data->issue_at.'</td>
                <td><strong>Issued Date (DD/MM/YYYY) </strong> <br> '.$data->issue_date.'</td>
                <td><strong>Expiry Date (DD/MM/YYYY) </strong> <br> '.$data->expiry_date.'</td>
            </tr>';
        endforeach;

        $prev_sea_service_detail = DB::table('crew_prev_sea_service_details')->where('crew_id', $general_cv->crew_id)->get();

        //prev_sea_service_detail Data;
        $prev_sea_service_detail_data  = ' <tr> <th colspan="12"><strong><h6>details of previous sea service   </h6></strong></th> </tr>
            <tr>
                <th><strong>Rank</strong></th>
                <th><strong>Name of Vessel</strong></th>
                <th><strong>Flag of Vessel</strong></th>
                <th><strong>Type of Vessel</strong></th>
                <th><strong>IMO No.</strong></th>
                <th><strong>GRT</strong></th>
                <th><strong>NRT</strong></th>
                <th colspan="3" class="border-bottom"><strong>Period of Service (DD/MM/YYYY)</strong>
                    <table>
                        <tr>
                            <td><strong>Sign-On</strong> </td>
                            <td><strong>Sign-Off</strong> </td>
                            <td><strong>Duration  (mth) </strong> </td>
                        </tr>
                    </table>
                </th>
                <th><strong>Reason for sign-off </strong></th>
                <th><strong>Name of Company</strong></th>
            </tr>';
        foreach ($prev_sea_service_detail as $data):
            $vessel_name = isset($data->vessel_name) ? $data->vessel_name : '';
            $vessel_flag = isset($data->vessel_flag) ? '<img src="'.public_path().'/'.$data->vessel_flag.'" height="25px" width="35px" alt="">' : '';
            $vessel_type = isset($data->vessel_type) ? $data->vessel_type : '';
            $imo = isset($data->imo) ? $data->imo : '';
            $prev_sea_service_detail_data .= '<tr>
                <td>'.$data->rank.'</td>
                <td> '.$vessel_name.'</td>
                <td>'.$vessel_flag.'</td>
                <td>'.$data->vessel_type.'</td>
                <td>'.$data->imo.'</td>
                <td>'.$data->grt.'</td>
                <td>'.$data->nrt.'</td>
                <td>'.$data->period_of_service.'</td>
                <td>'.$data->sign_on.'</td>
                <td>'.$data->sign_off.'</td>
                <td>'.$data->duration.'</td>
                <td>'.$data->reason_for_sign.'</td>
            </tr>';
        endforeach;

        // Qualification Data;
        $qualification_data  = '<tr> <th colspan="6"><strong><h6>Qualification</h6></strong></th> </tr>
            <tr>
                <th><strong>{Qualification}</strong></th>
                <th><strong>Cert No.</strong></th>
                <th><strong>Issued Date (DD/MM/YYYY) </strong></th>
                <th><strong>Expiry Date (DD/MM/YYYY) </strong></th>
                <th><strong>Issued By</strong></th>
                <th><strong>Sign By</strong></th>
            </tr>';
            $certificates = ['general', 'professional', 'medical'];
            foreach ( $certificates as $certificate):
                $qualification_data  .= '<tr> <th colspan="6" style="text-align: center"><strong>'. $certificate .' </strong></th>  </tr>';
                $certificate_data = DB::table('certificates')->where('certificate_type', $certificate)->where('status', '1')->orderBy('order')->get();
                foreach ($certificate_data as  $data):
                    $crew_certificate = DB::table('crew_qualification_certificates')->where('certificate_type', $certificate)->where('certificate_id', $data->id)->first();
                    $cert_no = isset($crew_certificate->cert_no) ? $crew_certificate->cert_no : '';
                    $issued_date = isset($crew_certificate->issued_date) ? $crew_certificate->issued_date : '';
                    $expiry_date = isset($crew_certificate->expiry_date) ? $crew_certificate->expiry_date : '';
                    $issued_by = isset($crew_certificate->issued_by) ? $crew_certificate->issued_by : '';
                    $sign_off = isset($crew_certificate->sign_off) ? $crew_certificate->sign_off : '';
                    $qualification_data  .= '<tr>
                        <td>'.$data->certificate_title.'</td>
                        <td>'.$cert_no.'</td>
                        <td>'.$issued_date.'</td>
                        <td>'.$expiry_date.'</td>
                        <td>'.$issued_by.'</td>
                        <td>'.$sign_off.'</td>
                    </tr>';
                endforeach;
            endforeach;

        $pdf = '
            <div class="pdf-page" >
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        <tr>
                            <th colspan="2"><strong>Position Applied</strong> <br>'.$general_cv->position_applied.'

                            </td>
                            <td rowspan="3">'.$img.'</td>
                        </tr>
                        <tr>
                            <td><strong>Application Date </strong> <br> '.$general_cv->application_date .' </td>
                            <td><strong>For Vessel  </strong> <br> '.$vessel->vessel_name.' </td>
                        </tr>
                        <tr>
                            <td><strong>Available Date  </strong> <br> '.$general_cv->available_date.'</td>
                            <td><strong>Manning Agent  </strong> <br> '.$general_cv->manning_agent.'</td>
                        </tr>
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        <tr>
                            <th colspan="6"><strong><h6>PERSONAL PARTICULARS </h6></strong></th>
                        </tr>
                        <tr>
                            <td><strong>Last Name:</strong> <br> '.$crew->last_name.' </td>
                            <td><strong>Given Name (as in passport)</strong> <br> '.$crew->given_name.' </td>
                            <td colspan="4"><strong>Full Name: </strong> <br> '.$crew->full_name.' </td>
                        </tr>
                        <tr>
                            <td><strong>Place of Birth </strong> <br> '.$crew->place_of_birth.' </td>
                            <td><strong>Date of Birth (DD/MM/YYYY)  </strong> <br> '.$crew->date_of_birth.' </td>
                            <td><strong>Height </strong> <br> '.$crew->height.' </td>
                            <td><strong>Weight  </strong> <br> '.$crew->weight.' </td>
                            <td><strong>Boiler Suit  </strong> <br> '.$crew->boiler_suit.' </td>
                            <td><strong>Safety Shoes.  </strong> <br> '.$crew->safety_shoes.' </td>
                        </tr>
                        <tr>
                            <td><strong>Marital Status </strong> <br> '.$crew->marital_status.' </td>
                            <td><strong>Mobile No  </strong> <br> '.$crew->mobile_no.' </td>
                            <td><strong>Nationality</strong> <br> '.$crew->nationality.' </td>
                            <td><strong>Blood Type:  </strong> <br>  </td>
                            <td><strong>HairColor: </strong> <br> '.$crew->hair_color.' </td>
                            <td><strong>Eyes Color:  </strong> <br> '.$crew->eyes_color.' </td>
                        </tr>
                        <tr>
                            <td colspan="2"><strong>SID No.</strong> <br> '.$crew->sid_no.' </td>
                            <td colspan="2"><strong>NID No</strong> <br> '.$crew->nid_no.' </td>
                            <td><strong>Religion </strong> <br> '.$crew->religion.'</td>
                            <td><strong>Covid Vaccination:  </strong> <br> '.$crew->covid_vaccination.' </td>
                        </tr>
                        <tr>
                            <td colspan="3"><strong>Address.  </strong> <br> '.$crew->address.' </td>
                            <td colspan="3"><strong>Email: </strong> <br> '.$crew->email.' </td>
                        </tr>
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        '.$academic_qualificaitions_data.'
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        <tr>
                            <th colspan="3"><strong>FAMILY BACKGROUND </strong></th>
                        </tr>
                        <tr>
                            <td><strong>Next of Kin </strong> <br> '.$crew->next_of_kin.' </td>
                            <td><strong>Relationship </strong> <br>  '.$crew->relationship.' </td>
                            <td><strong>Phone No. </strong> <br>  '.$crew->family_phone_no.' </td>
                        </tr>
                        <tr>
                            <td colspan="3"><strong>Address of Next of Kin </strong> <br>  '.$crew->address_next_of_kin.' </td>
                        </tr>
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        '.$immigration_documents_data.'
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        '.$prev_sea_service_detail_data.'
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                      '.$qualification_data.'
                    </table>
                </div>
                <div class="custom-table width-100">
                    <h6>Declaration to be signed by the Applicant</h6>
                    <hr>
                    <p>I hereby certify that the information contained in this form is completed & correct. I understand that the Company may terminate my service at any time if any of the above information is found to be false.</p>


                    <span class="signiture">
                        '.$signature_of_applicant.'
                        <span> <strong>Date: </strong>'.$general_cv->signature_date.'</span> <br>
                        <span class="signiture_title">Signature of Applicant/Date</span>
                    </span>
                </div>
                <div class="custom-table width-100">
                    <p>Interview by/Date: <strong>'.$general_cv->interview_by.'</strong>/ <strong>'.$general_cv->interview_date.'</strong>  Department: <strong>'.$general_cv->department.'</strong> Status:  Approved / Rejected </p>
                </div>
            </div>
        ';
        // return $pdf;
        // exit;
        $mpdf = new \Mpdf\Mpdf([
            'mode' => '+aCJK',
            // "allowCJKoverflow" => true,
            "autoScriptToLang" => true,
            // "allow_charset_conversion" => false,
            "autoLangToFont" => true,
            'margin_header' => 0,
            'margin_footer' => 0,
            'format' => 'A4',
            'margin_left' => 5,
            'margin_right' => 5
        ]);
        $data = $this->pdfCss().$pdf;
        $mpdf->SetTitle($pdf_name);
        $mpdf->WriteHTML($data);
        return $mpdf->Output(''.$pdf_name.'.pdf', 'D');
        // return view('backend.pages.general-cv.brilliant-cv', compact('id', 'pdf_name',));
        // return view('backend.pages.general-cv.china-cv', compact('general_cv', 'crew', 'vessel', 'academic_qualificaitions', 'immigration_documents', 'prev_sea_service_detail', 'qualification_certificates',));
    }
    public function brilliantCV($id)
    {


        $general_cv = DB::table('general_cvs')->where('id', $id)->first();
        $crew = DB::table('crews')->where('id', $general_cv->crew_id)->first();
        $pdf_name = $crew->id.'_'.$crew->full_name.'_Brilliant_CV.pdf';
        $general_cv = DB::table('general_cvs')->where('id', $id)->first();
        $crew = DB::table('crews')->where('id', $general_cv->crew_id)->first();
        $vessel = DB::table('vessels')->where('id', $general_cv->for_vessel)->first();

        // Crew image
        if($crew->img !=''){
            $img = '<div class="cv-img width-130px"><img style="width:130px" src="'.public_path().'/'.$crew->img.'" alt=""></div>';
        }else{ $img = ''; }
        $vessel_name = isset($vessel->vessel_name) ? $vessel->vessel_name : '';
        $vessel_flag = isset($vessel->flag) ? '<img src="'.public_path().'/'.$vessel->vessel_flag.'" height="25px" width="35px" alt="">' : '';
        $signature_of_applicant = isset($crew->signature_of_applicant) ? '<img height="80px" src="'.public_path().'/'.$general_cv->signature_of_applicant.'" alt=""> <br>' : '';

        //prev_sea_service_detail Data;
        $prev_sea_service_detail = DB::table('crew_prev_sea_service_details')->where('crew_id', $general_cv->crew_id)->get();

        $prev_sea_service_detail_data  = ' <tr> <th colspan="4"><strong><h6> Sea Experience (the latest 6 vessels) 海上资历（最后6条船） </h6></strong></th> </tr>
            <tr>
                <th><strong>Rank  职位 </strong></th>
                <th><strong>Ship’s Name 船名 </strong></th>
                <th><strong>Trading Area 航区 </strong></th>
                <th><strong>Manning agency 外派单位 </strong></th>
                <th><strong>IMO No.</strong></th>
                <th><strong>VSL Type/GRT  船舶类型/总吨 </strong></th>
                <th><strong>NRT</strong></th>
                <th colspan="3" class="border-bottom"><strong>Period of Service (DD/MM/YYYY)</strong>
                    <table>
                        <tr>
                            <td><strong>Date of Sign on/ 上船/下船日期  </strong> </td>
                            <td><strong>Date of Sign off  上船/下船日期</strong> </td>
                            <td><strong>Duration  (mth) </strong> </td>
                        </tr>
                    </table>
                </th>
                <th><strong>Reason for sign-off </strong></th>
                <th><strong>Company Name  船东或管理公司 </strong></th>
            </tr>';
        foreach ($prev_sea_service_detail as $data):
            $vessel_name = isset($data->vessel_name) ? $data->vessel_name : '';
            $vessel_flag = isset($data->vessel_flag) ? '<img src="'.public_path().'/'.$data->vessel_flag.'" height="25px" width="35px" alt="">' : '';
            $vessel_type = isset($data->vessel_type) ? $data->vessel_type : '';

            $imo = isset($data->imo) ? $data->imo : '';
            $prev_sea_service_detail_data .= '<tr>
                <td>'.$data->rank.'</td>
                <td> '.$vessel_name.'</td>
                <td>
                    '.$vessel_flag.'
                </td>
                <td>'.$vessel_type.'</td>
                <td>'.$imo.'</td>
                <td>'.$data->grt.'</td>
                <td>'.$data->nrt.'</td>
                <td>'.$data->period_of_service.'</td>
                <td>'.$data->sign_on.'</td>
                <td>'.$data->sign_off.'</td>
                <td>'.$data->duration.'</td>
                <td>'.$data->reason_for_sign.'</td>
            </tr>';
        endforeach;

        // Qualification Data;
        $qualification_data  = '<tr> <th colspan="6"><strong><h6>Certificates 证书</h6></strong></th> </tr>
            <tr>
                <th><strong>Certificates Type  证书名称 </strong></th>
                <th><strong>Number 证书号码 </strong></th>
                <th><strong>Date of Issue 签发日期 </strong></th>
                <th><strong>Expired Date 期满日期 </strong></th>
                <th><strong>Place of Issue 签发地点 </strong></th>
                <th><strong>Sign By</strong></th>
            </tr>';
            $certificates = ['general', 'professional', 'medical'];
            foreach ( $certificates as $certificate):
                $qualification_data  .= '<tr> <th colspan="6" style="text-align: center"><strong>'. $certificate .' </strong></th>  </tr>';
                $certificate_data = DB::table('certificates')->where('certificate_type', $certificate)->where('status', '1')->orderBy('order')->get();
                foreach ($certificate_data as  $data):
                    $crew_certificate = DB::table('crew_qualification_certificates')->where('certificate_type', $certificate)->where('certificate_id', $data->id)->first();
                    $cert_no = isset($crew_certificate->cert_no) ? $crew_certificate->cert_no : '';
                    $issued_date = isset($crew_certificate->issued_date) ? $crew_certificate->issued_date : '';
                    $expiry_date = isset($crew_certificate->expiry_date) ? $crew_certificate->expiry_date : '';
                    $issued_by = isset($crew_certificate->issued_by) ? $crew_certificate->issued_by : '';
                    $sign_off = isset($crew_certificate->sign_off) ? $crew_certificate->sign_off : '';
                    $qualification_data  .= '<tr>
                            <td>'.$data->certificate_title.'</td>
                            <td>'.$cert_no.'</td>
                            <td>'.$issued_date.'</td>
                            <td>'.$expiry_date.'</td>
                            <td>'.$issued_by.'</td>
                            <td>'.$sign_off.'</td>
                        </tr>';
                endforeach;
            endforeach;

        $pdf = '
            <div class="pdf-page" >
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        <tr><td colspan="4"><h1 style="text-align: center">应聘船员审查表</h1></td></tr>
                        <tr>
                            <td><strong> Name/姓名 : </strong> '.$crew->full_name.' </td>
                            <td><strong>Rank/应聘职务 : </strong> </td>
                            <td><strong>Ship Name/应聘船舶 : </strong> '.$vessel_name.'</td>
                            <td rowspan="5">
                                '.$img.'
                            </td>
                        </tr>
                        <tr>
                            <td><strong> DOB/出生日期 : '.$crew->date_of_birth.'</strong> </td>
                            <td><strong>Address/家庭地址 :  '.$crew->address.'</strong> </td>
                            <td><strong>Tel/联系电话 : </strong>'.$crew->mobile_no.'</td>
                        </tr>
                        <tr>
                            <td><strong> Weight/体重 : '.$crew->height.'  </strong> </td>
                            <td><strong>Height/身高 :  '.$crew->weight.'</strong> </td>
                            <td><strong>SKYPE : </strong> '.$crew->skype.' </td>
                        </tr>
                        <tr>
                            <td><strong>School/毕业学校 : </strong> '.$crew->school.'</td>
                            <td><strong>Degree/学历 : </strong> '.$crew->degree.'</td>
                            <td><strong>Major/专业 : </strong> '.$crew->major.'</td>
                        </tr>
                        <tr>
                            <td><strong>Next of Kin/亲属姓名 : '.$crew->next_of_kin.'</strong> </td>
                            <td><strong>Relation/亲属关系 : '.$crew->relationship.'</strong> </td>
                            <td><strong>Tel/联系电话 : </strong> '.$crew->family_phone_no.' </td>
                        </tr>
                    </table>
                </div>

                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                      '.$qualification_data.'
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        '.$prev_sea_service_detail_data.'
                    </table>
                </div>

                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        <tr>
                            <th colspan="12"><strong>3. Manning Agent’s Interview 船员公司面试 </strong></th>
                        </tr>
                        <tr>
                            <td colspan="3">Nomination’s Reason推荐原因: </td>
                        </tr>
                        <tr>
                            <td>Manning Agent/船员公司 </td>
                            <td>Interviewer 面试官 </td>
                            <td>Date/日期 </td>
                        </tr>

                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        <tr>
                            <th colspan="12"><strong>4. Amoy sailing’s Interview 西凌面试</strong></th>
                        </tr>
                        <tr>
                            <th>面试项目 </th>
                            <th>项目内容 </th>
                            <th>N/A  不适用 </th>
                            <th colspan="4" class="border-bottom"><strong>Grade评分</strong>
                                <table>
                                    <tr>
                                        <td><strong>A  </strong> </td>
                                        <td><strong>B</strong> </td>
                                        <td><strong>C</strong> </td>
                                        <td><strong>D</strong> </td>
                                    </tr>
                                </table>
                            </th>
                        </tr>
                        <tr>
                            <td colspan="3">Overall Appraisal总评</td>
                            <td> </td>
                            <td> </td>
                            <td> </td>
                            <td> </td>
                        </tr>
                        <tr>
                            <td colspan="3">Interview Result/录用结论：</td>
                            <td  colspan="2"> Employed/录用  </td>
                            <td  colspan="2">  Refused/不录用   </td>
                        </tr>
                        <tr>
                            <td colspan="7">Comment & Suggestion 评语和建议:</td>
                        </tr>
                        <tr>
                            <td colspan="3">PIC/负责人：                         </td>
                            <td colspan="4">Date/日期：                        </td>
                        </tr>
                        <tr>
                            <td colspan="7">Comment & suggestion评语和建议:(仅限船长、轮机长）</td>
                        </tr>
                        <tr>
                            <td colspan="3">总经理G. Manger： </td>
                            <td colspan="4">Date/日期</td>
                        </tr>
                        <tr>
                            <td>
                                注： 1. 评分代号 A: Excellent / 优秀 / 熟悉； B: Good / 良好 / 了解；  C: Fair / 一般 / 部分了解；  D: Poor /  差 / 不了解；
                                    2. 原件由综合部保存3年。

                            </td>
                        </tr>

                    </table>
                </div>
            </div>
        ';
        // return $pdf;
        // exit;
        $mpdf = new \Mpdf\Mpdf([
            'mode' => '+aCJK',
            // "allowCJKoverflow" => true,
            "autoScriptToLang" => true,
            // "allow_charset_conversion" => false,
            "autoLangToFont" => true,
            'margin_header' => 0,
            'margin_footer' => 0,
            'format' => 'A4',
            'margin_left' => 5,
            'margin_right' => 5
        ]);
        $data = $this->pdfCss().$pdf;
        $mpdf->SetTitle($pdf_name);
        $mpdf->WriteHTML($data);
        $mpdf->Output($pdf_name.'.pdf', 'D');
        // return view('backend.pages.general-cv.brilliant-cv', compact('id', 'pdf_name',));
    }
    public function qingdaoCV($id)
    {

        $general_cv = DB::table('general_cvs')->where('id', $id)->first();
        $crew = DB::table('crews')->where('id', $general_cv->crew_id)->first();

        $pdf_name = $crew->id.'_'.$crew->full_name.'_Qingdao_CV.pdf';
        $general_cv = DB::table('general_cvs')->where('id', $id)->first();
        $crew = DB::table('crews')->where('id', $general_cv->crew_id)->first();
        $vessel = DB::table('vessels')->where('id', $general_cv->for_vessel)->first();

        // Crew image
        if($crew->img !=''){
            $img = '<div class="cv-img width-130px"><img style="width:130px" src="'.public_path().'/'.$crew->img.'" alt=""></div>';
        }else{ $img = ''; }
        $vessel_name = isset($vessel->vessel_name) ? $vessel->vessel_name : '';
        $signature_of_applicant = isset($crew->signature_of_applicant) ? '<img height="80px" src="'.public_path().'/'.$general_cv->signature_of_applicant.'" alt=""> <br>' : '';

        //immigration_documents Data;
        $immigration_documents = DB::table('crew_immigration_documents')->where('crew_id', $general_cv->crew_id)->get();
        $immigration_documents_data  = ' <tr> <th colspan="4"><strong><h6> Travel Documentss  </h6></strong></th> </tr>
                 <tr>
                    <td><strong> Name/名称</strong>  </td>
                    <td><strong> Number/号码</strong>  </td>
                    <td><strong>Issued at  </strong>    </td>
                    <td><strong>Date of Issue /签发日期 </strong>   </td>
                    <td><strong> Valid to 有效期至 </strong>  </td>
                    <td><strong> Place of Issue 签发地 </strong>  </td>
                </tr>';
        foreach ( $immigration_documents as $data ):
            $immigration_documents_data .=  '<tr>
                <td> '. $data->document_title.'</td>
                <td>  </td>
                <td>  '.$data->issue_at.'</td>
                <td>  '.$data->issue_date.'</td>
                <td>  '.$data->expiry_date.'</td>
            </tr>';
        endforeach;

        $prev_sea_service_detail = DB::table('crew_prev_sea_service_details')->where('crew_id', $general_cv->crew_id)->get();

        //prev_sea_service_detail Data;
        $prev_sea_service_detail_data  = ' <tr> <th colspan="4"><strong><h6>SEA EXPERIENCE   </h6></strong></th> </tr>
            <tr>
                <th><strong>职位  Rank </strong></th>
                <th><strong>船名 Ship’s Name  </strong></th>
                <th><strong>船藉 Flag  </strong></th>
                <th><strong>Type of Vessel</strong></th>
                <th><strong>IMO No.</strong></th>
                <th><strong>☆主机/船型/总吨/马力  Engine/ShipType  GRT/HP </strong></th>
                <th><strong>NRT</strong></th>
                <th colspan="3" class="border-bottom"><strong>Period of Service (DD/MM/YYYY)</strong>
                    <table>
                        <tr>
                            <td><strong>到任 Sign On  </strong> </td>
                            <td><strong>离任 Sign Off </strong> </td>
                        </tr>
                    </table>
                </th>
                <th><strong>Reason for sign-off </strong></th>
                <th><strong>公司 Company </strong></th>
             </tr>';
        foreach ($prev_sea_service_detail as $data):
            $vessel_name = isset($data->vessel_name) ? $data->vessel_name : '';
            $vessel_flag = isset($data->vessel_flag) ? '<img src="'.public_path().'/'.$data->vessel_flag.'" height="25px" width="35px" alt="">' : '';
            $vessel_type = isset($data->vessel_type) ? $data->vessel_type : '';
            $imo = isset($data->imo) ? $data->imo : '';
            $prev_sea_service_detail_data .= '<tr>
                <td>'.$data->rank.'</td>
                <td>'.$vessel_name.'</td>
                <td>
                    '.$vessel_flag.'
                </td>
                <td>'.$vessel_type.'</td>
                <td>'.$imo.'</td>
                <td>'.$data->grt.'</td>
                <td>'.$data->nrt.'</td>
                <td>'.$data->period_of_service.'</td>
                <td>'.$data->sign_on.'</td>
                <td>'.$data->sign_off.'</td>
                <td>'.$data->duration.'</td>
                <td>'.$data->reason_for_sign.'</td>
            </tr>';
        endforeach;

        // Qualification Data;
        $qualification_data  = '<tr> <th colspan="6"><strong><h6>Qualification 资格证书</h6></strong></th> </tr>
            <tr>
                <th><strong>{Qualification}</strong></th>
                <th><strong>Cert No. <br> 证书号码</strong></th>
                <th><strong>Issued Date <br> 发行日 (DD/MM/YYYY) </strong></th>
                <th><strong>Expiry Date <br> 发行日 (DD/MM/YYYY) </strong></th>
                <th><strong>Issued By <br> 发行单位</strong></th>
                <th><strong>Sign By</strong></th>
            </tr>';
            $certificates = ['general', 'professional', 'medical'];
            foreach ( $certificates as $certificate):
                $qualification_data  .= '<tr> <th colspan="6" style="text-align: center"><strong>'. $certificate .' </strong></th>  </tr>';
                $certificate_data = DB::table('certificates')->where('certificate_type', $certificate)->where('status', '1')->orderBy('order')->get();
                foreach ($certificate_data as  $data):
                    $crew_certificate = DB::table('crew_qualification_certificates')->where('certificate_type', $certificate)->where('certificate_id', $data->id)->first();
                    $cert_no = isset($crew_certificate->cert_no) ? $crew_certificate->cert_no : '';
                    $issued_date = isset($crew_certificate->issued_date) ? $crew_certificate->issued_date : '';
                    $expiry_date = isset($crew_certificate->expiry_date) ? $crew_certificate->expiry_date : '';
                    $issued_by = isset($crew_certificate->issued_by) ? $crew_certificate->issued_by : '';
                    $sign_off = isset($crew_certificate->sign_off) ? $crew_certificate->sign_off : '';
                    $qualification_data  .= '<tr>
                            <td>'.$data->certificate_title.'</td>
                            <td>'.$cert_no.'</td>
                            <td>'.$issued_date.'</td>
                            <td>'.$expiry_date.'</td>
                            <td>'.$issued_by.'</td>
                            <td>'.$sign_off.'</td>
                        </tr>';
                endforeach;
            endforeach;

        $pdf = '
            <div class="pdf-page" >
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        <tr>
                            <td> <strong>姓（Surname） </strong> </td>
                            <td>  '.$crew->last_name.'</td>
                            <td rowspan="12">
                                '.$img.'
                            </td>
                        </tr>
                        <tr>
                            <td> <strong>名（Given Name）</strong> </td>
                            <td> '.$crew->given_name.'</td>
                        </tr>
                        <tr>
                            <td> <strong>出生日期 Date of Birth/</strong> </td>
                            <td>  '.$crew->date_of_birth.' </td>
                        </tr>
                        <tr>
                            <td> <strong>出生地 Place of Birth</strong> </td>
                            <td> '.$crew->place_of_birth.'  </td>
                        </tr>
                        <tr>
                            <td> <strong>身高 Height(cm)/体重 Weight(kg)/</strong> </td>
                            <td> '.$crew->height.'  </td>
                        </tr>
                        <tr>
                            <td> <strong>宗教 / Religion</strong> </td>
                            <td> '.$crew->weight.' </td>
                        </tr>
                        <tr>
                            <td> <strong>国籍 / Nationality</strong> </td>
                            <td> '.$crew->nationality.' </td>
                        </tr>
                        <tr>
                            <td> <strong>学校 School/</strong> </td>
                            <td>  '.$crew->school.' </td>
                        </tr>
                        <tr>
                            <td> <strong>学历 Education Background</strong> </td>
                            <td> '.$crew->education.'</td>
                        </tr>
                        <tr>
                            <td> <strong>申请职位 / Rank</strong> </td>
                            <td> '.$crew->rank.'</td>
                        </tr>
                        <tr>
                            <td> <strong>联系电话号码 / Telephone Number</strong> </td>
                            <td>'.$crew->tel.'</td>
                        </tr>
                        <tr>
                            <td> <strong>通讯地址 / Communication Address</strong> </td>
                            <td> '.$crew->address.'</td>
                        </tr>
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        '.$immigration_documents_data.'
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        '.$prev_sea_service_detail_data.'
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                    '.$qualification_data.'
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        <tr>
                            <th colspan="6"><strong><h6>5.	Assessment (For Manning Agent use)</h6></strong></th>
                        </tr>

                        <tr>
                            <th><strong>Title</strong></th>
                            <th><strong>V.G</strong></th>
                            <th><strong>Good</strong></th>
                            <th><strong>Poor</strong></th>
                        </tr>
                        <tr>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                        </tr>


                    </table>
                </div>

                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        <tr>
                            <th colspan="6"><strong><h6>6.	Assessment (For Owner Use)</h6></strong></th>
                        </tr>

                    <tr>
                        <td></td>
                    </tr>


                    </table>
                </div>
                <div class="custom-table width-100">
                    <h5>☆	For Master and deck department, please identify type of ship and Gross tonnage
                        For Engineers and E/R department, please identify type of Main engine and Horse power.
                    </h5>
                </div>
            </div>
        ';
        // return $pdf;
        // exit;
        $mpdf = new \Mpdf\Mpdf([
            'mode' => '+aCJK',
            // "allowCJKoverflow" => true,
            "autoScriptToLang" => true,
            // "allow_charset_conversion" => false,
            "autoLangToFont" => true,
            'margin_header' => 0,
            'margin_footer' => 0,
            'format' => 'A4',
            'margin_left' => 5,
            'margin_right' => 5
        ]);
        $data = $this->pdfCss().$pdf;
        $mpdf->SetTitle($pdf_name);
        $mpdf->WriteHTML($data);
        return $mpdf->Output($pdf_name.'.pdf', 'D');
        // return view('backend.pages.general-cv.qingdao-cv', compact('id', 'pdf_name',));
    }
    public function panOceanCV($id)
    {
        $general_cv = DB::table('general_cvs')->where('id', $id)->first();
        $crew = DB::table('crews')->where('id', $general_cv->crew_id)->first();

        $pdf_name = $crew->id.'_'.$crew->full_name.'_Pan_Ocean_CV.pdf';
        $general_cv = DB::table('general_cvs')->where('id', $id)->first();
        $crew = DB::table('crews')->where('id', $general_cv->crew_id)->first();
        $vessel = DB::table('vessels')->where('id', $general_cv->for_vessel)->first();

        // Crew image
        if($crew->img !=''){
            $img = '<div class="cv-img width-130px"><img style="width:130px" src="'.public_path().'/'.$crew->img.'" alt=""></div>';
        }else{ $img = ''; }
        $vessel_name = isset($vessel->vessel_name) ? $vessel->vessel_name : '';
        $signature_of_applicant = isset($crew->signature_of_applicant) ? '<img height="80px" src="'.public_path().'/'.$general_cv->signature_of_applicant.'" alt=""> <br>' : '';


        $prev_sea_service_detail = DB::table('crew_prev_sea_service_details')->where('crew_id', $general_cv->crew_id)->get();

        //prev_sea_service_detail Data;
        $prev_sea_service_detail_data  = ' <tr> <th colspan="4"><strong><h6>PREVIOUS SEA EXPERIENCE </h6></strong></th> </tr>
            <tr>
                <th><strong>Rank</strong></th>
                <th><strong>SHIP</strong></th>
                <th><strong>FLAG</strong></th>
                <th><strong>TYPE</strong></th>
                <th><strong>IMO No.</strong></th>
                <th><strong>GT</strong></th>
                <th><strong>HORSE</strong></th>
                <th><strong>NRT</strong></th>
                <th><strong>DATE OF SIGN ON</strong> </th>
                <th><strong>DATE OF SIGN OFF</strong> </th>
                <th><strong>M.E TYPE </strong> </th>
                <th><strong>REASON </strong></th>
                <th><strong>COMPANY</strong></th>
            </tr>';
        foreach ($prev_sea_service_detail as $data):
            $vessel_name = isset($data->vessel_name) ? $data->vessel_name : '';
            $vessel_flag = isset($data->vessel_flag) ? '<img src="'.public_path().'/'.$data->vessel_flag.'" height="25px" width="35px" alt="">' : '';
            $vessel_type = isset($data->vessel_type) ? $data->vessel_type : '';
            $imo = isset($data->imo) ? $data->imo : '';
            $prev_sea_service_detail_data .= '<tr>
                    <td>'.$data->rank.'</td>
                    <td>'.$data->vessel_name.'</td>
                    <td>
                        '.$vessel_flag.'
                    </td>
                    <td>'.$vessel_type.'</td>
                    <td>'.$imo.'</td>
                    <td>'.$data->grt.'</td>
                    <td> </td>
                    <td>'.$data->nrt.'</td>
                    <td>'.$data->period_of_service.'</td>
                    <td>'.$data->sign_on.'</td>
                    <td>'.$data->sign_off.'</td>
                    <td>'.$data->duration.'</td>
                    <td>'.$data->reason_for_sign.'</td>
            </tr>';
        endforeach;

        // Qualification Data;
        $qualification_data  = '<tr> <th colspan="6"><strong><h6>CERTIFICATE</h6></strong></th>
                <tr>
                    <th><strong>TYPE OF CERTIFICATE</strong></th>
                    <th><strong>CERTIFICATE NO</strong></th>
                    <th><strong>DATE OF ISSUE </strong></th>
                    <th><strong>DATE OF EXPIRE </strong></th>
                    <th><strong>ISSUING AUTHORITY</strong></th>
                    <th><strong>Sign By</strong></th>
                </tr>';
            $certificates = ['general', 'professional', 'medical'];
            foreach ( $certificates as $certificate):
                $qualification_data  .= '<tr> <th colspan="6" style="text-align: center"><strong>'. $certificate .' </strong></th>  </tr>';
                $certificate_data = DB::table('certificates')->where('certificate_type', $certificate)->where('status', '1')->orderBy('order')->get();
                foreach ($certificate_data as  $data):
                    $crew_certificate = DB::table('crew_qualification_certificates')->where('certificate_type', $certificate)->where('certificate_id', $data->id)->first();
                    $cert_no = isset($crew_certificate->cert_no) ? $crew_certificate->cert_no : '';
                    $issued_date = isset($crew_certificate->issued_date) ? $crew_certificate->issued_date : '';
                    $expiry_date = isset($crew_certificate->expiry_date) ? $crew_certificate->expiry_date : '';
                    $issued_by = isset($crew_certificate->issued_by) ? $crew_certificate->issued_by : '';
                    $sign_off = isset($crew_certificate->sign_off) ? $crew_certificate->sign_off : '';
                    $qualification_data  .= '<tr>
                            <td>'.$data->certificate_title.'</td>
                            <td>'.$cert_no.'</td>
                            <td>'.$issued_date.'</td>
                            <td>'.$expiry_date.'</td>
                            <td>'.$issued_by.'</td>
                            <td>'.$sign_off.'</td>
                        </tr>';
                endforeach;
            endforeach;

        $pdf = '
            <div class="pdf-page" >
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        <tr>
                            <td colspan="3"><h1 style="text-align: center">SEAFARER’S APPLICATION FORM</h1></td>
                        </tr>
                        <tr>
                            <td><strong> CREW NATIONALITY:  </strong>  '.$crew->nationality.' </td>
                            <td><strong> AGENCY：</strong> AYAR SHIPAYAR SHIPPING SERVICES</td>
                            <td><strong> APPLY DATE：</strong> '.$general_cv->application_date.'</td>
                        </tr>
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        <tr>
                            <td><strong> NAME </strong> '.$crew->full_name.' </td>
                            <td><strong> RANK </strong> </td>
                            <td><strong> POSITION APPLY FOR </strong> '.$general_cv->position_applied.'</td>
                            <td rowspan="6">
                                '.$img.'
                            </td>
                        </tr>
                        <tr>
                            <td><strong> D.O.B </strong>  '.$crew->date_of_birth.' </td>
                            <td><strong> P.O.B </strong> '.$crew->place_of_birth.'</td>
                            <td><strong> RELIGION </strong> '.$crew->religion.'</td>
                        </tr>
                        <tr>
                            <td colspan="2"><strong>NAME OF SCHOOL </strong>  '.$crew->school.'</td>
                            <td><strong> DURATION </strong> '.$crew->duration.'</td>
                        </tr>
                        <tr>
                            <td><strong> MAJOR</strong> '.$crew->major.' </td>
                            <td><strong> EDUCATION</strong> '.$crew->education.'</td>
                            <td><strong> FOOD PROHIBITION </strong> </td>
                        </tr>
                        <tr>
                            <td><strong> ID</strong> '.$crew->id_no.'</td>
                            <td><strong> MARITAL STATUS</strong> '.$crew->marital_status.' </td>
                            <td><strong> BENEFICIARY </strong> '.$crew->next_of_kin.' </td>
                        </tr>
                        <tr>
                            <td><strong> HOME TEL.</strong> '.$crew->mobile_no.' </td>
                            <td><strong> M.B.NO.</strong> '.$crew->mobile_no.'  </td>
                            <td><strong> BLOOD </strong>  '.$crew->blood.'</td>
                        </tr>
                        <tr>
                            <td><strong>Height:</strong> '.$crew->height.' </td>
                            <td><strong>Weight:</strong> '.$crew->weight.' </td>
                            <td><strong> WAISTLINE：</strong> </td>
                            <td><strong> SHOE：</strong>'.$crew->waistline.'</td>
                        </tr>
                        <tr>
                            <td><strong>ADDRESS</strong> '.$crew->address.'</td>
                            <td colspan="3"><strong>ZIP CODE</strong>  '.$crew->zip_no.'</td>
                        </tr>
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        <tr>
                            <th colspan="6"><strong>FAMILY PARTICULARS（such as parents,wife,children）</strong></th>
                        </tr>
                        <tr>
                            <td><strong> NAME </strong> </td>
                            <td><strong> RELATION </strong> </td>
                            <td><strong>DATE OF BIRTH</strong> </td>
                            <td ><strong> EDUCATION </strong> </td>
                            <td ><strong> TEL.NO </strong> </td>
                            <td ><strong> OCCUPATION </strong> </td>
                        </tr>
                        <tr>
                            <td>  </td>
                            <td> </td>
                            <td> </td>
                            <td > </td>
                            <td > </td>
                            <td > </td>
                        </tr>
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        '.$qualification_data.'
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        '.$prev_sea_service_detail_data.'
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        <tr>
                            <td><strong>PERSONAL REQUIRE:(Such as wage/contract period/vsl size)</strong> </td>
                            <td><strong> </td>
                        </tr>
                    </table>
                </div>
            </div>
        ';
        // return $pdf;
        // exit;
        $mpdf = new \Mpdf\Mpdf([
            'mode' => '+aCJK',
            // "allowCJKoverflow" => true,
            "autoScriptToLang" => true,
            // "allow_charset_conversion" => false,
            "autoLangToFont" => true,
            'margin_header' => 0,
            'margin_footer' => 0,
            'format' => 'A4',
            'margin_left' => 5,
            'margin_right' => 5
        ]);
        $data = $this->pdfCss().$pdf;
        $mpdf->SetTitle($pdf_name);
        $mpdf->WriteHTML($data);
        return $mpdf->Output();
        // return view('backend.pages.general-cv.panOcean-cv', compact('id', 'pdf_name',));
    }
    public function zrichCV($id)
    {
        $general_cv = DB::table('general_cvs')->where('id', $id)->first();
        $crew = DB::table('crews')->where('id', $general_cv->crew_id)->first();
        $pdf_name = $crew->id.'_'.$crew->full_name.'_Zrich_CV.pdf';
        $general_cv = DB::table('general_cvs')->where('id', $id)->first();
        $crew = DB::table('crews')->where('id', $general_cv->crew_id)->first();
        $vessel = DB::table('vessels')->where('id', $general_cv->for_vessel)->first();

        // Crew image
        if($crew->img !=''){
            $img = '<div class="cv-img width-130px"><img style="width:130px" src="'.public_path().'/'.$crew->img.'" alt=""></div>';
        }else{ $img = ''; }
        $vessel_name = isset($vessel->vessel_name) ? $vessel->vessel_name : '';
        $signature_of_applicant = isset($crew->signature_of_applicant) ? '<img height="80px" src="'.public_path().'/'.$general_cv->signature_of_applicant.'" alt=""> <br>' : '';

        $prev_sea_service_detail = DB::table('crew_prev_sea_service_details')->where('crew_id', $general_cv->crew_id)->get();

        //prev_sea_service_detail Data;
        $prev_sea_service_detail_data  = ' <tr> <th colspan="4"><strong><h6>PREVIOUS SEA EXPERIENCE（最近5年海上资历）   </h6></strong></th> </tr>
            <tr>
                <th><strong>RANK  职务  </strong></th>
                <th><strong>SHIP NAME  船 名 </strong></th>
                <th><strong>FLAG  船 旗 </strong></th>
                <th><strong>TYPE 船舶类型 /strong></th>
                <th><strong>GT/PW 总吨/千瓦 </strong></th>
                <th><strong>SERVICE DATE  服务日期 </strong> </th>
                <th><strong>Reason for sign-off </strong></th>
                <th><strong>AREA  航 区 </strong></th>
                <th><strong>COMPANY NAME 船公司名称 </strong></th>
        </tr>';
        foreach ($prev_sea_service_detail as $data):
            $vessel_name = isset($data->vessel_name) ? $data->vessel_name : '';
            $vessel_flag = isset($data->vessel_flag) ? '<img src="'.public_path().'/'.$data->vessel_flag.'" height="25px" width="35px" alt="">' : '';
            $vessel_type = isset($data->vessel_type) ? $data->vessel_type : '';
            $imo = isset($data->imo) ? $data->imo : '';
            $prev_sea_service_detail_data .= '<tr>
                <td>'.$data->rank.'</td>
                <td>'.$data->vessel_name.'</td>
                <td>
                    '.$vessel_flag.'
                </td>
                <td>'.$data->vessel_type.'</td>
                <td>'.$data->grt.'</td>
                <td>'.$data->period_of_service.'</td>
                <td>'.$data->reason_for_sign.'</td>
                <td></td>
                <td>'.$data->reason_for_sign.'</td>
            </tr>';
        endforeach;

        // Qualification Data;
        $qualification_data  = '<tr> <th colspan="6"><strong><h6>Qualification 资格证书</h6></strong></th> </tr>
            <tr>
                <th><strong>CERTIFICATES</strong></th>
                <th><strong>Cert No.</strong></th>
                <th><strong>Issued Date (DD/MM/YYYY) </strong></th>
                <th><strong>Expiry Date (DD/MM/YYYY) </strong></th>
                <th><strong>Issued By</strong></th>
                <th><strong>Sign By</strong></th>
            </tr>';
            $certificates = ['general', 'professional', 'medical'];
            foreach ( $certificates as $certificate):
                $qualification_data  .= '<tr> <th colspan="6" style="text-align: center"><strong>'. $certificate .' </strong></th>  </tr>';
                $certificate_data = DB::table('certificates')->where('certificate_type', $certificate)->where('status', '1')->orderBy('order')->get();
                foreach ($certificate_data as  $data):
                    $crew_certificate = DB::table('crew_qualification_certificates')->where('certificate_type', $certificate)->where('certificate_id', $data->id)->first();
                    $cert_no = isset($crew_certificate->cert_no) ? $crew_certificate->cert_no : '';
                    $issued_date = isset($crew_certificate->issued_date) ? $crew_certificate->issued_date : '';
                    $expiry_date = isset($crew_certificate->expiry_date) ? $crew_certificate->expiry_date : '';
                    $issued_by = isset($crew_certificate->issued_by) ? $crew_certificate->issued_by : '';
                    $sign_off = isset($crew_certificate->sign_off) ? $crew_certificate->sign_off : '';
                    $qualification_data  .= '<tr>
                            <td>'.$data->certificate_title.'</td>
                            <td>'.$cert_no.'</td>
                            <td>'.$issued_date.'</td>
                            <td>'.$expiry_date.'</td>
                            <td>'.$issued_by.'</td>
                            <td>'.$sign_off.'</td>
                        </tr>';
                endforeach;
            endforeach;

        $pdf = '
            <div class="pdf-page" >
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        <tr>
                            <td><strong>Name  姓名</strong> '.$crew->full_name.'</td>
                            <td><strong>Gender  性别 </strong> </td>
                            <td><strong>Rank 职务</strong> </td>
                            <td><strong>Nationality 国籍</strong>'.$crew->nationality.'</td>
                            <td>'.$img.'</td>
                        </tr>
                        <tr>
                            <td><strong>D.O.B 出生日期</strong> '.$crew->date_of_birth.'</td>
                            <td><strong>Age 年龄</strong> </td>
                            <td><strong>P.O.B出生地</strong> '.$crew->place_of_birth.' </td>
                            <td><strong>Grade 等级</strong> </td>
                        </tr>
                        <tr>
                            <td colspan="2"><strong>ID No. 身份证号码</strong>'.$crew->sid_no.' </td>
                            <td colspan="2"><strong>Address 家住址</strong> '.$crew->address.'</td>
                        </tr>
                        <tr>
                            <td><strong>English Level英语水平</strong> </td>
                            <td colspan="2"><strong>Education 学历 </strong> </td>
                            <td><strong>Phone  电话</strong> </td>
                        </tr>
                        <tr>
                            <td><strong>High身高（CM）</strong>  '.$crew->height.' </td>
                            <td><strong>Weight体重（kg）</strong> '.$crew->weight.' </td>
                            <td><strong>Shoe Size 鞋号</strong>'.$crew->safety_shoes.'</td>
                            <td><strong>Blood Type 血型 </strong> </td>
                        </tr>
                        <tr>
                            <td colspan="2"><strong>Graduate from 毕业学校</strong> </td>
                            <td><strong>Major 专业</strong> </td>
                            <td><strong>Graduate date毕业时间</strong> </td>
                        </tr>
                        <tr>
                            <td><strong>Next of Kin 亲属</strong>'.$crew->next_of_kin.' </td>
                            <td><strong>Phone  电话</strong> '.$crew->family_phone_no.'</td>
                            <td colspan="3"><strong>Address 家住址</strong> '.$crew->address_next_of_kin.' </td>
                        </tr>
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                      '.$qualification_data.'
                    </table>
                </div>
                <div class="custom-table width-100">
                    <table class="table table-responsive width-100">
                        '.$prev_sea_service_detail_data.'
                    </table>
                </div>

                <div class="custom-table width-100">
                    <h6>Declaration to be signed by the Applicant</h6>
                    <hr>
                    <p>I hereby certify that the information contained in this form is completed & correct. I understand that the Company may terminate my service at any time if any of the above information is found to be false.</p>


                    <span class="signiture">
                        '.$signature_of_applicant.'
                        <span> <strong>Date: </strong>'.$general_cv->signature_date.'</span> <br>
                        <span class="signiture_title">Signature of Applicant/Date</span>
                    </span>
                </div>
                <div class="custom-table width-100">
                    <p>Interview by/Date: <strong>'.$general_cv->interview_by.'</strong>/ <strong>'.$general_cv->interview_date.'</strong>  Department: <strong>'.$general_cv->department.'</strong> Status:  Approved / Rejected </p>
                </div>
            </div>
        ';
        // return $pdf;
        // exit;
        $mpdf = new \Mpdf\Mpdf([
            'mode' => '+aCJK',
            // "allowCJKoverflow" => true,
            "autoScriptToLang" => true,
            // "allow_charset_conversion" => false,
            "autoLangToFont" => true,
            'margin_header' => 0,
            'margin_footer' => 0,
            'format' => 'A4',
            'margin_left' => 5,
            'margin_right' => 5
        ]);
        $data = $this->pdfCss().$pdf;
        $mpdf->SetTitle($pdf_name);
        $mpdf->WriteHTML($data);
        return $mpdf->Output(''.$pdf_name.'.pdf', 'D');

        // return view('backend.pages.general-cv.zrich-cv', compact('id', 'pdf_name',));
    }
    public function generalCvPdf($id)
    {

        $general_cv = general_cv::find($id);
        $crew = crew::find($general_cv->crew_id);
        $vessel = vessel::find($general_cv->for_vessel);
        $academic_qualificaitions = DB::table('crew_academic_qualificaitions')->where('crew_id', $general_cv->crew_id)->get();
        $immigration_documents = DB::table('crew_immigration_documents')->where('crew_id', $general_cv->crew_id)->get();
        $prev_sea_service_detail = DB::table('crew_prev_sea_service_details')->where('crew_id', $general_cv->crew_id)->get();
        $qualification_certificates = DB::table('crew_qualification_certificates')->where('crew_id', $general_cv->crew_id)->get();

        $pdf = App::make('dompdf.wrapper');

        $pdf->loadHTML('<h1>Test</h1>');
        return $pdf->stream();
    }
    public function delete($id){
        $general_cv = general_cv::find($id);
        DB::table('general_cvs')->delete($id);
        DB::table('crews')->delete($general_cv->crew_id);
        toastr()->success('CV Delete Succesfull');
        return redirect()->back();
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $certificates = DB::table('certificates')->where('status', '1')->orderBy('order')->get();
        $general_cv = general_cv::find($id);
        $crew = DB::table('crews')->get();
        $vessels = DB::table('vessels')->get();
        $this->setPageTitle('Edit General CV','Edit General CV','Edit General CV');
        return view('backend.pages.general-cv.edit', compact('general_cv', 'crew', 'vessels', 'certificates'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $validatedData = $request->validate([
            'crew_id' => 'required',
            'position_applied' => 'required',
            'for_vessel' => 'required',
        ]);
        if($request->application_date == 0 || $request->application_date == ''){  $application_date = '';  }else{  $application_date = $request->application_date; }
        if($request->available_date == 0 || $request->available_date == ''){  $available_date = '';  }else{  $available_date = $request->available_date; }
        if($request->manning_agent == 0 || $request->manning_agent == ''){  $manning_agent = '';  }else{  $manning_agent = $request->manning_agent; }
        if($request->signature_date == 0 || $request->signature_date == ''){  $signature_date = '';  }else{  $signature_date = $request->signature_date; }
        if($request->interview_by == 0 || $request->interview_by == ''){  $interview_by = '';  }else{  $interview_by = $request->interview_by; }
        if($request->interview_date == 0 || $request->interview_date == ''){  $interview_date = '';  }else{  $interview_date = $request->interview_date; }
        if($request->department == 0 || $request->department == ''){  $department = '';  }else{  $department = $request->department; }
        if($request->status == 0 || $request->status == ''){  $status = 1;  }else{  $status = $request->status; }
        if($request->order == 0 || $request->order == ''){  $order = 0;  }else{  $order = $request->order; }

        // signature Image
        $signature_of_applicant = $this->imageUpload($request->file('signature_of_applicant'),'images/general-cv/signature/',null,null);

        $cv_id =  general_cv::find($id)->update([
            'crew_id' => $request->crew_id,
            'position_applied' => $request->position_applied,
            'for_vessel' => $request->for_vessel,
            'application_date' => $application_date,
            'available_date' => $available_date,
            'manning_agent' => $manning_agent,
            'signature_of_applicant' => $signature_of_applicant,
            'signature_date' => $signature_date,
            'interview_by' => $interview_by,
            'interview_date' => $interview_date,
            'department' => $department,
            'status' => $status,
            'order' => $order,
            'update_by' => 1,
            'updated_at' => Carbon::now()
        ]);
        if( $cv_id != ''){
            // Insert crew_academic_qualificaitions
            $count_crew_academic_qualificaitions  = count($request->institutions);
            if($count_crew_academic_qualificaitions > 0){
                for ($x = 0; $x < $count_crew_academic_qualificaitions; $x++) {
                    if($request->update_academic_qualificaition[$x] != 0){
                        crew_academic_qualificaition::find($request->update_academic_qualificaition[$x])->update([
                            'crew_id' => $request->crew_id,
                            'from' => $request->from[$x],
                            'to' => $request->to[$x],
                            'institutions' => $request->institutions[$x],
                            'qualifications' => $request->qualifications[$x],
                            'updated_at' => Carbon::now()
                        ]);
                    }else{
                        crew_academic_qualificaition::insert([
                            'crew_id' => $request->crew_id,
                            'from' => $request->from[$x],
                            'to' => $request->to[$x],
                            'institutions' => $request->institutions[$x],
                            'qualifications' => $request->qualifications[$x],
                            'updated_at' => Carbon::now()
                        ]);
                    }
                }
            }
            // Insert crew_immigration_documents
            $count_crew_immigration_documents   = count($request->document_title);
            if($count_crew_immigration_documents > 0){
                for ($x = 0; $x < $count_crew_immigration_documents; $x++) {
                    if($request->update_immigration_documents[$x] != 0){
                        crew_immigration_document::find($request->update_immigration_documents[$x])->update([
                            'crew_id' => $request->crew_id,
                            'document_title' => $request->document_title[$x],
                            'issue_at' => $request->issue_at[$x],
                            'issue_date' => $request->issue_date[$x],
                            'expiry_date' => $request->immigration_expiry_date[$x],
                            'updated_at' => Carbon::now()
                        ]);
                    }else{
                        crew_immigration_document::insert([
                            'crew_id' => $request->crew_id,
                            'document_title' => $request->document_title[$x],
                            'issue_at' => $request->issue_at[$x],
                            'issue_date' => $request->issue_date[$x],
                            'expiry_date' => $request->immigration_expiry_date[$x],
                            'created_at' => Carbon::now(),
                            'updated_at' => Carbon::now()
                        ]);
                    }

                }
            }
            // Insert crew_prev_sea_service_details
            $count_crew_prev_sea_service_details   = count($request->rank);
            if($count_crew_prev_sea_service_details > 0){
                for ($x = 0; $x < $count_crew_prev_sea_service_details; $x++) {
                    if($request->update_prev_sea_service_details[$x] != 0){
                        crew_prev_sea_service_details::find($request->update_prev_sea_service_details[$x])->update([
                            'crew_id' => $request->crew_id,
                            'rank' => $request->rank[$x],
                            'vessel_id' => $request->for_vessel,
                            'grt' => $request->grt[$x],
                            'nrt' => $request->nrt[$x],
                            'period_of_service' => $request->period_of_service[$x],
                            'sign_on' => $request->sign_on[$x],
                            'sign_off' => $request->sign_off[$x],
                            'duration' => $request->duration[$x],
                            'reason_for_sign' => $request->reason_for_sign[$x],
                            'updated_at' => Carbon::now()
                        ]);
                    }else{
                        crew_prev_sea_service_details::insert([
                            'crew_id' => $request->crew_id,
                            'rank' => $request->rank[$x],
                            'vessel_id' => $request->for_vessel,
                            'grt' => $request->grt[$x],
                            'nrt' => $request->nrt[$x],
                            'period_of_service' => $request->period_of_service[$x],
                            'sign_on' => $request->sign_on[$x],
                            'sign_off' => $request->sign_off[$x],
                            'duration' => $request->duration[$x],
                            'reason_for_sign' => $request->reason_for_sign[$x],
                            'created_at' => Carbon::now(),
                            'updated_at' => Carbon::now()
                        ]);
                    }

                }
            }

             // Insert crew_qualification_certificates
             $count_crew_qualification_certificates    = count($request->qualification_title);
             if($count_crew_qualification_certificates > 0){
                 for ($x = 0; $x < $count_crew_qualification_certificates; $x++) {
                    if($request->update_qualification_certificate[$x] != 0){
                        crew_qualification_certificate::find($request->update_qualification_certificate[$x])->update([
                            'crew_id' => $request->crew_id,
                            'certificate_id' => $request->certificate_id[$x],
                            'qualification_title' => $request->certificate_id[$x],
                            'certificate_type' => $request->certificate_type[$x],
                            'cert_no' => $request->cert_no[$x],
                            'issue_date' => $request->certificate_issue_date[$x],
                            'expiry_date' => $request->certificate_expiry_date[$x],
                            'issued_by' => $request->issued_by[$x],
                            'sign_off' => $request->certificate_sign_off[$x],
                            'updated_at' => Carbon::now()
                        ]);
                    }else{
                        crew_qualification_certificate::insert([
                            'crew_id' => $request->crew_id,
                            'certificate_id' => $request->certificate_id[$x],
                            'qualification_title' => $request->certificate_id[$x],
                            'certificate_type' => $request->certificate_type[$x],
                            'cert_no' => $request->cert_no[$x],
                            'issue_date' => $request->certificate_issue_date[$x],
                            'expiry_date' => $request->certificate_expiry_date[$x],
                            'issued_by' => $request->issued_by[$x],
                            'sign_off' => $request->certificate_sign_off[$x],
                            'created_at' => Carbon::now(),
                            'updated_at' => Carbon::now()
                        ]);
                    }


                 }
             }
        }
        toastr()->success('General CV Added Succesfull');
        return redirect()->route('admin.general-cv.edit', [$cv_id]);

    }

    public function pdfGeneralCV(){
        $data = [
            'title' => 'Welcome to laratutorials.com',
            'date' => date('m/d/Y')
        ];


        $pdf = PDF::loadView('backend.pages.general-cv.pdf.myPDF', $data);

        return $pdf->download('laratutorials.pdf');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
