<?php

namespace App\Http\Controllers\crew;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\crew_user;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;

class crewUserController extends Controller
{
    public function crewRegistration(){
        return view('backend.pages.crew-dashboard.registration');
    }
    public function crewSignup(Request $request){
        $validatedData = $request->validate([
            'full_name' => 'required',
            'id_no' => 'required|unique:crew_users|max:255',
            'email' => 'required|unique:crew_users|max:255',
            'password' => 'required|required_with:confirm_password|same:confirm_password',
        ]);

        $retister_id =  crew_user::insertGetId([
            'crew_id' => '',
            'full_name' => $request->full_name,
            'id_no' => $request->id_no,
            'email' => $request->email,
            'activation_code' => '',
            'pre_activation_code' => '',
            'password' => Hash::make($request->password),
            'status' => 1,
            'update_by' => 0,
            'created_at' => Carbon::now()
        ]);

        toastr()->success('Applicant Retistration Succesfull');
        return redirect()->route('crewLogin', )->with('status', 'Applicant Retistration Succesfull');
    }
    public function crewLogin(){
        return view('backend.pages.crew-dashboard.login');
    }
    public function crewLoginConfirm(Request $request){

        $validatedData = $request->validate([
            'email' => 'required',
            'password' => 'required',
        ]);
        $crew = crew_user::where('email', '=', $request->email)->first();
        $login_status = 0;
        if(!$crew){
            return back()->with('fail', 'We do not recognize your   Email Account');
        }else{
            if($crew->status == 0){
                return back()->with('fail', 'Your Account is not approved yet..');
            }
            if(Hash::check($request->password, $crew->password )){
                // return "done";
                $request->session()->put('crew_login_id',$crew->id);
                $request->session()->put('crew_id',$crew->crew_id);
                $request->session()->put('crew_id_no',$crew->id_no);
                $request->session()->put('crew_email',$crew->email);
                $request->session()->put('crew_full_name',$crew->full_name);
                $login_status = 1;
                // return "allah";
                // return view('backend.pages.crew-dashboard.dashboard');
                 return redirect()->route('crewDashboard');

            }else{
                return back()->with('fail', 'Your password does not match');
            }
            return "allah";

        }
    }
    public function crewLogout(){
        session()->forget('crew_login_id');
        session()->forget('crew_id');
        session()->forget('crew_id_no');
        session()->forget('crew_email');
        session()->forget('crew_full_name');
        return redirect()->route('crewLogin');
    }
    public function crewDashboard(){
       $crew_login_id =  session('crew_login_id');
       $crew_id =  session('crew_id');
       $crew_id_no =  session('crew_id_no');
       $crew_email =  session('crew_email');
       $crew_full_name =  session('crew_full_name');
       if(!empty($crew_login_id) && !empty($crew_id_no) && !empty($crew_email) && !empty($crew_full_name)){
        return view('backend.pages.crew-dashboard.dashboard');
       }else{
        return redirect()->route('crewLogin');
       }


    }
}
