<?php

namespace App\Http\Controllers\admin;

use cv;
use App\Models\crew;
use App\Models\vessel;
use App\Models\general_cv;
use Illuminate\Http\Request;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\DB;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Mail;
use App\Models\crew_immigration_document;
use App\Models\crew_academic_qualificaition;
use App\Models\crew_prev_sea_service_details;
use App\Models\crew_qualification_certificate;
use App\Mail\crewApproved;
use App\Models\certificate;

class crewController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $this->setPageTitle('Applicant List','Applicant List','Applicant List');
        $crew = DB::table('crews')
        ->where('crews.status', 1)
        ->leftJoin('vessels', 'vessels.id', '=', 'crews.vessel_id')
        ->select('crews.id', 'crews.full_name', 'crews.img', 'crews.id_no', 'crews.sign_in', 'crews.sign_out', 'crews.vessel_id', 'vessels.vessel_name' )
        ->paginate(10);
        return view('backend.pages.crew.index', compact('crew'));
    }

    public function getCrewCertificatesAjax(Request $requests){
        $certificate_type = $requests->certificate_type;
        $certificate = certificate::where('certificate_type', $certificate_type)->get();
        if(count($certificate) > 0){
            $output = '';
            foreach($certificate as $data){
                $output .= '<option value="'.$data->id.'">'.$certificate_type.' -> '.$data->certificate_title.'</option>';
            }
        }else{
            $output = '<option value="0">No record found</option>';
        }

        return $output;
    }
    public function crewVessel($id)
    {
        $this->setPageTitle('Applicant List','Applicant List','Applicant List');
        $crew = DB::table('crews')
        ->leftJoin('vessels', 'vessels.id', '=', 'crews.vessel_id')
        ->where('vessel_id', $id)
        ->select('crews.id', 'crews.full_name', 'crews.img', 'crews.id_no', 'crews.sign_in', 'crews.sign_out', 'crews.vessel_id', 'vessels.vessel_name' )
        ->where('crews.status', '1')
        ->paginate(10);
        $vessel = vessel::find($id);
        return view('backend.pages.crew.vessel-crew', compact('crew', 'vessel'));
    }

    public function crewCertificate(Request $requests, $id){
        // return $requests->crew_id;
        $certificate = DB::table('crew_qualification_certificates')
        ->leftJoin('certificates', 'certificates.id', '=', 'crew_qualification_certificates.certificate_id')
        ->select('crew_qualification_certificates.id', 'certificates.certificate_title', 'crew_qualification_certificates.certificate_type', 'crew_qualification_certificates.cert_no', 'crew_qualification_certificates.issue_date', 'crew_qualification_certificates.expiry_date', 'crew_qualification_certificates.issued_by', 'crew_qualification_certificates.sign_off' )
        ->where('crew_qualification_certificates.crew_id', $id)
        ->get();
        $crew = crew::find($id);
        $html = ' <div class="custom-table">
            <table class="table table-responsive">
                <tr>
                    <th>Certificates Title</th>
                    <th>Certificates Type</th>
                    <th>Cert No.</th>
                    <th>Issued Date (DD/MM/YYYY) </th>
                    <th>Expiry Date (DD/MM/YYYY) </th>
                    <th>Issued By</th>
                    <th>Sign By</th>
                </tr>';
        foreach($certificate as $data){
            $html .= '
                <tr>
                    <td>'.$data->certificate_title.'</td>
                    <td>'.$data->certificate_type.'</td>
                    <td>'.$data->cert_no.'</td>
                    <td>'.$data->issue_date.'</td>
                    <td>'.$data->expiry_date.'</td>
                    <td>'.$data->issued_by.'</td>
                    <td>'.$data->sign_off.'</td>
                </tr>';
        }
        $html .=   '</table>
        </div>';


        // return  $html;
        return view('backend.pages.crew.crew-certificate', compact('id', 'crew'));


    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $certificates = DB::table('certificates')->where('status', '1')->orderBy('order')->get();
        $vessels = DB::table('vessels')->get();
        $this->setPageTitle('Add New Applicant','Add New Applicant','Add New Applicant');
        return view('backend.pages.crew.add', compact('vessels', 'certificates', 'vessels'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validatedData = $request->validate([
            'id_no' => 'required',
            'vessel_id' => 'required',
            'last_name' => 'required',
            'given_name' => 'required',
            'full_name' => 'required',
            'img' => 'required',
            'place_of_birth' => 'required',
            'date_of_birth' => 'required',
            'height' => 'required',
            'weight' => 'required',
            'boiler_suit' => 'required',
            'safety_shoes' => 'required',
            'marital_status' => 'required',
            'mobile_no' => 'required',
            'skype' => 'required',
            'school' => 'required',
            'crew_rank' => 'required',
            'education' => 'required',
            'blood' => 'required',
            'sid_no' => 'required',
            'nid_no' => 'required',
            'covid_vaccination' => 'required',
            'address' => 'required',
            'email' => 'required',
            'next_of_kin' => 'required',
            'relationship' => 'required',
            'family_phone_no' => 'required',
        ]);
        if($request->vessel_id == 0 || $request->vessel_id == ''){  $vessel_id = 0;  }else{  $vessel_id = $request->vessel_id; }
        if($request->for_vessel == 0 || $request->for_vessel == ''){  $for_vessel = 0;  }else{  $for_vessel = $request->for_vessel; }
        if($request->sign_in == 0 || $request->sign_in == ''){  $sign_in = '';  }else{  $sign_in = $request->sign_in; }
        if($request->sign_out == 0 || $request->sign_out == ''){  $sign_out = '';  }else{  $sign_out = $request->sign_out; }
        if($request->height == 0 || $request->height == ''){  $height = '';  }else{  $height = $request->height; }
        if($request->weight == 0 || $request->weight == ''){  $weight = '';  }else{  $weight = $request->weight; }
        if($request->boiler_suit == 0 || $request->boiler_suit == ''){  $boiler_suit = '';  }else{  $boiler_suit = $request->boiler_suit; }
        if($request->safety_shoes == 0 || $request->safety_shoes == ''){  $safety_shoes = '';  }else{  $safety_shoes = $request->safety_shoes; }
        if($request->marital_status == 0 || $request->marital_status == ''){  $marital_status = '';  }else{  $marital_status = $request->marital_status; }
        if($request->mobile_no == 0 || $request->mobile_no == ''){  $mobile_no = '';  }else{  $mobile_no = $request->mobile_no; }
        //
        if($request->tel == 0 || $request->tel == ''){  $tel = '';  }else{  $tel = $request->tel; }
        if($request->skype == 0 || $request->skype == ''){  $skype = '';  }else{  $skype = $request->skype; }
        if($request->school == 0 || $request->school == ''){  $school = '';  }else{  $school = $request->school; }
        if($request->crew_duration == 0 || $request->crew_duration == ''){  $crew_duration = '';  }else{  $crew_duration = $request->crew_duration; }
        if($request->degree == 0 || $request->degree == ''){  $degree = '';  }else{  $degree = $request->degree; }
        if($request->major == 0 || $request->major == ''){  $major = '';  }else{  $major = $request->major; }
        if($request->crew_rank == 0 || $request->crew_rank == ''){  $rank = '';  }else{  $rank = $request->crew_rank; }
        if($request->education == 0 || $request->education == ''){  $education = '';  }else{  $education = $request->education; }
        if($request->grade == 0 || $request->grade == ''){  $grade = '';  }else{  $grade = $request->grade; }
        if($request->waistline == 0 || $request->waistline == ''){  $waistline = '';  }else{  $waistline = $request->waistline; }
        if($request->zip_no == 0 || $request->zip_no == ''){  $zip_no = '';  }else{  $zip_no = $request->zip_no; }
        if($request->english_level == 0 || $request->english_level == ''){  $english_level = '';  }else{  $english_level = $request->english_level; }
        if($request->blood == 0 || $request->blood == ''){  $blood = '';  }else{  $blood = $request->blood; }
        if($request->graduate_date == 0 || $request->graduate_date == ''){  $graduate_date = '';  }else{  $graduate_date = $request->graduate_date; }
        //
        if($request->nationality == 0 || $request->nationality == ''){  $nationality = 0;  }else{  $nationality = $request->nationality; }
        if($request->hair_color == 0 || $request->hair_color == ''){  $hair_color = 0;  }else{  $hair_color = $request->hair_color; }
        if($request->eyes_color == 0 || $request->eyes_color == ''){  $eyes_color = 0;  }else{  $eyes_color = $request->eyes_color; }
        if($request->sid_no == 0 || $request->sid_no == ''){  $sid_no = 0;  }else{  $sid_no = $request->sid_no; }
        if($request->nid_no == 0 || $request->nid_no == ''){  $nid_no = '';  }else{  $nid_no = $request->nid_no; }
        if($request->religion == 0 || $request->religion == ''){  $religion = '';  }else{  $religion = $request->religion; }
        if($request->covid_vaccination == 0 || $request->covid_vaccination == ''){  $covid_vaccination = '';  }else{  $covid_vaccination = $request->covid_vaccination; }
        if($request->address == 0 || $request->address == ''){  $address = '';  }else{  $address = $request->address; }
        if($request->email == 0 || $request->email == ''){  $email = '';  }else{  $email = $request->email; }
        if($request->next_of_kin == 0 || $request->next_of_kin == ''){  $next_of_kin = '';  }else{  $next_of_kin = $request->next_of_kin; }
        if($request->relationship == 0 || $request->relationship == ''){  $relationship = '';  }else{  $relationship = $request->relationship; }
        if($request->family_phone_no == 0 || $request->family_phone_no == ''){  $family_phone_no = '';  }else{  $family_phone_no = $request->family_phone_no; }
        if($request->address_next_of_kin == 0 || $request->address_next_of_kin == ''){  $address_next_of_kin = '';  }else{  $address_next_of_kin = $request->address_next_of_kin; }
        if($request->status == 0 || $request->status == ''){  $status = 0;  }else{  $status = $request->status; }
        if($request->order == 0 || $request->order == ''){  $order = 0;  }else{  $order = $request->order; }

         // Crew Image
         $img = $this->imageUpload($request->file('img'),'images/crew/image/',null,null);

        // General CV
        if($request->application_date == 0 || $request->application_date == ''){  $application_date = '';  }else{  $application_date = $request->application_date; }
        if($request->available_date == 0 || $request->available_date == ''){  $available_date = '';  }else{  $available_date = $request->available_date; }
        if($request->manning_agent == 0 || $request->manning_agent == ''){  $manning_agent = '';  }else{  $manning_agent = $request->manning_agent; }
        if($request->signature_date == 0 || $request->signature_date == ''){  $signature_date = '';  }else{  $signature_date = $request->signature_date; }
        if($request->interview_by == 0 || $request->interview_by == ''){  $interview_by = '';  }else{  $interview_by = $request->interview_by; }
        if($request->interview_date == 0 || $request->interview_date == ''){  $interview_date = '';  }else{  $interview_date = $request->interview_date; }
        if($request->department == 0 || $request->department == ''){  $department = '';  }else{  $department = $request->department; }
        if($request->status == 0 || $request->status == ''){  $status = 1;  }else{  $status = $request->status; }
        if($request->order == 0 || $request->order == ''){  $order = 0;  }else{  $order = $request->order; }
        if($request->position_applied == 0 || $request->position_applied == ''){  $position_applied = '';  }else{  $position_applied = $request->position_applied; }
            // signature Image
            $signature_of_applicant = $this->imageUpload($request->file('signature_of_applicant'),'images/general-cv/signature/',null,null);




         // Insert Crew And Get The id
         $crew =  crew::insertGetId([
            'id_no' => $request->id_no,
            'last_name' => $request->last_name,
            'given_name' => $request->given_name,
            'full_name' => $request->full_name,
            'vessel_id' => $vessel_id,
            'sign_in' => $sign_in,
            'sign_out' => $sign_out,
            'img' => $img,
            'place_of_birth' => $request->place_of_birth,
            'date_of_birth' => $request->date_of_birth,
            'height' => $height,
            'weight' => $weight,
            'boiler_suit' => $boiler_suit,
            'safety_shoes' => $safety_shoes,
            'marital_status' => $marital_status,
            'mobile_no' => $mobile_no,
            'tel' => $tel,
            'skype' => $skype,
            'school' => $school,
            'duration' => $crew_duration,
            'degree' => $degree,
            'major' => $major,
            'rank' => $rank,
            'education' => $education,
            'grade' => $grade,
            'waistline' => $waistline,
            'zip_no' => $zip_no,
            'english_level' => $english_level,
            'blood' => $blood,
            'graduate_date' => $graduate_date,
            'nationality' => $nationality,
            'hair_color' => $hair_color,
            'eyes_color' => $eyes_color,
            'sid_no' => $sid_no,
            'nid_no' => $nid_no,
            'religion' => $religion,
            'covid_vaccination' => $covid_vaccination,
            'address' => $address,
            'email' => $email,
            'next_of_kin' => $next_of_kin,
            'relationship' => $relationship,
            'family_phone_no' => $family_phone_no,
            'address_next_of_kin' => $address_next_of_kin,
            'status' => $status,
            'order' => $order,
            'create_by' => 1,
            'update_by' => 1,
            'created_at' => Carbon::now(),
            'updated_at' => Carbon::now()
        ]);

        if($crew != ''){
            $cv_id =  general_cv::insertGetId([
                'crew_id' => $crew,
                'position_applied' => $position_applied,
                'for_vessel' => $for_vessel,
                'application_date' => $application_date,
                'available_date' => $available_date,
                'manning_agent' => $manning_agent,
                'signature_of_applicant' => $signature_of_applicant,
                'signature_date' => $signature_date,
                'interview_by' => $interview_by,
                'interview_date' => $interview_date,
                'department' => $department,
                'status' => $status,
                'order' => $order,
                'create_by' => 1,
                'update_by' => 1,
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now()
            ]);

            if( $cv_id != ''){
                // Insert crew_academic_qualificaitions
                $count_crew_academic_qualificaitions  = count($request->institutions);
                if($count_crew_academic_qualificaitions > 0){
                    for ($x = 0; $x < $count_crew_academic_qualificaitions; $x++) {
                        if($request->from[$x] != ''){$from = $request->from[$x]; }else{ $from = '';}
                        if($request->to[$x] != ''){$to = $request->to[$x]; }else{ $to = '';}
                        if($request->institutions[$x] != ''){$institutions = $request->institutions[$x]; }else{ $institutions = '';}
                        if($request->qualifications[$x] != ''){$qualifications = $request->qualifications[$x]; }else{ $qualifications = '';}
                        if($request->file('certificate_file') !=''){
                            $academic_certificate = $this->imageUpload($request->file('immigration_documents')[$x],'images/certificate/academic_certificate/',null,null);
                            }else{
                                $academic_certificate ='';
                            }
                        crew_academic_qualificaition::insert([
                            'crew_id' => $crew,
                            'from' => $from,
                            'to' => $to,
                            'academic_certificate' => $academic_certificate,
                            'institutions' => $institutions,
                            'qualifications' => $qualifications,
                            'created_at' => Carbon::now(),
                            'updated_at' => Carbon::now()
                        ]);
                    }
                }
                // Insert crew_immigration_documents
                $count_crew_immigration_documents   = count($request->document_title);
                if($count_crew_immigration_documents > 0){
                    for ($x = 0; $x < $count_crew_immigration_documents; $x++) {
                        if($request->document_title[$x] != ''){$document_title = $request->document_title[$x]; }else{ $document_title = '';}
                        if($request->issue_at[$x] != ''){$issue_at = $request->issue_at[$x]; }else{ $issue_at = '';}
                        if($request->issue_date[$x] != ''){$issue_date = $request->issue_date[$x]; }else{ $issue_date = '';}
                        if($request->immigration_expiry_date[$x] != ''){$immigration_expiry_date = $request->immigration_expiry_date[$x]; }else{ $immigration_expiry_date = '';}
                        if($request->file('certificate_file') !=''){
                        $immigration_documents = $this->imageUpload($request->file('immigration_documents')[$x],'images/certificate/immigration_documents/',null,null);
                        }else{
                            $immigration_documents ='';
                        }
                        crew_immigration_document::insert([
                            'crew_id' => $crew,
                            'document_title' => $document_title,
                            'immigration_documents' => $immigration_documents,
                            'issue_at' => $issue_at,
                            'issue_date' => $issue_date,
                            'expiry_date' => $immigration_expiry_date,
                            'created_at' => Carbon::now(),
                            'updated_at' => Carbon::now()
                        ]);
                    }
                }
                // Insert crew_prev_sea_service_details
                $count_crew_prev_sea_service_details   = count($request->rank);
                if($count_crew_prev_sea_service_details > 0){
                    for ($x = 0; $x < $count_crew_prev_sea_service_details; $x++) {
                        if($request->rank[$x] != ''){$rank = $request->rank[$x]; }else{ $rank = '';}
                        if($request->for_vessel != ''){$for_vessel = $request->for_vessel; }else{ $for_vessel = '';}
                        if($request->pref_vessel_name[$x] != ''){$pref_vessel_name = $request->pref_vessel_name[$x]; }else{ $pref_vessel_name = '';}
                        if($request->pref_imo[$x] != ''){$pref_imo = $request->pref_imo[$x]; }else{ $pref_imo = '';}
                        if($request->pref_vessel_flag[$x] != ''){$pref_vessel_flag = $request->pref_vessel_flag[$x]; }else{ $pref_vessel_flag = '';}
                        if($request->pref_vessel_type[$x] != ''){$pref_vessel_type = $request->pref_vessel_type[$x]; }else{ $pref_vessel_type = '';}
                        if($request->grt[$x] != ''){$grt = $request->grt[$x]; }else{ $grt = '';}
                        if($request->nrt[$x] != ''){$nrt = $request->nrt[$x]; }else{ $nrt = '';}
                        if($request->period_of_service[$x] != ''){$period_of_service = $request->period_of_service[$x]; }else{ $period_of_service = '';}
                        if($request->main_engine_details[$x] != ''){$main_engine_details = $request->main_engine_details[$x]; }else{ $main_engine_details = '';}
                        if($request->name_of_company[$x] != ''){$name_of_company = $request->name_of_company[$x]; }else{ $name_of_company = '';}
                        if($request->sign_on[$x] != ''){$sign_on = $request->sign_on[$x]; }else{ $sign_on = '';}
                        if($request->sign_off[$x] != ''){$sign_off = $request->sign_off[$x]; }else{ $sign_off = '';}
                        if($request->duration[$x] != ''){$duration = $request->duration[$x]; }else{ $duration = '';}
                        if($request->reason_for_sign[$x] != ''){$reason_for_sign = $request->reason_for_sign[$x]; }else{ $reason_for_sign = '';}
                        if($request->file('certificate_file') !=''){
                        $sea_service = $this->imageUpload($request->file('sea_service')[$x],'images/certificate/sea_service/',null,null);
                        }else{
                            $sea_service ='';
                        }
                        crew_prev_sea_service_details::insert([
                            'crew_id' => $crew,
                            'rank' => $rank,
                            'vessel_id' => $for_vessel,
                            'vessel_name' => $pref_vessel_name,
                            'sea_service' => $sea_service,
                            'imo' => $pref_imo,
                            'vessel_flag' => $pref_vessel_flag,
                            'vessel_type' => $pref_vessel_type,
                            'main_engine_details' => $main_engine_details,
                            'name_of_company' => $name_of_company,
                            'grt' => $grt,
                            'nrt' => $nrt,
                            'period_of_service' => $period_of_service,
                            'sign_on' => $sign_on,
                            'sign_off' => $sign_off,
                            'duration' => $duration,
                            'reason_for_sign' => $reason_for_sign,
                            'created_at' => Carbon::now(),
                            'updated_at' => Carbon::now()
                        ]);
                    }
                }

                 // Insert crew_qualification_certificates
                 $count_crew_qualification_certificates    = count($request->certificate_type);
                 if($count_crew_qualification_certificates > 0){
                     for ($x = 0; $x < $count_crew_qualification_certificates; $x++) {
                        //dd($request->file('certificate_file['.$x.']'));
                        if($request->file('certificate_file') !=''){
                        $certificate_file = $this->imageUpload($request->file('certificate_file')[$x],'images/certificate/signature/',null,null);
                        }else{
                            $certificate_file ='';
                        }
                        if($request->certificate_id[$x] != ''){$certificate_id = $request->certificate_id[$x]; }else{ $certificate_id = 0;}
                        if($request->certificate_type[$x] != ''){$certificate_type = $request->certificate_type[$x]; }else{ $certificate_type = '';}
                        if($request->cert_no[$x] != ''){$cert_no = $request->cert_no[$x]; }else{ $cert_no = '';}
                        if($request->certificate_issue_date[$x] != ''){$certificate_issue_date = $request->certificate_issue_date[$x]; }else{ $certificate_issue_date = '';}
                        if($request->certificate_expiry_date[$x] != ''){$certificate_expiry_date = $request->certificate_expiry_date[$x]; }else{ $certificate_expiry_date = '';}
                        if($request->issued_by[$x] != ''){$issued_by = $request->issued_by[$x]; }else{ $issued_by = '';}
                        if($request->certificate_sign_off[$x] != ''){$certificate_sign_off = $request->certificate_sign_off[$x]; }else{ $certificate_sign_off = '';}

                        crew_qualification_certificate::insert([
                             'crew_id' => $crew,
                             'certificate_id' => $certificate_id,
                             'qualification_title' => $certificate_id,
                             'certificate_type' => $certificate_type,
                             'cert_no' => $cert_no,
                             'issue_date' => $certificate_issue_date,
                             'expiry_date' => $certificate_expiry_date,
                             'issued_by' => $issued_by,
                             'sign_off' => $certificate_sign_off,
                             'certificate_file' => $certificate_file,
                             'created_at' => Carbon::now(),
                             'updated_at' => Carbon::now()
                         ]);
                     }
                 }
            }
        }
        toastr()->success('Applicant Added Succesfull');
        return redirect()->route('admin.crew.edit', [$crew]);



    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $crew = crew::find($id);
        $this->setPageTitle('View Applicant','View Applicant','View Applicant');
        return view('backend.pages.crew.view', compact('crew'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $crew = crew::find($id);
        $certificates = DB::table('certificates')->where('status', '1')->orderBy('order')->get();
        $vessels = DB::table('vessels')->get();
        $general_cv = DB::table('general_cvs')->where('crew_id', $id)->first();
        // dd($general_cv);
        $this->setPageTitle('Edit Applicant','Edit Applicant','Edit Applicant');
        return view('backend.pages.crew.edit', compact('crew', 'vessels', 'certificates', 'general_cv'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {

        $validatedData = $request->validate([
            'id_no' => 'required',
            'vessel_id' => 'required',
            'last_name' => 'required',
            'given_name' => 'required',
            'full_name' => 'required',
            'img' => 'required',
            'place_of_birth' => 'required',
            'date_of_birth' => 'required',
            'height' => 'required',
            'weight' => 'required',
            'boiler_suit' => 'required',
            'safety_shoes' => 'required',
            'marital_status' => 'required',
            'mobile_no' => 'required',
            'skype' => 'required',
            'school' => 'required',
            'crew_rank' => 'required',
            'education' => 'required',
            'blood' => 'required',
            'sid_no' => 'required',
            'nid_no' => 'required',
            'covid_vaccination' => 'required',
            'address' => 'required',
            'email' => 'required',
            'next_of_kin' => 'required',
            'relationship' => 'required',
            'family_phone_no' => 'required',
        ]);
        if($request->vessel_id == 0 || $request->vessel_id == ''){  $vessel_id = 0;  }else{  $vessel_id = $request->vessel_id; }
        if($request->sign_in == 0 || $request->sign_in == ''){  $sign_in = '';  }else{  $sign_in = $request->sign_in; }
        if($request->sign_out == 0 || $request->sign_out == ''){  $sign_out = '';  }else{  $sign_out = $request->sign_out; }
        if($request->height == 0 || $request->height == ''){  $height = '';  }else{  $height = $request->height; }
        if($request->weight == 0 || $request->weight == ''){  $weight = '';  }else{  $weight = $request->weight; }
        if($request->boiler_suit == 0 || $request->boiler_suit == ''){  $boiler_suit = '';  }else{  $boiler_suit = $request->boiler_suit; }
        if($request->safety_shoes == 0 || $request->safety_shoes == ''){  $safety_shoes = '';  }else{  $safety_shoes = $request->safety_shoes; }
        if($request->marital_status == 0 || $request->marital_status == ''){  $marital_status = '';  }else{  $marital_status = $request->marital_status; }
        if($request->mobile_no == 0 || $request->mobile_no == ''){  $mobile_no = '';  }else{  $mobile_no = $request->mobile_no; }
         //
         if($request->tel == 0 || $request->tel == ''){  $tel = '';  }else{  $tel = $request->tel; }
         if($request->skype == 0 || $request->skype == ''){  $skype = '';  }else{  $skype = $request->skype; }
         if($request->school == 0 || $request->school == ''){  $school = '';  }else{  $school = $request->school; }
         if($request->crew_duration == 0 || $request->crew_duration == ''){  $crew_duration = '';  }else{  $crew_duration = $request->crew_duration; }
         if($request->degree == 0 || $request->degree == ''){  $degree = '';  }else{  $degree = $request->degree; }
         if($request->major == 0 || $request->major == ''){  $major = '';  }else{  $major = $request->major; }
         if($request->rank == 0 || $request->rank == ''){  $rank = '';  }else{  $rank = $request->rank; }
         if($request->education == 0 || $request->education == ''){  $education = '';  }else{  $education = $request->education; }
         if($request->grade == 0 || $request->grade == ''){  $grade = '';  }else{  $grade = $request->grade; }
         if($request->waistline == 0 || $request->waistline == ''){  $waistline = '';  }else{  $waistline = $request->waistline; }
         if($request->zip_no == 0 || $request->zip_no == ''){  $zip_no = '';  }else{  $zip_no = $request->zip_no; }
         if($request->english_level == 0 || $request->english_level == ''){  $english_level = '';  }else{  $english_level = $request->english_level; }
         if($request->blood == 0 || $request->blood == ''){  $blood = '';  }else{  $blood = $request->blood; }
         if($request->graduate_date == 0 || $request->graduate_date == ''){  $graduate_date = '';  }else{  $graduate_date = $request->graduate_date; }
         //
        if($request->nationality == 0 || $request->nationality == ''){  $nationality = 0;  }else{  $nationality = $request->nationality; }
        if($request->hair_color == 0 || $request->hair_color == ''){  $hair_color = 0;  }else{  $hair_color = $request->hair_color; }
        if($request->eyes_color == 0 || $request->eyes_color == ''){  $eyes_color = 0;  }else{  $eyes_color = $request->eyes_color; }
        if($request->sid_no == 0 || $request->sid_no == ''){  $sid_no = 0;  }else{  $sid_no = $request->sid_no; }
        if($request->nid_no == 0 || $request->nid_no == ''){  $nid_no = '';  }else{  $nid_no = $request->nid_no; }
        if($request->religion == 0 || $request->religion == ''){  $religion = '';  }else{  $religion = $request->religion; }
        if($request->covid_vaccination == 0 || $request->covid_vaccination == ''){  $covid_vaccination = '';  }else{  $covid_vaccination = $request->covid_vaccination; }
        if($request->address == 0 || $request->address == ''){  $address = '';  }else{  $address = $request->address; }
        if($request->email == 0 || $request->email == ''){  $email = '';  }else{  $email = $request->email; }
        if($request->next_of_kin == 0 || $request->next_of_kin == ''){  $next_of_kin = '';  }else{  $next_of_kin = $request->next_of_kin; }
        if($request->relationship == 0 || $request->relationship == ''){  $relationship = '';  }else{  $relationship = $request->relationship; }
        if($request->family_phone_no == 0 || $request->family_phone_no == ''){  $family_phone_no = '';  }else{  $family_phone_no = $request->family_phone_no; }
        if($request->address_next_of_kin == 0 || $request->address_next_of_kin == ''){  $address_next_of_kin = '';  }else{  $address_next_of_kin = $request->address_next_of_kin; }
        if($request->status == 0 || $request->status == ''){  $status = 0;  }else{  $status = $request->status; }
        if($request->order == 0 || $request->order == ''){  $order = 0;  }else{  $order = $request->order; }

        // Crew Image
        $img = $this->imageUpload($request->file('img'),'images/crew/image/',null,null);
        if($img != ''){
            $img = $img;
        }else{
            $img = $request->old_img;
        }

        // General CV
        if($request->application_date == 0 || $request->application_date == ''){  $application_date = '';  }else{  $application_date = $request->application_date; }
        if($request->available_date == 0 || $request->available_date == ''){  $available_date = '';  }else{  $available_date = $request->available_date; }
        if($request->manning_agent == 0 || $request->manning_agent == ''){  $manning_agent = '';  }else{  $manning_agent = $request->manning_agent; }
        if($request->signature_date == 0 || $request->signature_date == ''){  $signature_date = '';  }else{  $signature_date = $request->signature_date; }
        if($request->interview_by == 0 || $request->interview_by == ''){  $interview_by = '';  }else{  $interview_by = $request->interview_by; }
        if($request->interview_date == 0 || $request->interview_date == ''){  $interview_date = '';  }else{  $interview_date = $request->interview_date; }
        if($request->department == 0 || $request->department == ''){  $department = '';  }else{  $department = $request->department; }
        if($request->status == 0 || $request->status == ''){  $status = 1;  }else{  $status = $request->status; }
        if($request->order == 0 || $request->order == ''){  $order = 0;  }else{  $order = $request->order; }
         // signature Image
         $signature_of_applicant = $this->imageUpload($request->file('signature_of_applicant'),'images/general-cv/signature/',null,null);


        // Insert Crew And Get The id
        $crew =  crew::find($id)->update([
            'id_no' => $request->id_no,
            'last_name' => $request->last_name,
            'given_name' => $request->given_name,
            'full_name' => $request->full_name,
            'sign_in' => $sign_in,
            'sign_out' => $sign_out,
            'vessel_id' => $vessel_id,
            'img' => $img,
            'place_of_birth' => $request->place_of_birth,
            'date_of_birth' => $request->date_of_birth,
            'height' => $height,
            'weight' => $weight,
            'boiler_suit' => $boiler_suit,
            'safety_shoes' => $safety_shoes,
            'marital_status' => $marital_status,
            'mobile_no' => $mobile_no,
            'tel' => $tel,
            'skype' => $skype,
            'school' => $school,
            'duration' => $crew_duration,
            'degree' => $degree,
            'major' => $major,
            'rank' => $rank,
            'education' => $education,
            'grade' => $grade,
            'waistline' => $waistline,
            'zip_no' => $zip_no,
            'english_level' => $english_level,
            'blood' => $blood,
            'graduate_date' => $graduate_date,
            'nationality' => $nationality,
            'hair_color' => $hair_color,
            'eyes_color' => $eyes_color,
            'sid_no' => $sid_no,
            'nid_no' => $nid_no,
            'religion' => $religion,
            'covid_vaccination' => $covid_vaccination,
            'address' => $address,
            'email' => $email,
            'next_of_kin' => $next_of_kin,
            'relationship' => $relationship,
            'family_phone_no' => $family_phone_no,
            'address_next_of_kin' => $address_next_of_kin,
            'status' => $status,
            'order' => $order,
            'update_by' => 1,
            'updated_at' => Carbon::now()
        ]);
        $crew = $id;

        // if($crew != '' && $status == 1){
        //     $details = '';
        //     Mail::to("".$email."")->send(new crewApproved($details));
        //     dd('Mail Send Successfully !!');
        // }
        if($crew !=''){
            $cv_id = DB::table('general_cvs')->where('crew_id', $crew)->first();
            // dd($cv_id);
            $cv_id =  general_cv::find($cv_id->id)->update([
                'crew_id' => $crew,
                'position_applied' => $request->position_applied,
                'for_vessel' => $request->for_vessel,
                'application_date' => $application_date,
                'available_date' => $available_date,
                'manning_agent' => $manning_agent,
                'signature_of_applicant' => $signature_of_applicant,
                'signature_date' => $signature_date,
                'interview_by' => $interview_by,
                'interview_date' => $interview_date,
                'department' => $department,
                'status' => $status,
                'order' => $order,
                'update_by' => 1,
                'updated_at' => Carbon::now()
            ]);
            if( $cv_id != ''){
                // Insert crew_academic_qualificaitions
                $count_crew_academic_qualificaitions  = count($request->institutions);
                if($count_crew_academic_qualificaitions > 0){

                    for ($x = 0; $x < $count_crew_academic_qualificaitions; $x++) {
                        if($request->file('academic_certificate') !=''){
                            $academic_certificate = $this->imageUpload($request->file('academic_certificate')[$x],'images/certificate/academic_certificate/',null,null);
                            }else{
                                $academic_certificate = $request->academic_certificate_old[$x];
                            }
                        if($request->update_academic_qualificaition[$x] != 0){
                            crew_academic_qualificaition::find($request->update_academic_qualificaition[$x])->update([
                                'crew_id' => $crew,
                                'from' => $request->from[$x],
                                'to' => $request->to[$x],
                                'institutions' => $request->institutions[$x],
                                'qualifications' => $request->qualifications[$x],
                                'academic_certificate' => $academic_certificate,
                                'updated_at' => Carbon::now()
                            ]);
                        }else{
                            crew_academic_qualificaition::insert([
                                'crew_id' => $crew,
                                'from' => $request->from[$x],
                                'to' => $request->to[$x],
                                'academic_certificate' => $academic_certificate,
                                'institutions' => $request->institutions[$x],
                                'qualifications' => $request->qualifications[$x],
                                'updated_at' => Carbon::now()
                            ]);
                        }
                    }
                }
                // Insert crew_immigration_documents
                $count_crew_immigration_documents   = count($request->document_title);
                if($count_crew_immigration_documents > 0){
                    for ($x = 0; $x < $count_crew_immigration_documents; $x++) {
                        if($request->file('immigration_documents') !=''){
                            $immigration_documents = $this->imageUpload($request->file('immigration_documents')[$x],'images/certificate/immigration_documents/',null,null);
                            }else{
                                $immigration_documents = $request->immigration_documents_old[$x];
                            }
                        if($request->update_immigration_documents[$x] != 0){
                            crew_immigration_document::find($request->update_immigration_documents[$x])->update([
                                'crew_id' => $crew,
                                'document_title' => $request->document_title[$x],
                                'immigration_documents' => $immigration_documents,
                                'issue_at' => $request->issue_at[$x],
                                'issue_date' => $request->issue_date[$x],
                                'expiry_date' => $request->immigration_expiry_date[$x],
                                'updated_at' => Carbon::now()
                            ]);
                        }else{
                            crew_immigration_document::insert([
                                'crew_id' => $crew,
                                'document_title' => $request->document_title[$x],
                                'immigration_documents' => $immigration_documents,
                                'issue_at' => $request->issue_at[$x],
                                'issue_date' => $request->issue_date[$x],
                                'expiry_date' => $request->immigration_expiry_date[$x],
                                'created_at' => Carbon::now(),
                                'updated_at' => Carbon::now()
                            ]);
                        }

                    }
                }
                // Insert crew_prev_sea_service_details
                $count_crew_prev_sea_service_details   = count($request->rank);
                if($count_crew_prev_sea_service_details > 0){
                    for ($x = 0; $x < $count_crew_prev_sea_service_details; $x++) {
                        if($request->file('sea_service') !=''){
                            $sea_service = $this->imageUpload($request->file('sea_service')[$x],'images/certificate/sea_service/',null,null);
                            }else{
                                $sea_service = $request->sea_service_old[$x];
                            }
                        if($request->update_prev_sea_service_details[$x] != 0){
                            crew_prev_sea_service_details::find($request->update_prev_sea_service_details[$x])->update([
                                'crew_id' => $crew,
                                'rank' => $request->rank[$x],
                                'vessel_id' => $request->for_vessel,
                                'vessel_name' => $request->prev_vessel_name[$x],
                                'sea_service' => $sea_service,
                                'imo' => $request->prev_imo[$x],
                                'vessel_flag' => $request->prev_vessel_flag[$x],
                                'vessel_type' => $request->prev_vessel_type[$x],
                                'main_engine_details' => $request->main_engine_details[$x],
                                'name_of_company' => $request->name_of_company[$x],
                                'grt' => $request->grt[$x],
                                'nrt' => $request->nrt[$x],
                                'period_of_service' => $request->period_of_service[$x],
                                'sign_on' => $request->sign_on[$x],
                                'sign_off' => $request->sign_off[$x],
                                'duration' => $request->duration[$x],
                                'reason_for_sign' => $request->reason_for_sign[$x],
                                'updated_at' => Carbon::now()
                            ]);
                        }else{
                            crew_prev_sea_service_details::insert([
                                'crew_id' => $crew,
                                'rank' => $request->rank[$x],
                                'vessel_id' => $request->for_vessel,
                                'vessel_name' => $request->prev_vessel_name[$x],
                                'sea_service' => $sea_service,
                                'imo' => $request->prev_imo[$x],
                                'vessel_flag' => $request->prev_vessel_flag[$x],
                                'vessel_type' => $request->prev_vessel_type[$x],
                                'main_engine_details' => $request->main_engine_details[$x],
                                'name_of_company' => $request->name_of_company[$x],
                                'grt' => $request->grt[$x],
                                'nrt' => $request->nrt[$x],
                                'period_of_service' => $request->period_of_service[$x],
                                'sign_on' => $request->sign_on[$x],
                                'sign_off' => $request->sign_off[$x],
                                'duration' => $request->duration[$x],
                                'reason_for_sign' => $request->reason_for_sign[$x],
                                'created_at' => Carbon::now(),
                                'updated_at' => Carbon::now()
                            ]);
                        }

                    }
                }
                 // Insert crew_qualification_certificates
                 $count_crew_qualification_certificates    = count($request->certificate_type);
                 if($count_crew_qualification_certificates > 0){
                     for ($x = 0; $x < $count_crew_qualification_certificates; $x++) {

                        // dd($certificate_file);
                        if($request->update_qualification_certificate[$x] != 0){
                            if($request->file('certificate_file') != ''){
                                $certificate_file = $this->imageUpload($request->file('certificate_file')[$x],'images/certificate/signature/',null,null);
                            }else{
                                $certificate_file = $request->certificate_file_old[$x];
                            }

                            crew_qualification_certificate::find($request->update_qualification_certificate[$x])->update([
                                'crew_id' => $crew,
                                'certificate_id' => $request->certificate_id[$x],
                                'qualification_title' => $request->certificate_id[$x],
                                'certificate_type' => $request->certificate_type[$x],
                                'cert_no' => $request->cert_no[$x],
                                'issue_date' => $request->certificate_issue_date[$x],
                                'expiry_date' => $request->certificate_expiry_date[$x],
                                'issued_by' => $request->issued_by[$x],
                                'sign_off' => $request->certificate_sign_off[$x],
                                'certificate_file' => $certificate_file,
                                'updated_at' => Carbon::now()
                            ]);
                        }else{
                            if($request->file('certificate_file') !=''){
                            $certificate_file = $this->imageUpload($request->file('certificate_file')[$x],'images/certificate/signature/',null,null);
                            }else{
                                $certificate_file ='';
                            }
                            crew_qualification_certificate::insert([
                                'crew_id' => $crew,
                                'certificate_id' => $request->certificate_id[$x],
                                'qualification_title' => $request->certificate_id[$x],
                                'certificate_type' => $request->certificate_type[$x],
                                'cert_no' => $request->cert_no[$x],
                                'issue_date' => $request->certificate_issue_date[$x],
                                'expiry_date' => $request->certificate_expiry_date[$x],
                                'issued_by' => $request->issued_by[$x],
                                'sign_off' => $request->certificate_sign_off[$x],
                                'certificate_file' => $certificate_file,
                                'created_at' => Carbon::now(),
                                'updated_at' => Carbon::now()
                            ]);
                        }


                     }
                 }
            }
        }
        toastr()->success('Applicant Update Succesfull');
        return redirect()->route('admin.crew.edit', [$id]);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function delete($id)
    {

        DB::table('crews')->delete($id);
        toastr()->success('Applicant Delete Succesfull');
        return redirect()->back();

    }
}
