<?php

namespace App\Http\Controllers\admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\crew;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\DB;
use App\Models\sms;
use App\Models\send_sms;
// use App\Http\Controllers\admin\smsController;

class smsController extends Controller
{
    /**
     * Display a listing of the resource. Applicant
     *
     * @return \Illuminate\Http\Response
     */
    public function exprotCrewIndex( )
    {
        $this->setPageTitle('Export Mobile No','Export Mobile No','Export Mobile No');
        $crew = DB::table('crews')
        ->where('crews.status', 1)
        ->get();
        return view('backend.pages.sms.export-crew-number', compact('crew'));

    }
    public function exprotCrewData( Request $request )
    {
        $validatedData = $request->validate([
            'crew_id' => 'required',
        ]);
        // // We'll be outputting a text file
        // header('Content-type: text/plain');

        // // It will be called report.txt
        // header('Content-Disposition: attachment; filename="report.txt"');
        $crew_id = $request->crew_id;
        $output ='';
        if($crew_id !='' && $crew_id == 0){
            $crew = DB::table('crews')
            ->where('crews.status', 1)
            ->select('crews.id', 'crews.mobile_no', 'crews.full_name')
            ->get();
            foreach($crew as $data){
                $output .=''.$data->mobile_no.',<br>';
            }

        }elseif($crew_id !='' && $crew_id > 0){
            $crew = crew::find($crew_id);
            $output .=''.$crew->mobile_no.',<br>';
        }
        return $output;
        // return $request->crew_id;

        // return view('backend.pages.sms.export-crew-number', compact('crew'));

    }
    public function smsForm($id){
        $sms = sms::find($id);
        $this->setPageTitle('Send SMS','Send SMS ','Send SMS');
        return view('backend.pages.sms.export-crew-send', compact('sms'));
    }
    public function smsFormSubmit(Request $request ){
        $validatedData = $request->validate([
            'sms_message' => 'required',
            'sms_number' => 'required',
        ]);

        $id = $request->id;
        $to = $request->sms_number;
        $token = "da9caa984ce63bbbccb2a8108118591e";
        $message =  $request->sms_message;;

        $url = "http://api.greenweb.com.bd/api.php?json";


        $data= array(
        'to'=>"$to",
        'message'=>"$message",
        'token'=>"$token"
        ); // Add parameters in key value
        $ch = curl_init(); // Initialize cURL
        curl_setopt($ch, CURLOPT_URL,$url);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
        curl_setopt($ch, CURLOPT_ENCODING, '');
        curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $smsresult = curl_exec($ch);

        //Result

        // dd( $to);
        if(!empty($smsresult)){
            $result = $smsresult;
        }else{
            $result = curl_error($ch);
        }
        // $result = json_decode([ { "to": "+8801854026305", "message": "Quam itaque sit dolo", "status": "SENT", "statusmsg": "SMS Sent Successfully To +8801854026305" } ]);
        $result = json_decode($result);
        if($result[0]->status == 'SENT'){
            $sms =  send_sms::insertGetId([
                'sms_message' => $message,
                'sms_number' => $to,
                'status' => $result[0]->status,
                'update_by' => 1,
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now()
            ]);
        }
        toastr()->success($result[0]->statusmsg);
        return redirect()->route('admin.sms.smsForm', [$id]);
    }

    public function viewSendSMS(){
        $sms = DB::table('send_sms')
        ->get();
        $this->setPageTitle('View Send SMS','view Send SMS','View Send SMS');
        return view('backend.pages.sms.view-send-sms', compact('sms'));
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $sms = DB::table('sms')
        ->get();
        $this->setPageTitle('Send SMS','Send SMS','Send SMS');
        return view('backend.pages.sms.index', compact('sms'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $this->setPageTitle('Add New Message','Add New Message','Add New Message');
        return view('backend.pages.sms.add');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validatedData = $request->validate([
            'sms_title' => 'required',
            'sms_message' => 'required',
            'sms_number' => 'required',
        ]);
        if($request->status == 0 || $request->status == ''){  $status = 0;  }else{  $status = $request->status; }
         // Insert Crew And Get The id
         $sms =  sms::insertGetId([
            'sms_title' => $request->sms_title,
            'sms_message' => $request->sms_message,
            'sms_number' => $request->sms_number,
            'status' => $status,
            'update_by' => 1,
            'created_at' => Carbon::now(),
            'updated_at' => Carbon::now()
        ]);
        toastr()->success('Message Added Succesfull');
        return redirect()->route('admin.sms.edit', [$sms]);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $sms = sms::find($id);
        $this->setPageTitle('Edit Message','Edit Message','Edit Message');
        return view('backend.pages.sms.edit', compact('sms'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $validatedData = $request->validate([
            'sms_title' => 'required',
            'sms_message' => 'required',
            'sms_number' => 'required',
        ]);
        if($request->status == 0 || $request->status == ''){  $status = 0;  }else{  $status = $request->status; }
         // Insert Crew And Get The id
         $certificate =  sms::find($id)->update([
            'sms_title' => $request->sms_title,
            'sms_message' => $request->sms_message,
            'sms_number' => $request->sms_number,
            'status' => $status,
            'update_by' => 1,
            'created_at' => Carbon::now(),
            'updated_at' => Carbon::now()
        ]);
        toastr()->success('Message Update Succesfull');
        return redirect()->back();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
