@extends('layouts.backend')
@section('contents')
<?php
use Illuminate\Support\Facades\DB;
?>
<div class="container-xxl flex-grow-1 container-p-y">
    <div class="row">
        <div class="col-xxl">
            <div class="card mb-4">
                <!-- Basic Bootstrap Table -->
                <div class="card">
                    <h5 class="card-header">{{ $title }}</h5>
                    <div class="table-responsive text-nowrap">
                      <table class="table">
                        <thead>
                          <tr>
                            <th>SMS Title</th>
                            <th>SMS Message</th>
                            <th>Send SMS</th>
                            <th>Status</th>
                            <th>Action</th>
                          </tr>
                        </thead>
                        <tbody class="table-border-bottom-0">
                            @forelse ($sms as $data )
                                <tr>
                                     <td><span class="badge bg-label-primary me-1">{{ $data->sms_title }}</span></td>
                                     <td><span class="badge bg-label-primary me-1">{{ $data->sms_message }}</span></td>
                                     <td><span ><a href="{{ route('admin.sms.smsForm', [$data->id]) }}"  type="button" class="btn btn-primary" data-id="{{ $data->id }}" >Send</a></span></td>

                                     <td><span class="badge bg-label-primary me-1">{{ $data->status }}</span></td>
                                    <td>
                                        <div class="dropdown">
                                            <button type="button" class="btn p-0 dropdown-toggle hide-arrow" data-bs-toggle="dropdown">
                                            Action
                                            </button>
                                            <div class="dropdown-menu">
                                            <a class="dropdown-item" href="{{ route('admin.crew.edit', [$data->id]) }}"
                                                ><i class="bx bx-edit-alt me-1"></i> Edit</a
                                            >
                                            <?php
                                            $gcv_count = DB::table('general_cvs')->where('crew_id', $data->id)->count();
                                            ?>
                                            @if($gcv_count > 0)
                                            <?php $gcv = DB::table('general_cvs')->where('crew_id', $data->id)->first(); ?>
                                            <a class="dropdown-item" href="{{ route('admin.general-cv.show', [$gcv->id]) }}"><i class="bx bx-edit-alt me-1"></i> View General CV </a>
                                            @else
                                            <a class="dropdown-item" href="{{ route('admin.general-cv.create') }}"><i class="bx bx-edit-alt me-1"></i> Create General CV </a>
                                            @endif

                                            <a class="dropdown-item" href=""
                                                ><i class="bx bx-trash me-1"></i> Delete</a
                                            >
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                            @empty
                                <tr>
                                    <td  colspan="4">No record Found</td>
                                </tr>
                            @endforelse

                        </tbody>
                      </table>
                    </div>
                  </div>
                  <!--/ Basic Bootstrap Table -->
            </div>
        </div>
    </div>
</div>
 <!-- Large Modal -->

@endsection
