@extends('layouts.backend')
@section('contents')
<div class="container-xxl flex-grow-1 container-p-y">
    <div class="row">
        <div class="col-md-12">

        </div>
        <div class="card mb-4">
            <!-- Account -->
            <div class="card-body">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-10">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <td colspan="3"><strong>Vessel Name</strong> <br>{{ $vessel->vessel_name }}

                                        </td>
                                    </tr>
                                    <tr>
                                        <td><strong>IMO NO </strong> <br> {{ $vessel->imo_no }} </td>
                                        <td><strong>For Image  </strong> <br> <img style="80px" src="{{ asset($vessel->flag_img) }}" alt=""></td>
                                        <td><strong>Country </strong> <br> {{ $vessel->country_name }}</td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <td colspan="3">
                                            <a href="{{ route('admin.crewVessel', [$vessel->id]) }}" type="button" class="btn btn-primary GetCrewCertificate">Crew List</a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-12">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <th colspan="5"><strong><h6> Vessel Management Details  </h6></strong></th>
                                    </tr>
                                    <tr>
                                        <th><strong> IMO number </strong></th>
                                        <th><strong>Role</strong></th>
                                        <th><strong> Name of company </strong></th>
                                        <th><strong>Address</strong></th>
                                        <th><strong> Date of effect </strong></th>
                                    </tr>
                                    @foreach ($vessel_management as $data)
                                    <tr>
                                        <td>{{ $data->imo_number }}</td>
                                        <td>{{ $data->role }}</td>
                                        <td>{{ $data->name_of_company }}</td>
                                        <td>{{ $data->address }}</td>
                                        <td>{{ $data->date_of_effect }}</td>
                                    </tr>
                                    @endforeach
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <th colspan="6"><strong><h6> Vessel Classification  </h6></strong></th>
                                    </tr>
                                    <tr>
                                        <th><strong> Title </strong></th>
                                        <th><strong>Status</strong></th>
                                        <th><strong> Since</strong></th>
                                        <th><strong>Survey Title</strong></th>
                                        <th><strong> Last Renewal Survey</strong></th>
                                        <th><strong> Next Renewal Survey</strong></th>
                                    </tr>
                                    @foreach ($vessel_classification as $data)
                                    <tr>
                                        <td>{{ $data->title }}</td>
                                        <td>{{ $data->status }}</td>
                                        <td>{{ $data->since }}</td>
                                        <td>{{ $data->survey_title }}</td>
                                        <td>{{ $data->last_renewal_survey }}</td>
                                        <td>{{ $data->next_renewal_survey }}</td>
                                    </tr>
                                    @endforeach
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <th colspan="6"><strong><h6>  Vessel Safety Certificate  </h6></strong></th>
                                    </tr>
                                    <tr>
                                        <th><strong>  Classification society  </strong></th>
                                        <th><strong> Date survey </strong></th>
                                        <th><strong>  Date expiry </strong></th>
                                        <th><strong> Date change status </strong></th>
                                        <th><strong> Status</strong></th>
                                        <th><strong> Reason</strong></th>
                                        <th><strong> Top C/V </strong></th>
                                    </tr>
                                    @foreach ($vessel_safety_certificate as $data)
                                    <tr>
                                        <td>{{ $data->classification_society }}</td>
                                        <td>{{ $data->date_survey }}</td>
                                        <td>{{ $data->date_expiry }}</td>
                                        <td>{{ $data->date_change_status }}</td>
                                        <td>{{ $data->date_change_status }}</td>
                                        <td>{{ $data->reason }}</td>
                                        <td>{{ $data->top_c_v }}</td>
                                    </tr>
                                    @endforeach
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <th colspan="2"><strong><h6>   P&I Information   </h6></strong></th>
                                    </tr>
                                    <tr>
                                        <th><strong> Title </strong></th>
                                        <th><strong>Tnception</strong></th>
                                    </tr>
                                    @foreach ($vessel_p_i__information as $data)
                                    <tr>
                                        <td>{{ $data->title }}</td>
                                        <td>{{ $data->inception }}</td>
                                    </tr>
                                    @endforeach
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <th colspan="3"><strong><h6>  Geographical Information </h6></strong></th>
                                    </tr>
                                    <tr>
                                        <th><strong>  Date of  record </strong></th>
                                        <th><strong> Area where the ship was seen </strong></th>
                                        <th><strong> Source</strong></th>
                                    </tr>
                                    @foreach ($vessel_geo_informations as $data)
                                    <tr>
                                        <td>{{ $data->date_of_record }}</td>
                                        <td>{{ $data->ship_area }}</td>
                                        <td>{{ $data->source }}</td>
                                    </tr>
                                    @endforeach
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <th colspan="2"><strong><h6>  IMO Conventions  </h6></strong></th>
                                    </tr>
                                    <tr>
                                        <th><strong>Conventions  </strong></th>
                                        <th><strong>Status</strong></th>
                                    </tr>
                                    @foreach ($vessel_conventions as $data)
                                    <tr>
                                        <td>{{ $data->convention }}</td>
                                        <td>{{ $data->status }}</td>
                                    </tr>
                                    @endforeach
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- /Account -->
          </div>

    </div>
</div>
@push('script')

@endpush
@endsection

