<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\admin\crewController;
use App\Http\Controllers\admin\vesselController;
use App\Http\Controllers\crew\crewUserController;
use App\Http\Controllers\admin\dashboardController;
use App\Http\Controllers\admin\general_cvController;
use App\Http\Controllers\admin\certificateController;
use App\Http\Controllers\admin\smsController;
use App\Http\Controllers\crew\CrewUserGeneralCVController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    // return view('welcome');
    return redirect()->route('admin.dashboard');
});

// Route::middleware([ 'auth:sanctum',  config('jetstream.auth_session'), 'verified'
// ])->group(function () {
//     Route::get('/dashboard', function () {
//         return view('backend.dashboard');
//     })->name('dashboard');
// });
Route::group(['prefix'=>'admin','as'=>'admin.','middleware'=>['auth:sanctum','verified']], function(){
    //---------------- Dashboard ---------------//
    Route::get('dashboard',[dashboardController::class, 'dashboard'])->name('dashboard');
    //---------------- Vessel -----------------//

    Route::get('/vessel/delete/{id}',[vesselController::class, 'delete'])->name('vesselDelete');
    Route::resource('vessel',vesselController::class);
    //---------------- Crew -----------------//
    Route::get('/crw/delete/{id}',[crewController::class, 'delete'])->name('crewDelete');
    Route::get('/crew/crew-ertificate/{id}',[crewController::class, 'crewCertificate'])->name('crewCertificate');
    Route::get('/crew/crew-vessel/{id}',[crewController::class, 'crewVessel'])->name('crewVessel');
    Route::post('/crew/get-certificates-ajax',[crewController::class, 'getCrewCertificatesAjax'])->name('getCrewCertificatesAjax');
    Route::resource('crew',crewController::class);
    //---------------- Certificate CV -----------------//
    Route::get('/certificates/delete/{id}',[certificateController::class, 'delete'])->name('certificatesDelete');
    Route::get('/certificates/professional/',[certificateController::class, 'certificateProfessional'])->name('certificate.professional');

    Route::get('/certificates/general/',[certificateController::class, 'certificateGeneral'])->name('certificate.general');
   Route::get('/certificates/medical/',[certificateController::class, 'certificateMedical'])->name('certificate.medical');
    Route::get('/certificates/flag-state/',[certificateController::class, 'certificateFlag'])->name('certificate.flag-state');
    Route::get('/certificates/expaired/',[certificateController::class, 'certificateExpaired'])->name('certificate.expaired');

    Route::resource('certificate',certificateController::class);
   //---------------- General CV -----------------//
   Route::get('/general/pdf-general-cv',[general_cvController::class, 'pdfGeneralCV'])->name('pdfGeneralCV');

   Route::get('/general-cv/china/{id}',[general_cvController::class, 'chinaCV'])->name('general-cv.china');
   Route::get('/general-cv/general/{id}',[general_cvController::class, 'generalCV'])->name('general-cv.general');
   Route::get('/general-cv/brilliant/{id}',[general_cvController::class, 'brilliantCV'])->name('general-cv.brilliant');
   Route::get('/general-cv/qingdao/{id}',[general_cvController::class, 'qingdaoCV'])->name('general-cv.qingdao');
   Route::get('/general-cv/panOcean/{id}',[general_cvController::class, 'panOceanCV'])->name('general-cv.panOcean');
   Route::get('/general-cv/zrich/{id}',[general_cvController::class, 'zrichCV'])->name('general-cv.zrich');

    Route::resource('general-cv',general_cvController::class);
    Route::get('/general/pdf-download/{id}',[general_cvController::class, 'generalCvPdf'])->name('generalCvPdf');

    //---------------- Crew SMS -----------------//

    Route::get('/sms/crew',[smsController::class, 'exprotCrewIndex'])->name('sms.exprotCrewIndex');
    Route::post('/sms/crew-export',[smsController::class, 'exprotCrewData'])->name('sms.exprotCrewData');
    Route::get('/sms/sms-form/{id}',[smsController::class, 'smsForm'])->name('sms.smsForm');
    Route::get('/sms/view-send',[smsController::class, 'viewSendSMS'])->name('sms.viewSendSMS');
    Route::post('/sms/sms-send',[smsController::class, 'smsFormSubmit'])->name('sms.smsFormSubmit');

    Route::resource('sms',smsController::class);



});
// Crew Management:
Route::get('/crew/registration',[crewUserController::class, 'crewRegistration'])->name('crewRegistration');
Route::post('/crew/signup',[crewUserController::class, 'crewSignup'])->name('crewSignup');
Route::get('/crew/login',[crewUserController::class, 'crewLogin'])->name('crewLogin');
Route::get('/crew/logout',[crewUserController::class, 'crewLogout'])->name('crew.logout');
Route::post('/crew/login-confirm',[crewUserController::class, 'crewLoginConfirm'])->name('crewLoginConfirm');
Route::get('/crew/dashboard',[crewUserController::class, 'crewDashboard'])->name('crewDashboard');

Route::get('/crew/general-cv/apply',[crewUserController::class, 'crewGeneralCvApply'])->name('crew.general-cv.apply');
Route::get('/crew/general-cv/view',[CrewUserGeneralCVController::class, 'crewGeneralCvView'])->name('crew.general-cv.view');
Route::group(['prefix'=>'crew','as'=>'crew.'], function(){

    Route::resource('general-cv',CrewUserGeneralCVController::class);

});


