
<?php
use Illuminate\Support\Facades\DB;


$general_cv = DB::table('general_cvs')->where('id', $id)->first();
$crew = DB::table('crews')->where('id', $general_cv->crew_id)->first();
$vessel = DB::table('vessels')->where('id', $general_cv->for_vessel)->first();
$font_link = public_path().'/backend/fonts/Poppins-Regular.ttf';
$academic_qualificaitions = DB::table('crew_academic_qualificaitions')->where('crew_id', $general_cv->crew_id)->get();
$immigration_documents = DB::table('crew_immigration_documents')->where('crew_id', $general_cv->crew_id)->get();
$prev_sea_service_detail = DB::table('crew_prev_sea_service_details')->where('crew_id', $general_cv->crew_id)->get();
$qualification_certificates = DB::table('crew_qualification_certificates')->where('crew_id', $general_cv->crew_id)->get();


?>
<!DOCTYPE html>

<html lang="en">
<head>
    <meta charset="utf-8">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Laravel 8 Generate PDF From View</title>

    <style>
        @font-face {
        font-family: 'Open Sans';
        font-style: normal;
        font-weight: normal;
        src: url(<?php echo e($font_link); ?>) format('truetype');
        }
        body{
            font-family: 'Open Sans';
        }
        .custom-table table td, .custom-table table th {
        font-size: ;
        border: 1px solid #ddd;
        font-size: 11px !important;
        padding: 5px;
        }
        .custom-table h6 {
        margin-bottom: 0;
        font-weight: 700;
        }
        .cv-img img {
        height: 125px;
        width: 125px;
        margin-bottom: 20px;
        }
        .cv-img {
        text-align: center;
        }

        .signiture {
        display: inline-block;
        width: 100%;
        margin: 20px 2px;
        width: 200px;
        text-align: center;
        float: right;
        }
        .custom-table {
        display: inline-block;
        width: 100%;
        overflow: hidden;
        }
        .signiture span {
        display: inline-block;
        margin-top: 10px;
        }
        .signiture_title {
        border-top: 1px solid #ddd;
        }
        .signiture img {
        width: 100%;
        }
        .ship-bg {
            height: 100%;
            width: 100%;
            position: fixed;
            background-attachment: fixed;
            background-position: center center;
            background-size: cover;
            z-index: -1;
        }
        .ship-bg::after {
            position: absolute;
            left: 0;
            top: 0;
            height: 100%;
            width: 100%;
            content: '';
            background-size: ;
            background-color: #000;
            opacity: 0.6;
        }
        .download-pdf-btn {
            display: inline-block;
            text-align: right;
            width: 100%;
        }
        #print-general-cv {
            background-color: #fff !important;
        }
        .width-75{
            width: 75%;
        }
        .width-100{
            width: 100%;
        }
        .overflow{
            overflow: hidden;
        }
        .width-25{
            width: 25%;
        }
        .float-left{
            float: left;
        }
        .float-right{
            float: left;
        }
        .d-block{
            display: block;
        }
        .d-inline-block{
            display: inline-block;
        }
    </style>
</head>
<body>
    <div class="pdf-page" >
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <td> <strong>姓（Surname） </strong> </td>
                    <td>  <?php echo e($crew->last_name); ?></td>
                    <td rowspan="12">
                        <?php if($crew->img !=''): ?>
                        <div class="cv-img width-130px">
                            <img style="width:130px" src="<?php echo e(public_path().'/'.$crew->img); ?>" alt="">
                        </div>
                        <?php endif; ?>
                    </td>
                </tr>
                <tr>
                    <td> <strong>名（Given Name）</strong> </td>
                    <td> <?php echo e($crew->given_name); ?> </td>
                </tr>
                <tr>
                    <td> <strong>出生日期 Date of Birth/</strong> </td>
                    <td>  <?php echo e($crew->date_of_birth); ?> </td>
                </tr>
                <tr>
                    <td> <strong>出生地 Place of Birth</strong> </td>
                    <td> <?php echo e($crew->place_of_birth); ?>  </td>
                </tr>
                <tr>
                    <td> <strong>身高 Height(cm)/体重 Weight(kg)/</strong> </td>
                    <td> <?php echo e($crew->height); ?>  </td>
                </tr>
                <tr>
                    <td> <strong>宗教 / Religion</strong> </td>
                    <td>  <?php echo e($crew->weight); ?> </td>
                </tr>
                <tr>
                    <td> <strong>国籍 / Nationality</strong> </td>
                    <td> <?php echo e($crew->nationality); ?>  </td>
                </tr>
                <tr>
                    <td> <strong>学校 School/</strong> </td>
                    <td>  <?php echo e($crew->school); ?> </td>
                </tr>
                <tr>
                    <td> <strong>学历 Education Background</strong> </td>
                    <td> <?php echo e($crew->education); ?></td>
                </tr>
                <tr>
                    <td> <strong>申请职位 / Rank</strong> </td>
                    <td> <?php echo e($crew->rank); ?></td>
                </tr>
                <tr>
                    <td> <strong>联系电话号码 / Telephone Number</strong> </td>
                    <td><?php echo e($crew->tel); ?>  </td>
                </tr>
                <tr>
                    <td> <strong>通讯地址 / Communication Address</strong> </td>
                    <td> <?php echo e($crew->address); ?></td>
                </tr>
            </table>
        </div>
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="6"><strong><h6> Travel Documentss    </h6></strong></th>
                </tr>
                <tr>
                    <td><strong> Name/名称</strong>  </td>
                    <td><strong> Number/号码</strong>  </td>
                    <td><strong>Issued at  </strong>    </td>
                    <td><strong>Date of Issue /签发日期 </strong>   </td>
                    <td><strong> Valid to 有效期至 </strong>  </td>
                    <td><strong> Place of Issue 签发地 </strong>  </td>
                </tr>
                <?php $__currentLoopData = $immigration_documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td> <?php echo e($data->document_title); ?></td>
                        <td>  </td>
                        <td>  <?php echo e($data->issue_at); ?></td>
                        <td>  <?php echo e($data->issue_date); ?></td>
                        <td>  <?php echo e($data->expiry_date); ?></td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            </table>
        </div>
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="12"><strong><h6> SEA EXPERIENCE  </h6></strong></th>
                </tr>
                <tr>
                    <th><strong>职位  Rank </strong></th>
                    <th><strong>船名 Ship’s Name  </strong></th>
                    <th><strong>船藉 Flag  </strong></th>
                    <th><strong>Type of Vessel</strong></th>
                    <th><strong>IMO No.</strong></th>
                    <th><strong>☆主机/船型/总吨/马力  Engine/ShipType  GRT/HP </strong></th>
                    <th><strong>NRT</strong></th>
                    <th colspan="3" class="border-bottom"><strong>Period of Service (DD/MM/YYYY)</strong>
                        <table>
                            <tr>
                                <td><strong>到任 Sign On  </strong> </td>
                                <td><strong>离任 Sign Off </strong> </td>
                            </tr>
                        </table>
                    </th>
                    <th><strong>Reason for sign-off </strong></th>
                    <th><strong>公司 Company </strong></th>
                </tr>
                <?php $__currentLoopData = $prev_sea_service_detail; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($data->rank); ?></td>
                    <td><?php if(isset( $vessel->vessel_name)){echo  $vessel->vessel_name;} ?></td>
                    <td>
                        <?php if(isset($vessel->flag_img)): ?>
                        <img src="<?php echo e(public_path().'/'.$vessel->flag_img); ?>" height="25px" width="35px" alt="">
                        <?php endif; ?>
                    </td>
                    <td><?php if(isset( $vessel->type_of_ship)){echo  $vessel->type_of_ship;} ?></td>
                    <td><?php if(isset( $vessel->imo_no)){echo  $vessel->imo_no;} ?></td>
                    <td><?php echo e($data->grt); ?></td>
                    <td><?php echo e($data->nrt); ?></td>
                    <td><?php echo e($data->period_of_service); ?></td>
                    <td><?php echo e($data->sign_on); ?></td>
                    <td><?php echo e($data->sign_off); ?></td>
                    <td><?php echo e($data->duration); ?></td>
                    <td><?php echo e($data->reason_for_sign); ?></td>
                </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            </table>
        </div>
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="6"><strong><h6>Qualification </h6></strong></th>
                </tr>

                <tr>
                    <th><strong>{Qualification}</strong></th>
                    <th><strong>Cert No.</strong></th>
                    <th><strong>Issued Date (DD/MM/YYYY) </strong></th>
                    <th><strong>Expiry Date (DD/MM/YYYY) </strong></th>
                    <th><strong>Issued By</strong></th>
                    <th><strong>Sign By</strong></th>
                </tr>
                <?php
                 $certificates = ['general', 'professional', 'medical'];
                 ?>
                 <?php $__currentLoopData = $certificates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $certificate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <th colspan="6" style="text-align: center"><strong><?php echo e($certificate); ?> </strong></th>
                    </tr>
                    <?php
                    $certificate_data = DB::table('certificates')->where('certificate_type', $certificate)->where('status', '1')->orderBy('order')->get();
                    ?>
                    <?php $__currentLoopData = $certificate_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php //dd($data); ?>
                        <?php  $crew_certificate = DB::table('crew_qualification_certificates')->where('certificate_type', $certificate)->where('certificate_id', $data->id)->first();
                        if($crew_certificate){
                            $cert_no = $crew_certificate->cert_no;
                            $issue_date = $crew_certificate->issue_date;
                            $expiry_date = $crew_certificate->expiry_date;
                            $issued_by = $crew_certificate->issued_by;
                            $sign_off = $crew_certificate->sign_off;

                        }else{
                            $cert_no = '';
                            $issue_date = '';
                            $expiry_date = '';
                            $issued_by = '';
                            $sign_off = '';
                        }
                        ?>
                        <tr>
                            <td><?php echo e($data->certificate_title); ?></td>
                            <td><?php echo e($cert_no); ?></td>
                            <td><?php echo e($issue_date); ?></td>
                            <td><?php echo e($expiry_date); ?></td>
                            <td><?php echo e($issued_by); ?></td>
                            <td><?php echo e($sign_off); ?></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>



            </table>
        </div>
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="6"><strong><h6>5.	Assessment (For Manning Agent use)</h6></strong></th>
                </tr>

                <tr>
                    <th><strong>Title</strong></th>
                    <th><strong>V.G</strong></th>
                    <th><strong>Good</strong></th>
                    <th><strong>Poor</strong></th>
                </tr>
                 <tr>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                 </tr>


            </table>
        </div>
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="6"><strong><h6>6.	Assessment (For Owner Use)</h6></strong></th>
                </tr>

               <tr>
                <td></td>
               </tr>


            </table>
        </div>
        <div class="custom-table width-100">
             <h5>☆	For Master and deck department, please identify type of ship and Gross tonnage
                For Engineers and E/R department, please identify type of Main engine and Horse power.
            </h5>
        </div>
    </div>
</body>
</html>



<div id="editor"></div>

<?php /**PATH /home/arshpcm/public_html/crew.ayarship.com/resources/views/backend/pages/general-cv/qingdao-cv.blade.php ENDPATH**/ ?>