
<?php
use Illuminate\Support\Facades\DB;


$general_cv = DB::table('general_cvs')->where('id', $id)->first();
$crew = DB::table('crews')->where('id', $general_cv->crew_id)->first();
$vessel = DB::table('vessels')->where('id', $general_cv->for_vessel)->first();
$font_link = public_path().'/backend/fonts/Poppins-Regular.ttf';
$academic_qualificaitions = DB::table('crew_academic_qualificaitions')->where('crew_id', $general_cv->crew_id)->get();
$immigration_documents = DB::table('crew_immigration_documents')->where('crew_id', $general_cv->crew_id)->get();
$prev_sea_service_detail = DB::table('crew_prev_sea_service_details')->where('crew_id', $general_cv->crew_id)->get();
$qualification_certificates = DB::table('crew_qualification_certificates')->where('crew_id', $general_cv->crew_id)->get();


?>
<!DOCTYPE html>

<html lang="en">
<head>
    <meta charset="utf-8">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Laravel 8 Generate PDF From View</title>

    <style>
        @font-face {
        font-family: 'Open Sans';
        font-style: normal;
        font-weight: normal;
        src: url(<?php echo e($font_link); ?>) format('truetype');
        }
        body{
            font-family: 'Open Sans';
        }
        .custom-table table td, .custom-table table th {
        font-size: ;
        border: 1px solid #ddd;
        font-size: 11px !important;
        padding: 5px;
        }
        .custom-table h6 {
        margin-bottom: 0;
        font-weight: 700;
        }
        .cv-img img {
        height: 125px;
        width: 125px;
        margin-bottom: 20px;
        }
        .cv-img {
        text-align: center;
        }

        .signiture {
        display: inline-block;
        width: 100%;
        margin: 20px 2px;
        width: 200px;
        text-align: center;
        float: right;
        }
        .custom-table {
        display: inline-block;
        width: 100%;
        overflow: hidden;
        }
        .signiture span {
        display: inline-block;
        margin-top: 10px;
        }
        .signiture_title {
        border-top: 1px solid #ddd;
        }
        .signiture img {
        width: 100%;
        }
        .ship-bg {
            height: 100%;
            width: 100%;
            position: fixed;
            background-attachment: fixed;
            background-position: center center;
            background-size: cover;
            z-index: -1;
        }
        .ship-bg::after {
            position: absolute;
            left: 0;
            top: 0;
            height: 100%;
            width: 100%;
            content: '';
            background-size: ;
            background-color: #000;
            opacity: 0.6;
        }
        .download-pdf-btn {
            display: inline-block;
            text-align: right;
            width: 100%;
        }
        #print-general-cv {
            background-color: #fff !important;
        }
        .width-75{
            width: 75%;
        }
        .width-100{
            width: 100%;
        }
        .overflow{
            overflow: hidden;
        }
        .width-25{
            width: 25%;
        }
        .float-left{
            float: left;
        }
        .float-right{
            float: left;
        }
        .d-block{
            display: block;
        }
        .d-inline-block{
            display: inline-block;
        }
    </style>
</head>
<body>
    <div class="pdf-page" >
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <td><strong>Name  姓名</strong> <?php echo e($crew->full_name); ?></td>
                    <td><strong>Gender  性别 </strong> </td>
                    <td><strong>Rank 职务</strong> </td>
                    <td><strong>Nationality 国籍</strong> <?php echo e($crew->nationality); ?></td>
                    <td>
                        <?php if($crew->img !=''): ?>
                        <div class="cv-img width-130px">
                            <img style="width:130px" src="<?php echo e(public_path().'/'.$crew->img); ?>" alt="">
                        </div>
                        <?php endif; ?>
                    </td>
                </tr>
                <tr>
                    <td><strong>D.O.B 出生日期</strong> <?php echo e($crew->date_of_birth); ?> </td>
                    <td><strong>Age 年龄</strong> </td>
                    <td><strong>P.O.B出生地</strong> <?php echo e($crew->place_of_birth); ?> </td>
                    <td><strong>Grade 等级</strong> </td>
                </tr>
                <tr>
                    <td colspan="2"><strong>ID No. 身份证号码</strong> <?php echo e($crew->sid_no); ?> </td>
                    <td colspan="2"><strong>Address 家住址</strong> <?php echo e($crew->address); ?></td>
                </tr>
                <tr>
                    <td><strong>English Level英语水平</strong> </td>
                    <td colspan="2"><strong>Education 学历 </strong> </td>
                    <td><strong>Phone  电话</strong> </td>
                </tr>
                <tr>
                    <td><strong>High身高（CM）</strong>  <?php echo e($crew->height); ?> </td>
                    <td><strong>Weight体重（kg）</strong> <?php echo e($crew->weight); ?> </td>
                    <td><strong>Shoe Size 鞋号</strong> <?php echo e($crew->safety_shoes); ?> </td>
                    <td><strong>Blood Type 血型 </strong> </td>
                </tr>
                <tr>
                    <td colspan="2"><strong>Graduate from 毕业学校</strong> </td>
                    <td><strong>Major 专业</strong> </td>
                    <td><strong>Graduate date毕业时间</strong> </td>
                </tr>
                <tr>
                    <td><strong>Next of Kin 亲属</strong><?php echo e($crew->next_of_kin); ?> </td>
                    <td><strong>Phone  电话</strong> <?php echo e($crew->family_phone_no); ?></td>
                    <td colspan="3"><strong>Address 家住址</strong> <?php echo e($crew->address_next_of_kin); ?> </td>
                </tr>
            </table>
        </div>



        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="6"><strong><h6>CERTIFICATES DETAILS  证书情况</h6></strong></th>
                </tr>

                <tr>
                    <th><strong>CERTIFICATES</strong></th>
                    <th><strong>Cert No.</strong></th>
                    <th><strong>Issued Date (DD/MM/YYYY) </strong></th>
                    <th><strong>Expiry Date (DD/MM/YYYY) </strong></th>
                    <th><strong>Issued By</strong></th>
                    <th><strong>Sign By</strong></th>
                </tr>
                <?php
                 $certificates = ['general', 'professional', 'medical'];
                 ?>
                 <?php $__currentLoopData = $certificates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $certificate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <th colspan="6" style="text-align: center"><strong><?php echo e($certificate); ?> </strong></th>
                    </tr>
                    <?php
                    $certificate_data = DB::table('certificates')->where('certificate_type', $certificate)->where('status', '1')->orderBy('order')->get();
                    ?>
                    <?php $__currentLoopData = $certificate_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php //dd($data); ?>
                        <?php  $crew_certificate = DB::table('crew_qualification_certificates')->where('certificate_type', $certificate)->where('certificate_id', $data->id)->first();
                        if($crew_certificate){
                            $cert_no = $crew_certificate->cert_no;
                            $issue_date = $crew_certificate->issue_date;
                            $expiry_date = $crew_certificate->expiry_date;
                            $issued_by = $crew_certificate->issued_by;
                            $sign_off = $crew_certificate->sign_off;

                        }else{
                            $cert_no = '';
                            $issue_date = '';
                            $expiry_date = '';
                            $issued_by = '';
                            $sign_off = '';
                        }
                        ?>
                        <tr>
                            <td><?php echo e($data->certificate_title); ?></td>
                            <td><?php echo e($cert_no); ?></td>
                            <td><?php echo e($issue_date); ?></td>
                            <td><?php echo e($expiry_date); ?></td>
                            <td><?php echo e($issued_by); ?></td>
                            <td><?php echo e($sign_off); ?></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>



            </table>
        </div>
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="12"><strong><h6>PREVIOUS SEA EXPERIENCE（最近5年海上资历）  </h6></strong></th>
                </tr>
                <tr>
                    <th><strong>RANK  职务  </strong></th>
                    <th><strong>SHIP NAME  船 名 </strong></th>
                    <th><strong>FLAG  船 旗 </strong></th>
                    <th><strong>TYPE 船舶类型 /strong></th>
                    <th><strong>GT/PW 总吨/千瓦 </strong></th>
                    <th><strong>SERVICE DATE  服务日期 </strong> </th>
                    <th><strong>Reason for sign-off </strong></th>
                    <th><strong>AREA  航 区 </strong></th>
                    <th><strong>COMPANY NAME 船公司名称 </strong></th>
                </tr>
                <?php $__currentLoopData = $prev_sea_service_detail; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($data->rank); ?></td>
                    <td><?php if(isset( $data->vessel_name)){echo  $data->vessel_name;} ?></td>
                    <td>
                        <?php if(isset($data->vessel_flag)): ?>
                        <img src="<?php echo e(public_path().'/'.$data->vessel_flag); ?>" height="25px" width="35px" alt="">
                        <?php endif; ?>
                    </td>
                    <td><?php if(isset( $data->vessel_type)){echo  $data->vessel_type;} ?></td>
                    <td><?php echo e($data->grt); ?></td>
                    <td><?php echo e($data->period_of_service); ?></td>
                    <td><?php echo e($data->reason_for_sign); ?></td>
                    <td></td>
                    <td><?php echo e($data->reason_for_sign); ?></td>
                </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            </table>
        </div>
        <div class="custom-table width-100">
            <h6>Declaration to be signed by the Applicant</h6>
            <hr>
            <p>I hereby certify that the information contained in this form is completed & correct. I understand that the Company may terminate my service at any time if any of the above information is found to be false.</p>


            <span class="signiture">
                <?php if($general_cv->signature_of_applicant != ''): ?>
                <img height="80px" src="<?php echo e(public_path().'/'.$general_cv->signature_of_applicant); ?>" alt=""> <br>
                <?php endif; ?>
                <span> <strong>Date: </strong><?php echo e($general_cv->signature_date); ?></span> <br>
                <span class="signiture_title">Signature of Applicant/Date</span>
            </span>
        </div>
        <div class="custom-table width-100">
            <p>Interview by/Date: <strong><?php echo e($general_cv->interview_by); ?></strong>/ <strong><?php echo e($general_cv->interview_date); ?></strong>  Department: <strong><?php echo e($general_cv->department); ?></strong> Status:  Approved / Rejected </p>
        </div>
    </div>
</body>
</html>



<div id="editor"></div>

<?php /**PATH /home/arshpcm/public_html/crew.ayarship.com/resources/views/backend/pages/general-cv/zrich-cv.blade.php ENDPATH**/ ?>