
<?php
use Illuminate\Support\Facades\DB;


$general_cv = DB::table('general_cvs')->where('id', $id)->first();
$crew = DB::table('crews')->where('id', $general_cv->crew_id)->first();
$vessel = DB::table('vessels')->where('id', $general_cv->for_vessel)->first();
$font_link = public_path().'/backend/fonts/Poppins-Regular.ttf';
$academic_qualificaitions = DB::table('crew_academic_qualificaitions')->where('crew_id', $general_cv->crew_id)->get();
$immigration_documents = DB::table('crew_immigration_documents')->where('crew_id', $general_cv->crew_id)->get();
$prev_sea_service_detail = DB::table('crew_prev_sea_service_details')->where('crew_id', $general_cv->crew_id)->get();
$qualification_certificates = DB::table('crew_qualification_certificates')->where('crew_id', $general_cv->crew_id)->get();


?>
<!DOCTYPE html>

<html lang="en">
<head>
    <meta charset="utf-8">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title><?php echo e($pdf_name); ?></title>

    <style>
        @font-face {
        font-family: 'Open Sans';
        font-style: normal;
        font-weight: normal;
        src: url(<?php echo e($font_link); ?>) format('truetype');
        }
        body{
            font-family: 'Open Sans';
        }
        .custom-table table td, .custom-table table th {
        font-size: ;
        border: 1px solid #ddd;
        font-size: 11px !important;
        padding: 5px;
        }
        .custom-table h6 {
        margin-bottom: 0;
        font-weight: 700;
        }
        .cv-img img {
        height: 125px;
        width: 125px;
        margin-bottom: 20px;
        }
        .cv-img {
        text-align: center;
        }

        .signiture {
        display: inline-block;
        width: 100%;
        margin: 20px 2px;
        width: 200px;
        text-align: center;
        float: right;
        }
        .custom-table {
        display: inline-block;
        width: 100%;
        overflow: hidden;
        }
        .signiture span {
        display: inline-block;
        margin-top: 10px;
        }
        .signiture_title {
        border-top: 1px solid #ddd;
        }
        .signiture img {
        width: 100%;
        }
        .ship-bg {
            height: 100%;
            width: 100%;
            position: fixed;
            background-attachment: fixed;
            background-position: center center;
            background-size: cover;
            z-index: -1;
        }
        .ship-bg::after {
            position: absolute;
            left: 0;
            top: 0;
            height: 100%;
            width: 100%;
            content: '';
            background-size: ;
            background-color: #000;
            opacity: 0.6;
        }
        .download-pdf-btn {
            display: inline-block;
            text-align: right;
            width: 100%;
        }
        #print-general-cv {
            background-color: #fff !important;
        }
        .width-75{
            width: 75%;
        }
        .width-100{
            width: 100%;
        }
        .overflow{
            overflow: hidden;
        }
        .width-25{
            width: 25%;
        }
        .float-left{
            float: left;
        }
        .float-right{
            float: left;
        }
        .d-block{
            display: block;
        }
        .d-inline-block{
            display: inline-block;
        }
    </style>
</head>
<body>
    <div class="pdf-page" >
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr><td colspan="4"><h1 style="text-align: center">应聘船员审查表</h1></td></tr>
                <tr>
                    <td><strong> Name/姓名 : </strong> <?php echo e($crew->full_name); ?> </td>
                    <td><strong>Rank/应聘职务 : </strong> </td>
                    <td><strong>Ship Name/应聘船舶 : </strong> <?php if(isset($vessel->vessel_name)){echo $vessel->vessel_name;} ?></td>
                    <td rowspan="5">
                         <?php if($crew->img !=''): ?>
                        <div class="cv-img width-130px">
                            <img style="width:130px" src="<?php echo e(public_path().'/'.$crew->img); ?>" alt="">
                        </div>
                        <?php endif; ?>
                    </td>
                </tr>
                <tr>
                    <td><strong> DOB/出生日期 : <?php echo e($crew->date_of_birth); ?></strong> </td>
                    <td><strong>Address/家庭地址 :  <?php echo e($crew->address); ?></strong> </td>
                    <td><strong>Tel/联系电话 : </strong> <?php echo e($crew->mobile_no); ?> </td>
                </tr>
                <tr>
                    <td><strong> Weight/体重 : <?php echo e($crew->height); ?>  </strong> </td>
                    <td><strong>Height/身高 :  <?php echo e($crew->weight); ?></strong> </td>
                    <td><strong>SKYPE : </strong> <?php echo e($crew->skype); ?> </td>
                </tr>
                <tr>
                    <td><strong>School/毕业学校 : </strong> <?php echo e($crew->school); ?></td>
                    <td><strong>Degree/学历 : </strong> <?php echo e($crew->degree); ?></td>
                    <td><strong>Major/专业 : </strong> <?php echo e($crew->major); ?></td>
                </tr>
                <tr>
                    <td><strong>Next of Kin/亲属姓名 : <?php echo e($crew->next_of_kin); ?></strong> </td>
                    <td><strong>Relation/亲属关系 : <?php echo e($crew->relationship); ?></strong> </td>
                    <td><strong>Tel/联系电话 : </strong> <?php echo e($crew->family_phone_no); ?> </td>
                </tr>
            </table>
        </div>
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="6"><strong>Certificates 证书 </strong></th>
                </tr>

                <tr>
                    <th><strong>Certificates Type  证书名称 </strong></th>
                    <th><strong>Number 证书号码 </strong></th>
                    <th><strong>Date of Issue 签发日期 </strong></th>
                    <th><strong>Expired Date 期满日期 </strong></th>
                    <th><strong>Place of Issue 签发地点 </strong></th>
                    <th><strong>Sign By</strong></th>
                </tr>
                <?php
                 $certificates = ['general', 'professional', 'medical'];
                 ?>
                 <?php $__currentLoopData = $certificates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $certificate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <th colspan="6" style="text-align: center"><strong><?php echo e($certificate); ?> </strong></th>
                    </tr>
                    <?php
                    $certificate_data = DB::table('certificates')->where('certificate_type', $certificate)->where('status', '1')->orderBy('order')->get();
                    ?>
                    <?php $__currentLoopData = $certificate_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php //dd($data); ?>
                        <?php  $crew_certificate = DB::table('crew_qualification_certificates')->where('certificate_type', $certificate)->where('certificate_id', $data->id)->first();
                        if($crew_certificate){
                            $cert_no = $crew_certificate->cert_no;
                            $issue_date = $crew_certificate->issue_date;
                            $expiry_date = $crew_certificate->expiry_date;
                            $issued_by = $crew_certificate->issued_by;
                            $sign_off = $crew_certificate->sign_off;

                        }else{
                            $cert_no = '';
                            $issue_date = '';
                            $expiry_date = '';
                            $issued_by = '';
                            $sign_off = '';
                        }
                        ?>
                        <tr>
                            <td><?php echo e($data->certificate_title); ?></td>
                            <td><?php echo e($cert_no); ?></td>
                            <td><?php echo e($issue_date); ?></td>
                            <td><?php echo e($expiry_date); ?></td>
                            <td><?php echo e($issued_by); ?></td>
                            <td><?php echo e($sign_off); ?></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>



            </table>
        </div>

        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="12"><strong>2. Sea Experience (the latest 6 vessels) 海上资历（最后6条船）  </strong></th>
                </tr>
                <tr>
                    <th><strong>Rank  职位 </strong></th>
                    <th><strong>Ship’s Name 船名 </strong></th>
                    <th><strong>Trading Area 航区 </strong></th>
                    <th><strong>Manning agency 外派单位 </strong></th>
                    <th><strong>IMO No.</strong></th>
                    <th><strong>VSL Type/GRT  船舶类型/总吨 </strong></th>
                    <th><strong>NRT</strong></th>
                    <th colspan="3" class="border-bottom"><strong>Period of Service (DD/MM/YYYY)</strong>
                        <table>
                            <tr>
                                <td><strong>Date of Sign on/ 上船/下船日期  </strong> </td>
                                <td><strong>Date of Sign off  上船/下船日期</strong> </td>
                                <td><strong>Duration  (mth) </strong> </td>
                            </tr>
                        </table>
                    </th>
                    <th><strong>Reason for sign-off </strong></th>
                    <th><strong>Company Name  船东或管理公司 </strong></th>
                </tr>
                <?php $__currentLoopData = $prev_sea_service_detail; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($data->rank); ?></td>
                    <td> <?php if(isset($data->vessel_name)){echo $data->vessel_name;} ?></td>
                    <td>
                        <?php if(isset($data->vessel_flag )): ?>
                        <img src="<?php echo e(public_path().'/'.$data->vessel_flag); ?>" height="25px" width="35px" alt="">
                        <?php endif; ?>
                    </td>
                    <td><?php if(isset($data->vessel_type)){echo $data->vessel_type;} ?></td>
                    <td><?php if(isset($data->imo)){echo $data->imo;} ?></td>
                    <td><?php echo e($data->grt); ?></td>
                    <td><?php echo e($data->nrt); ?></td>
                    <td><?php echo e($data->period_of_service); ?></td>
                    <td><?php echo e($data->sign_on); ?></td>
                    <td><?php echo e($data->sign_off); ?></td>
                    <td><?php echo e($data->duration); ?></td>
                    <td><?php echo e($data->reason_for_sign); ?></td>
                </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            </table>
        </div>
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="12"><strong>3. Manning Agent’s Interview 船员公司面试 </strong></th>
                </tr>
                <tr>
                    <td colspan="3">Nomination’s Reason推荐原因: </td>
                </tr>
                <tr>
                    <td>Manning Agent/船员公司 </td>
                    <td>Interviewer 面试官 </td>
                    <td>Date/日期 </td>
                </tr>

            </table>
        </div>
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="12"><strong>4. Amoy sailing’s Interview 西凌面试</strong></th>
                </tr>
                <tr>
                    <th>面试项目 </th>
                    <th>项目内容 </th>
                    <th>N/A  不适用 </th>
                    <th colspan="4" class="border-bottom"><strong>Grade评分</strong>
                        <table>
                            <tr>
                                <td><strong>A  </strong> </td>
                                <td><strong>B</strong> </td>
                                <td><strong>C</strong> </td>
                                <td><strong>D</strong> </td>
                            </tr>
                        </table>
                    </th>
                </tr>
                <tr>
                    <td colspan="3">Overall Appraisal总评</td>
                    <td> </td>
                    <td> </td>
                    <td> </td>
                    <td> </td>
                </tr>
                <tr>
                    <td colspan="3">Interview Result/录用结论：</td>
                    <td  colspan="2"> Employed/录用  </td>
                    <td  colspan="2">  Refused/不录用   </td>
                </tr>
                <tr>
                    <td colspan="7">Comment & Suggestion 评语和建议:</td>
                </tr>
                <tr>
                    <td colspan="3">PIC/负责人：                         </td>
                    <td colspan="4">Date/日期：                        </td>
                </tr>
                <tr>
                    <td colspan="7">Comment & suggestion评语和建议:(仅限船长、轮机长）</td>
                </tr>
                <tr>
                    <td colspan="3">总经理G. Manger： </td>
                    <td colspan="4">Date/日期</td>
                </tr>
                <tr>
                    <td>
                        注： 1. 评分代号 A: Excellent / 优秀 / 熟悉； B: Good / 良好 / 了解；  C: Fair / 一般 / 部分了解；  D: Poor /  差 / 不了解；
                             2. 原件由综合部保存3年。

                    </td>
                </tr>

            </table>
        </div>

    </div>
</body>
</html>



<div id="editor"></div>

<?php /**PATH /home/arshpcm/public_html/crew.ayarship.com/resources/views/backend/pages/general-cv/brilliant-cv.blade.php ENDPATH**/ ?>