
<?php
use Illuminate\Support\Facades\DB;


$general_cv = DB::table('general_cvs')->where('id', $id)->first();
$crew = DB::table('crews')->where('id', $general_cv->crew_id)->first();
$vessel = DB::table('vessels')->where('id', $general_cv->for_vessel)->first();
$font_link = public_path().'/backend/fonts/Poppins-Regular.ttf';
$academic_qualificaitions = DB::table('crew_academic_qualificaitions')->where('crew_id', $general_cv->crew_id)->get();
$immigration_documents = DB::table('crew_immigration_documents')->where('crew_id', $general_cv->crew_id)->get();
$prev_sea_service_detail = DB::table('crew_prev_sea_service_details')->where('crew_id', $general_cv->crew_id)->get();
$qualification_certificates = DB::table('crew_qualification_certificates')->where('crew_id', $general_cv->crew_id)->get();


?>
<!DOCTYPE html>

<html lang="en">
<head>
    <meta charset="utf-8">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title><?php echo e($pdf_name); ?></title>

    <style>
        @font-face {
        font-family: 'Open Sans';
        font-style: normal;
        font-weight: normal;
        src: url(<?php echo e($font_link); ?>) format('truetype');
        }
        body{
            font-family: 'Open Sans';
        }
        .custom-table table td, .custom-table table th {
        font-size: ;
        border: 1px solid #ddd;
        font-size: 11px !important;
        padding: 5px;
        }
        .custom-table h6 {
        margin-bottom: 0;
        font-weight: 700;
        }
        .cv-img img {
        height: 125px;
        width: 125px;
        margin-bottom: 20px;
        }
        .cv-img {
        text-align: center;
        }

        .signiture {
        display: inline-block;
        width: 100%;
        margin: 20px 2px;
        width: 200px;
        text-align: center;
        float: right;
        }
        .custom-table {
        display: inline-block;
        width: 100%;
        overflow: hidden;
        }
        .signiture span {
        display: inline-block;
        margin-top: 10px;
        }
        .signiture_title {
        border-top: 1px solid #ddd;
        }
        .signiture img {
        width: 100%;
        }
        .ship-bg {
            height: 100%;
            width: 100%;
            position: fixed;
            background-attachment: fixed;
            background-position: center center;
            background-size: cover;
            z-index: -1;
        }
        .ship-bg::after {
            position: absolute;
            left: 0;
            top: 0;
            height: 100%;
            width: 100%;
            content: '';
            background-size: ;
            background-color: #000;
            opacity: 0.6;
        }
        .download-pdf-btn {
            display: inline-block;
            text-align: right;
            width: 100%;
        }
        #print-general-cv {
            background-color: #fff !important;
        }
        .width-75{
            width: 75%;
        }
        .width-100{
            width: 100%;
        }
        .overflow{
            overflow: hidden;
        }
        .width-25{
            width: 25%;
        }
        .float-left{
            float: left;
        }
        .float-right{
            float: left;
        }
        .d-block{
            display: block;
        }
        .d-inline-block{
            display: inline-block;
        }
    </style>
</head>
<body>
    <div class="pdf-page" >
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <td colspan="3"><h1 style="text-align: center">SEAFARER’S APPLICATION FORM</h1></td>
                </tr>
                <tr>
                    <td><strong> CREW NATIONALITY:  </strong>  <?php echo e($crew->nationality); ?> </td>
                    <td><strong> AGENCY：</strong> AYAR SHIPAYAR SHIPPING SERVICES</td>
                    <td><strong> APPLY DATE：</strong> <?php echo e($general_cv->application_date); ?></td>
                </tr>
            </table>
        </div>

        <div class="custom-table width-100">
            <table class="table table-responsive width-100">

                <tr>
                    <td><strong> NAME </strong> <?php echo e($crew->full_name); ?> </td>
                    <td><strong> RANK </strong> </td>
                    <td><strong> POSITION APPLY FOR </strong> <?php echo e($general_cv->position_applied); ?></td>
                    <td rowspan="6">
                        <?php if($crew->img !=''): ?>
                        <div class="cv-img width-130px">
                            <img style="width:130px" src="<?php echo e(public_path().'/'.$crew->img); ?>" alt="">
                        </div>
                        <?php endif; ?>
                    </td>
                </tr>
                <tr>
                    <td><strong> D.O.B </strong>  <?php echo e($crew->date_of_birth); ?> </td>
                    <td><strong> P.O.B </strong> <?php echo e($crew->place_of_birth); ?></td>
                    <td><strong> RELIGION </strong> <?php echo e($crew->religion); ?></td>
                </tr>
                <tr>
                    <td colspan="2"><strong>NAME OF SCHOOL </strong>  <?php echo e($crew->school); ?></td>
                    <td><strong> DURATION </strong> <?php echo e($crew->duration); ?></td>
                </tr>
                <tr>
                    <td><strong> MAJOR</strong> <?php echo e($crew->major); ?> </td>
                    <td><strong> EDUCATION</strong> <?php echo e($crew->education); ?></td>
                    <td><strong> FOOD PROHIBITION </strong> </td>
                </tr>
                <tr>
                    <td><strong> ID</strong> <?php echo e($crew->id_no); ?></td>
                    <td><strong> MARITAL STATUS</strong> <?php echo e($crew->marital_status); ?> </td>
                    <td><strong> BENEFICIARY </strong> <?php echo e($crew->next_of_kin); ?> </td>
                </tr>
                <tr>
                    <td><strong> HOME TEL.</strong> <?php echo e($crew->mobile_no); ?> </td>
                    <td><strong> M.B.NO.</strong> <?php echo e($crew->mobile_no); ?>  </td>
                    <td><strong> BLOOD </strong>  <?php echo e($crew->blood); ?></td>
                </tr>
                <tr>
                    <td><strong>Height:</strong> <?php echo e($crew->height); ?> </td>
                    <td><strong>Weight:</strong> <?php echo e($crew->weight); ?> </td>
                    <td><strong> WAISTLINE：</strong> </td>
                    <td><strong> SHOE：</strong> <?php echo e($crew->waistline); ?></td>
                </tr>
                <tr>
                    <td><strong>ADDRESS</strong> <?php echo e($crew->address); ?></td>
                    <td colspan="3"><strong>ZIP CODE</strong>  <?php echo e($crew->zip_no); ?></td>
                </tr>
            </table>
        </div>
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="6"><strong>FAMILY PARTICULARS（such as parents,wife,children）</strong></th>
                </tr>
                <tr>
                    <td><strong> NAME </strong> </td>
                    <td><strong> RELATION </strong> </td>
                    <td><strong>DATE OF BIRTH</strong> </td>
                    <td ><strong> EDUCATION </strong> </td>
                    <td ><strong> TEL.NO </strong> </td>
                    <td ><strong> OCCUPATION </strong> </td>
                </tr>
                <tr>
                    <td>  </td>
                    <td> </td>
                    <td> </td>
                    <td > </td>
                    <td > </td>
                    <td > </td>
                </tr>
            </table>
        </div>
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="6"><strong> CERTIFICATE  </strong></th>
                </tr>

                <tr>
                    <th><strong>TYPE OF CERTIFICATE</strong></th>
                    <th><strong>CERTIFICATE NO</strong></th>
                    <th><strong>DATE OF ISSUE </strong></th>
                    <th><strong>DATE OF EXPIRE </strong></th>
                    <th><strong>ISSUING AUTHORITY</strong></th>
                    <th><strong>Sign By</strong></th>
                </tr>
                <?php
                 $certificates = ['general', 'professional', 'medical'];
                 ?>
                 <?php $__currentLoopData = $certificates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $certificate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <th colspan="6" style="text-align: center"><strong><?php echo e($certificate); ?> </strong></th>
                    </tr>
                    <?php
                    $certificate_data = DB::table('certificates')->where('certificate_type', $certificate)->where('status', '1')->orderBy('order')->get();
                    ?>
                    <?php $__currentLoopData = $certificate_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php //dd($data); ?>
                        <?php  $crew_certificate = DB::table('crew_qualification_certificates')->where('certificate_type', $certificate)->where('certificate_id', $data->id)->first();
                        if($crew_certificate){
                            $cert_no = $crew_certificate->cert_no;
                            $issue_date = $crew_certificate->issue_date;
                            $expiry_date = $crew_certificate->expiry_date;
                            $issued_by = $crew_certificate->issued_by;
                            $sign_off = $crew_certificate->sign_off;

                        }else{
                            $cert_no = '';
                            $issue_date = '';
                            $expiry_date = '';
                            $issued_by = '';
                            $sign_off = '';
                        }
                        ?>
                        <tr>
                            <td><?php echo e($data->certificate_title); ?></td>
                            <td><?php echo e($cert_no); ?></td>
                            <td><?php echo e($issue_date); ?></td>
                            <td><?php echo e($expiry_date); ?></td>
                            <td><?php echo e($issued_by); ?></td>
                            <td><?php echo e($sign_off); ?></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>



            </table>
        </div>

        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="12"><strong><h6>PREVIOUS SEA EXPERIENCE  </h6></strong></th>
                </tr>
                <tr>
                    <th><strong>Rank</strong></th>
                    <th><strong>SHIP</strong></th>
                    <th><strong>FLAG</strong></th>
                    <th><strong>TYPE</strong></th>
                    <th><strong>IMO No.</strong></th>
                    <th><strong>GT</strong></th>
                    <th><strong>HORSE</strong></th>
                    <th><strong>NRT</strong></th>
                    <th><strong>DATE OF SIGN ON</strong> </th>
                    <th><strong>DATE OF SIGN OFF</strong> </th>
                    <th><strong>M.E TYPE </strong> </th>
                    <th><strong>REASON </strong></th>
                    <th><strong>COMPANY</strong></th>
                </tr>
                <?php $__currentLoopData = $prev_sea_service_detail; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($data->rank); ?></td>
                    <td><?php if(isset($vessel->vessel_name)){echo $vessel->vessel_name;} ?></td>
                    <td>
                        <?php if(isset($vessel->flag_img)): ?>
                        <img src="<?php echo e(public_path().'/'.$vessel->flag_img); ?>" height="25px" width="35px" alt="">
                        <?php endif; ?>
                    </td>
                    <td><?php if(isset($vessel->type_of_ship)){echo $vessel->type_of_ship;} ?></td>
                    <td><?php if(isset($vessel->imo_no)){echo $vessel->imo_no;} ?></td>
                    <td><?php echo e($data->grt); ?></td>
                    <td> </td>
                    <td><?php echo e($data->nrt); ?></td>
                    <td><?php echo e($data->period_of_service); ?></td>
                    <td><?php echo e($data->sign_on); ?></td>
                    <td><?php echo e($data->sign_off); ?></td>
                    <td><?php echo e($data->duration); ?></td>
                    <td><?php echo e($data->reason_for_sign); ?></td>
                </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            </table>
        </div>
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <td><strong>PERSONAL REQUIRE:(Such as wage/contract period/vsl size)</strong> </td>
                    <td><strong> </td>
                </tr>
            </table>
        </div>
    </div>
</body>
</html>



<div id="editor"></div>

<?php /**PATH /home/arshpcm/public_html/crew.ayarship.com/resources/views/backend/pages/general-cv/panOcean-cv.blade.php ENDPATH**/ ?>