@extends('layouts.backend')
@section('contents')
<div class="container-xxl flex-grow-1 container-p-y">
    <div class="row">
        <form method="POST" action="{{ route('admin.crew.store') }}" enctype="multipart/form-data" >
          @csrf
            <div class="col-xxl">
                <div class="card mb-4">
                <div class="card-header d-flex align-items-center justify-content-between">
                    <h5 class="mb-0">{{ $title }}</h5>
                    <small class="text-muted float-end">Default label</small>
                </div>
                <div class="card-body">
                    <x-form.input value="{{ old('id_no') }}" required="required" labelName="ID No" name="id_no" placeholder="ID No" />
                    <x-form.input  value="{{ old('last_name') }}" required="required" labelName="Last Name" name="last_name" placeholder="Last Name" />
                    <x-form.input  value="{{ old('given_name') }}" required="required" labelName="Given Name" name="given_name" placeholder="Enter Given Name" />
                    <x-form.input   value="{{ old('full_name') }}" required="required" labelName="Full Name" name="full_name" placeholder="Enter Full Name" />
                    <x-form.input   value="{{ old('sign_in') }}"  labelName="Sign In" name="sign_in" placeholder="Sign In" />
                    <x-form.input   value="{{ old('sign_out') }}"  labelName="Sign Out" name="sign_out" placeholder="Sign Out" />
                    <x-form.select name="vessel_id" labelName="Vessel">
                        <option value="">Select Please</option>
                        @foreach ($vessels as $data )
                            <option value="{{ $data->id }}">{{ $data->vessel_name }}</option>
                        @endforeach
                    </x-form.select>
                    <x-form.input  value="{{ old('img') }}" required="required"  type="file" labelName="Image" name="img" placeholder="Enter country Image" />
                    <x-form.input  value="{{ old('place_of_birth') }}" required="required"  labelName="Place Of Birth" name="place_of_birth" placeholder="Place Of Birth" />
                    <x-form.input  value="{{ old('date_of_birth') }}" required="required" labelName="Date Of Birth" name="date_of_birth" placeholder="Date Of Birth" />
                    <x-form.input  value="{{ old('height') }}" required="required" labelName="Height" name="height" placeholder="Enter Height" />
                    <x-form.input  value="{{ old('weight') }}" required="required" labelName="Weight" name="weight" placeholder="Enter Weight" />
                    <x-form.input  value="{{ old('boiler_suit') }}" required="required"  labelName="Boiler Suit" name="boiler_suit" placeholder="Boiler Suit" />
                    <x-form.input  value="{{ old('safety_shoes') }}" required="required" labelName="Safety Shoes" name="safety_shoes" placeholder="Enter Safety Shoes" />
                    <x-form.input  value="{{ old('marital_status') }}" required="required"  labelName="Marital Status" name="marital_status" placeholder="Enter Marital Status" />
                    <x-form.input  value="{{ old('mobile_no') }}" required="required" labelName="Mobile No" name="mobile_no" placeholder="Enter Mobile No" />
                    {{--  --}}
                    <x-form.input value="{{ old('tel') }}"   labelName="Tel" name="tel" placeholder="Enter Tel No" />
                    <x-form.input value="{{ old('skype') }}" required="required"  labelName="WeChat Id" name="skype" placeholder="WeChat Id" />
                    <x-form.input value="{{ old('school') }}" required="required" labelName="Name Of Institution" name="school" placeholder="Name Of Institution" />
                    <x-form.input value="{{ old('crew_duration') }}"  labelName="Duration" name="crew_duration" placeholder="Duration" />
                    <x-form.input value="{{ old('degree') }}"  labelName="Degree" name="degree" placeholder="Enter Degree" />
                    <x-form.input value="{{ old('major') }}"  labelName="Major" name="major" placeholder="Enter Major" />
                    {{-- <x-form.input value="{{ old('crew_rank') }}" required="required"  labelName="Rank" name="crew_rank" placeholder="Enter Rank" /> --}}
                    <x-form.select name="crew_rank" required="required" labelName="Rank">
                        <option value="">Select Please</option>
                        <option value="DECK CADET">DECK CADET </option>
                        <option value="ENGINE CADET">ENGINE CADET</option>
                        <option value="DECK RATING">DECK RATING</option>
                        <option value="ENGINE RATING">ENGINE RATING</option>
                        <option value="OS">OS</option>
                        <option value="WIPER">WIPER</option>
                        <option value="AB">AB</option>
                        <option value="OILER">OILER</option>
                        <option value="4TH ENGINEER">4TH ENGINEER</option>
                        <option value="3RD OFFICER">3RD OFFICER</option>
                        <option value="3RD ENGINEER">3RD ENGINEER</option>
                        <option value="2ND ENGINEER">2ND ENGINEER</option>
                        <option value="CHIEF OFFICER">CHIEF OFFICER</option>
                        <option value="CHIEF ENGINEER">CHIEF ENGINEER</option>
                        <option value="MASTER">MASTER</option>
                        <option value="SALON">SALON</option>
                    </x-form.select>
                    <x-form.input value="{{ old('education') }}"  required="required" labelName="Education" name="education" placeholder="Enter Education" />
                    <x-form.input value="{{ old('grade') }}"  labelName="Grade" name="grade" placeholder="Enter Grade" />
                    <x-form.input value="{{ old('waistline') }}"  labelName="Waistline" name="waistline" placeholder="Enter Waistline" />
                    <x-form.input value="{{ old('zip_no') }}"  labelName="Zip No" name="zip_no" placeholder="Enter Zip No" />
                    <x-form.input value="{{ old('english_level') }}"  labelName="English Level" name="english_level" placeholder="Enter English Level" />
                    <x-form.input value="{{ old('blood') }}"  required="required" labelName="Blood Group" name="blood" placeholder="Enter Blood Group" />
                    <x-form.input value="{{ old('graduate_date') }}"  labelName="Mobile No" name="graduate_date" placeholder="Enter Graduate Date" />
                    <x-form.input value="{{ old('nationality') }}"  labelName="Nationality" name="nationality" placeholder="Enter Nationality" />
                    <x-form.input value="{{ old('hair_color') }}"  labelName="Hair Color" name="hair_color" placeholder="Enter Hair Color" />
                    {{--  --}}
                    <x-form.input value="{{ old('eyes_color') }}"  labelName="Eyes Color" name="eyes_color" placeholder="Enter Eyes Color" />
                    <x-form.input value="{{ old('sid_no') }}" required="required" labelName="SID No" name="sid_no" placeholder="Enter SID No " />
                    <x-form.input value="{{ old('nid_no') }}"  required="required" labelName="NID No" name="nid_no" placeholder="Enter NID No" />
                    <x-form.input value="{{ old('religion') }}"  labelName="Religion" name="religion" placeholder="Enter Religion" />
                    <x-form.input value="{{ old('covid_vaccination') }}" required="required"  labelName="Covid Vaccination" name="covid_vaccination" placeholder="Enter Covid Vaccination" />
                    <x-form.input value="{{ old('address') }}" required="required" labelName="Address" name="address" placeholder="Enter Address" />
                    <x-form.input value="{{ old('email') }}" required="required" labelName="Email" name="email" placeholder="Enter Email" />
                    <x-form.input value="{{ old('next_of_kin') }}" required="required" labelName="Next Of Kin" name="next_of_kin" placeholder="Enter Next Of Kin" />
                    <x-form.input value="{{ old('relationship') }}" required="required" labelName="Relationship" name="relationship" placeholder="Enter Relationship" />
                    <x-form.input value="{{ old('family_phone_no') }}" required="required" labelName="Family Phone Number" name="family_phone_no" placeholder="Enter Family Phone Number" />
                    <x-form.input value="{{ old('address_next_of_kin') }}"  labelName="Address Next Of Kin" name="address_next_of_kin" placeholder="Enter Address Next Of Kin" />
                    <x-form.input value="{{ old('status') }}"  labelName="Status" name="status" placeholder="Status" />
                    <x-form.input value="{{ old('order') }}"  type="number" labelName="Order" name="order" placeholder="Order Number" />


{{-- certificate --}}
                    <x-form.input value="{{ old('position_applied') }}" labelName="Position Applied" name="position_applied" placeholder="Position Applied" />
                    <x-form.input value="{{ old('application_date') }}" labelName="Application Date" name="application_date" placeholder="Application Date" />
                    <x-form.select name="for_vessel" labelName="Vessel">
                        <option value="">Select Please</option>
                        @foreach ($vessels as $data )
                            <option value="{{ $data->id }}">{{ $data->vessel_name }}</option>
                        @endforeach
                    </x-form.select>
                    <x-form.input value="{{ old('available_date') }}" type="date" labelName="Available Date" name="available_date" placeholder="Available Date" />
                    <x-form.input value="{{ old('manning_agent') }}" labelName="Manning Agent" name="manning_agent" placeholder="Manning Agent" />
                    <x-form.input value="{{ old('signature_of_applicant') }}" type="file" labelName="Signature Of Applicant" name="signature_of_applicant" placeholder="Signature Of Applicant" />
                    <x-form.input value="{{ old('signature_date') }}" type="date" labelName="Signature Date" name="signature_date" placeholder="Signature Date" />
                    <x-form.input value="{{ old('interview_by') }}" labelName="Interview By" name="interview_by" placeholder="Interview By" />
                    <x-form.input value="{{ old('interview_date') }}" type="date" labelName="Interview Date" name="interview_date" placeholder="Interview Date" />
                    <x-form.input value="{{ old('department') }}" labelName="Department" name="department" placeholder="Department" />
                    <x-form.select name="status" labelName="Status">
                        <option selected value="1">Approved</option>
                        <option value="0">Submitted</option>
                    </x-form.select>
                    <x-form.input value="{{ old('order') }}" type="number" labelName="Order" name="order" placeholder="Enter Ship order Number" />

                    <div class="accordion mt-3" id="accordionExample">
                        <div class="card accordion-item">
                          <h2 class="accordion-header" id="headingOne">
                            <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_academic_qualificaition" aria-expanded="true"  aria-controls="crew_academic_qualificaition" > Crew Academic Qualificaition </button>
                          </h2>
                          <div id="crew_academic_qualificaition" class="accordion-collapse collapse show" data-bs-parent="#crew_academic_qualificaitiontExample">
                            <div class="accordion-body" id="add_new_crew_academic_qualificaition_block">
                              <div class="accordion mt-3" id="crew_academic_qualificaitionExample">
                                <div class="card accordion-item" data-id="1">
                                  <h2 class="accordion-header" id="headingOne">
                                    <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_academic_qualificaition_1" aria-expanded="true"  aria-controls="crew_academic_qualificaition" >Data</button>
                                  </h2>
                                  <div id="crew_academic_qualificaition_1" class="accordion-collapse collapse show" data-bs-parent="#crew_academic_qualificaitionExample"  >
                                    <div class="accordion-body">
                                      <x-form.input labelName="From" name="from[]" placeholder="From" />
                                      <x-form.input labelName="To" name="to[]" placeholder="To" />
                                      <x-form.input labelName="Role" name="role[]" placeholder="Role" />
                                      <x-form.input labelName="Institutions" name="institutions[]" placeholder="Institutions" />

                                      <x-form.select name="qualifications[]" labelName="Qualifications">
                                        <option value="PRE SEA DECK CADET">PRE SEA DECK CADET</option>
                                        <option value="PRE SEA ENGINE CADET">PRE SEA ENGINE CADET</option>
                                        <option value="PRE SEA DECK RATING">PRE SEA DECK RATING</option>
                                        <option value="PRE SEA ENGINE RATING">PRE SEA ENGINE RATING</option>
                                        <option value="PRE SEA SALON">PRE SEA SALON</option>
                                      </x-form.select>
                                      <x-form.input type="file" labelName="Academic Certificate" name="academic_certificate[]" placeholder="Academic Certificate" />
                                    </div>
                                  </div>
                                </div>
                              </div>
                              <button type="button" class="btn btn-primary mt-3 mb-3" id="add_new_crew_academic_qualificaition" style="float: right;" >Add New</button>
                            </div>
                          </div>
                        </div>
                        <div class="card accordion-item">
                          <h2 class="accordion-header" id="headingTwo">
                            <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_immigration_documents" aria-expanded="true"  aria-controls="crew_immigration_documents" > Immigration Documents <span class="required-icon">*</span> </button>
                          </h2>
                          <div id="crew_immigration_documents" class="accordion-collapse collapse" data-bs-parent="#crew_immigration_documentsExample"  >
                            <div class="accordion-body" id="crew_immigration_documents_block">
                              <div class="accordion mt-3" id="crew_immigration_documentsExample">
                                <div class="card accordion-item" data-id="1">
                                  <h2 class="accordion-header" id="headingTwo">
                                    <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_immigration_documents_1" aria-expanded="true"  aria-controls="crew_immigration_documents" >Data</button>
                                  </h2>
                                  <div id="crew_immigration_documents_1" class="accordion-collapse collapse show" data-bs-parent="#crew_immigration_documentsExample"  >
                                    <div class="accordion-body">
                                        <x-form.select name="document_title[]" labelName="Document Title">
                                            <option selected value="PASSPORT">PASSPORT</option>
                                            <option value="SEAMAN">SEAMAN</option>
                                            <option value="VISA">VISA</option>
                                        </x-form.select>

                                      <x-form.input labelName="Issue at" name="issue_at[]" placeholder="Issue at" />
                                      <x-form.input labelName="Issue Date" name="issue_date[]" placeholder="Issue Date" />
                                      <x-form.input labelName="Expiry Date" name="immigration_expiry_date[]" placeholder="Expiry Date" />
                                      <x-form.input type="file" labelName="Immigration Documents" name="immigration_documents[]" placeholder="Immigration Documents" />
                                    </div>
                                  </div>
                                </div>
                              </div>
                              <button type="button" class="btn btn-primary mt-3 mb-3" id="add_new_crew_immigration_documents" style="float: right;" >Add New</button>
                            </div>
                          </div>
                        </div>
                        <div class="card accordion-item">
                          <h2 class="accordion-header" id="headingTwo">
                            <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_prev_sea_service_details" aria-expanded="true"  aria-controls="crew_prev_sea_service_details_details" >sea service details </button>
                          </h2>
                          <div id="crew_prev_sea_service_details" class="accordion-collapse collapse" data-bs-parent="#crew_prev_sea_service_detailsExample"  >
                            <div class="accordion-body" id="add_new_crew_prev_sea_service_details_block">
                              <div class="accordion mt-3" id="crew_prev_sea_service_detailsExample">
                                <div class="card accordion-item" data-id="1">
                                  <h2 class="accordion-header" id="headingTwo">
                                    <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_prev_sea_service_details_1" aria-expanded="true"  aria-controls="crew_prev_sea_service_details_details" >Data</button>
                                  </h2>
                                  <div id="crew_prev_sea_service_details_1" class="accordion-collapse collapse show" data-bs-parent="#crew_prev_sea_service_detailsExample"  >
                                    <div class="accordion-body">
                                      <x-form.input labelName="classification Society" name="classification_society[]" placeholder="classification Society" />
                                      <x-form.input labelName="Vessel Name" name="pref_vessel_name[]" placeholder="classification Vessel Name" />
                                      <x-form.input labelName="IMO" name="pref_imo[]" placeholder="IMO" />
                                      <x-form.input labelName="Flag of Vessel" name="pref_vessel_flag[]" placeholder="Flag of Vessel" />
                                      <x-form.input labelName="Type of Vessel" name="pref_vessel_type[]" placeholder="Type of Vessel" />
                                      <x-form.input labelName="Rank" name="rank[]" placeholder="Rank" />
                                      <x-form.input labelName="GRT" name="grt[]" placeholder="GRT" />
                                      <x-form.input labelName="NRT" name="nrt[]" placeholder="NRT" />
                                      <x-form.input labelName="Period of service" name="period_of_service[]" placeholder="Period of service" />
                                      <x-form.input labelName="Main Engine Details" name="main_engine_details[]" placeholder="Main Engine Details" />
                                      <x-form.input labelName="Sign on" name="sign_on[]" placeholder="Sign on" />
                                      <x-form.input labelName="Sign off" name="sign_off[]" placeholder="Sign off" />
                                      <x-form.input labelName="Duration" name="duration[]" placeholder="Duration" />
                                      <x-form.input labelName="Reason for sign" name="reason_for_sign[]" placeholder="Reason for sign" />
                                      <x-form.input labelName="Name of company" name="name_of_company[]" placeholder="Name of company" />
                                      <x-form.input type="file" labelName="sea service certificate" name="sea_service[]" placeholder="sea service certificate" />
                                    </div>
                                  </div>
                                </div>
                              </div>
                              <button type="button" class="btn btn-primary mt-3 mb-3" id="add_new_crew_prev_sea_service_details" style="float: right;" >Add New</button>
                            </div>
                          </div>
                        </div>
                        <div class="card accordion-item">
                          <h2 class="accordion-header" id="headingTwo">
                            <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_qualification_certificate" aria-expanded="true"  aria-controls="crew_qualification_certificate_details" > Qualification Certificate </button>
                          </h2>
                          <div id="crew_qualification_certificate" class="accordion-collapse collapse" data-bs-parent="#crew_qualification_certificateExample"  >
                            <div class="accordion-body" id="add_new_crew_qualification_certificate_block">
                              <div class="accordion mt-3" id="crew_qualification_certificateExample">
                                <div class="card accordion-item clone" data-id="1">
                                  <h2 class="accordion-header" id="headingTwo">
                                    <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_qualification_certificate_1" aria-expanded="true"  aria-controls="crew_qualification_certificate_details" >Data</button>
                                  </h2>
                                  <div id="crew_qualification_certificate_1" class="accordion-collapse collapse show" data-bs-parent="#crew_qualification_certificateExample"  >
                                    <div class="accordion-body">
                                        <x-form.select inputClass="certificate_type" name="certificate_type[]" labelName="Certificate Type">
                                            <option value="">Select Please</option>
                                            <option value="Certificate of Competency">Certificate of Competency</option>
                                            <option value="GMDSS">GMDSS</option>
                                            <option value="Watch Keeping Certificate for Deck">Watch Keeping Certificate for Deck</option>
                                            <option value="Watch Keeping Certificate For Engine">Watch Keeping Certificate For Engine</option>
                                            <option value="Certificate of Proficiency">Certificate of Proficiency</option>
                                            <option value="Medical Documents">Medical Documents</option>
                                            <option value="Flag State Certificate">Flag State Certificate</option>
                                        </x-form.select>
                                        <x-form.select inputClass="certificate_id" name="certificate_id[]" data-certificate-id="1" labelName="Certificate Title">
                                            <option value="">Select Please</option>
                                            @foreach ($certificates as $data)
                                            <option value="{{ $data->id }}">{{ $data->certificate_title }}</option>
                                            @endforeach
                                        </x-form.select>
                                      <x-form.input labelName="Cert No" name="cert_no[]" placeholder="Cert No" />
                                      <x-form.input type="date" labelName="Issue Date" name="certificate_issue_date[]" placeholder="Issue Date" />
                                      <x-form.input type="date" labelName="Expir Date" name="certificate_expiry_date[]" placeholder="Expir Date" />
                                      <x-form.input labelName="Issued By" name="issued_by[]" placeholder="Issued By" />
                                      <x-form.input labelName="Sign Off" name="certificate_sign_off[]" placeholder="Sign Off" />
                                      <x-form.input type="file" labelName="Upload Certificate " name="certificate_file[]" placeholder="Upload Certificate " />
                                    </div>
                                  </div>
                                </div>
                              </div>
                              <button type="button" class="btn btn-primary mt-3 mb-3" id="add_new_crew_qualification_certificate" style="float: right;" >Add New</button>
                            </div>
                          </div>
                        </div>
                      </div>

                    <div class="row justify-content-end">
                        <div class="col-sm-10 mt-3 text-right">
                        <button type="submit" class="btn btn-primary" style="float: right;">Submit</button>
                        </div>
                    </div>

                </div>
                </div>
            </div>
        </form>
    </div>
</div>
@push('script')
<script>
    $(document).ready(function(){
        // Vassel Management
        let crew_academic_qualificaition = 1;
        $("#add_new_crew_academic_qualificaition").click(function () {
            crew_academic_qualificaition++
            $("#crew_academic_qualificaitionExample")
            .append(`<div class="card accordion-item" data-id="`+crew_academic_qualificaition+`">
                    <h2 class="accordion-header" id="heading`+crew_academic_qualificaition+`">
                    <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_academic_qualificaition_`+crew_academic_qualificaition+`" aria-expanded="true"  aria-controls="crew_academic_qualificaition" >Data</button>
                    </h2>
                    <div id="crew_academic_qualificaition_`+crew_academic_qualificaition+`" class="accordion-collapse collapse show" data-bs-parent="#crew_academic_qualificaitionExample"  >
                    <div class="accordion-body">
                        <x-form.input labelName="From" name="from[]" placeholder="From" />
                        <x-form.input labelName="To" name="to[]" placeholder="To" />
                        <x-form.input labelName="Role" name="role[]" placeholder="Role" />
                        <x-form.input labelName="Institutions" name="institutions[]" placeholder="Institutions" />
                        <x-form.select name="qualifications[]" labelName="Qualifications">
                            <option value="PRE SEA DECK CADET">PRE SEA DECK CADET</option>
                            <option value="PRE SEA ENGINE CADET">PRE SEA ENGINE CADET</option>
                            <option value="PRE SEA DECK RATING">PRE SEA DECK RATING</option>
                            <option value="PRE SEA ENGINE RATING">PRE SEA ENGINE RATING</option>
                            <option value="PRE SEA SALON">PRE SEA SALON</option>
                        </x-form.select>
                        <x-form.input type="file" labelName="Academic Certificate" name="academic_certificate[]" placeholder="Academic Certificate" />
                    </div>
                    </div>
                </div>`);
          });

        // Vassel Classification
        let crew_immigration_documents = 1;
        $("#add_new_crew_immigration_documents").click(function () {
            crew_immigration_documents++
            // alert(vessel_classification);
            $("#crew_immigration_documentsExample")
            .append(`<div class="card accordion-item" data-id="`+crew_immigration_documents+`">
                    <h2 class="accordion-header" id="heading`+crew_immigration_documents+`">
                    <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_immigration_documents_`+crew_immigration_documents+`" aria-expanded="true"  aria-controls="crew_immigration_documents" >Data</button>
                    </h2>
                    <div id="crew_immigration_documents_`+crew_immigration_documents+`" class="accordion-collapse collapse show" data-bs-parent="#crew_immigration_documentsExample"  >
                    <div class="accordion-body">
                        <x-form.input labelName="Document Title" name="document_title[]" placeholder="Document Title" />
                        <x-form.input labelName="Issue at" name="issue_at[]" placeholder="Issue at" />
                        <x-form.input labelName="Issue Date" name="issue_date[]" placeholder="Issue Date" />
                        <x-form.input labelName="Expiry Date" name="expiry_date[]" placeholder="Expiry Date" />
                        <x-form.input type="file" labelName="Immigration Documents" name="immigration_documents[]" placeholder="Immigration Documents" />
                    </div>
                    </div>
                </div>`);
          });
        // Safety Certificates
        let crew_prev_sea_service_details = 1;
        $("#add_new_crew_prev_sea_service_details").click(function () {
            crew_prev_sea_service_details++
            // alert(vessel_classification);
            $("#crew_prev_sea_service_detailsExample")
            .append(`<div class="card accordion-item" data-id="`+crew_prev_sea_service_details+`">
                    <h2 class="accordion-header" id="heading`+crew_prev_sea_service_details+`">
                    <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_prev_sea_service_details_`+crew_prev_sea_service_details+`" aria-expanded="true"  aria-controls="crew_prev_sea_service_details_details" >Data</button>
                    </h2>
                    <div id="crew_prev_sea_service_details_`+crew_prev_sea_service_details+`" class="accordion-collapse collapse show" data-bs-parent="#crew_prev_sea_service_detailsExample"  >
                    <div class="accordion-body">
                        <x-form.input labelName="classification Society" name="classification_society[]" placeholder="classification Society" />
                        <x-form.input labelName="Vessel Name" name="pref_vessel_name[]" placeholder="classification Vessel Name" />
                        <x-form.input labelName="IMO" name="pref_imo[]" placeholder="IMO" />
                        <x-form.input labelName="Flag of Vessel" name="pref_vessel_flag[]" placeholder="Flag of Vessel" />
                        <x-form.input labelName="Type of Vessel" name="pref_vessel_type[]" placeholder="Type of Vessel" />
                        <x-form.input labelName="Rank" name="rank[]" placeholder="Rank" />
                        <x-form.input labelName="GRT" name="grt[]" placeholder="GRT" />
                        <x-form.input labelName="NRT" name="nrt[]" placeholder="NRT" />
                        <x-form.input labelName="Period of service" name="period_of_service[]" placeholder="Period of service" />
                        <x-form.input labelName="Main Engine Details" name="main_engine_details[]" placeholder="Main Engine Details" />
                        <x-form.input labelName="Sign on" name="sign_on[]" placeholder="Sign on" />
                        <x-form.input labelName="Sign off" name="sign_off[]" placeholder="Sign off" />
                        <x-form.input labelName="Duration" name="duration[]" placeholder="Duration" />
                        <x-form.input labelName="Reason for sign" name="reason_for_sign[]" placeholder="Reason for sign" />
                        <x-form.input labelName="Name of company" name="name_of_company[]" placeholder="Name of company" />
                        <x-form.input type="file" labelName="sea service certificate" name="sea_service[]" placeholder="sea service certificate" />
                    </div>
                    </div>
                </div>`);
          });

        // Safety Certificates
        let crew_qualification_certificate = 1;
        $("#add_new_crew_qualification_certificate").click(function () {
            crew_qualification_certificate++
            // alert(vessel_classification);
            var append_value = $('#crew_qualification_certificateExample').find('.accordion-item.clone').attr('data-id', 1).clone();
            append_value.removeClass('clone');
            append_value.attr('data-id', crew_qualification_certificate);
            append_value.find('#headingTwo').attr('id', 'heading'+crew_qualification_certificate+'');
            append_value.find('.accordion-button').attr('data-bs-target', '#crew_qualification_certificate_'+crew_qualification_certificate+'');
            append_value.find('#crew_qualification_certificate_1').attr('id', 'crew_qualification_certificate_'+crew_qualification_certificate+'');
            $(append_value).appendTo("#crew_qualification_certificateExample");
         });


    });
  </script>
  <script>
    $(document).ready(function(){
        // $('.certificate_type').each(function(){

            // $(document).on('change', '.certificate_type', function() {
                $(document).on('change', '.certificate_type', function () {
                let $this = $(this);
                var _token = $("input[name='_token']").val();
                let certificate_type =  this.value;
                $.ajax({
                    url: "{{ route('admin.getCrewCertificatesAjax') }}",
                    type:'POST',
                    data: {_token:_token, certificate_type:certificate_type},
                    success: function(data) {
                        $this.closest('.accordion-body').find('.certificate_id').html(data)
                    }
                });

            });
        // });
    });
  </script>
@endpush
@endsection

