@extends('layouts.backend')
@section('contents')
<div class="container-xxl flex-grow-1 container-p-y">
    <div class="row">
        <form method="POST" action="{{ route('admin.crew.update',[$crew->id]) }}" enctype="multipart/form-data" >
            @method('PUT')
          @csrf
            <div class="col-xxl">
                <div class="card mb-4">
                <div class="card-header d-flex align-items-center justify-content-between">
                    <h5 class="mb-0">{{ $title }}</h5>
                    <small class="text-muted float-end">Default label</small>
                </div>
                <div class="card-body">
                    <x-form.input labelName="ID No" required="required" value="{{ $crew->id_no }}"  name="id_no" placeholder="ID No" />
                    <x-form.input labelName="Last Name" required="required" value="{{ $crew->last_name }}" name="last_name" placeholder="Last Name" />
                    <x-form.input labelName="Given Name" required="required" value="{{ $crew->given_name }}" name="given_name" placeholder="Enter Given Name" />
                    <x-form.input  labelName="Full Name" required="required" value="{{ $crew->full_name }}" name="full_name" placeholder="Enter Full Name" />
                    <x-form.input  labelName="Sign In" value="{{ $crew->sign_in }}" name="sign_in" placeholder="Sign In" />
                    <x-form.input  labelName="Sign Out" value="{{ $crew->sign_out }}" name="sign_out" placeholder="Sign Out" />
                        <x-form.select name="vessel_id" labelName="Vessel">
                            <option value="">Select Please</option>
                            @foreach ($vessels as $data )
                                <option <?php if($crew->vessel_id == $data->id){echo "selected"; } ?> value="{{ $data->id }}">{{ $data->vessel_name }}</option>
                            @endforeach
                        </x-form.select>
                    <x-form.input  type="file" labelName="Image" required="required" name="img" placeholder="Enter country Image" />
                        <input type="hidden" name="old_img" required="required" value="{{ $crew->img }}">
                    <x-form.input labelName="Place Of Birth" required="required" value="{{ $crew->place_of_birth }}" name="place_of_birth" placeholder="Place Of Birth" />
                    <x-form.input labelName="Date Of Birth" required="required" value="{{ $crew->date_of_birth }}" name="date_of_birth" placeholder="Date Of Birth" />
                    <x-form.input labelName="Height" required="required" value="{{ $crew->height }}" name="height" placeholder="Enter Height" />
                    <x-form.input labelName="Weight" required="required" value="{{ $crew->weight }}" name="weight" placeholder="Enter Weight" />
                    <x-form.input labelName="Boiler Suit" required="required" value="{{ $crew->boiler_suit }}" name="boiler_suit" placeholder="Boiler Suit" />
                    <x-form.input labelName="Safety Shoes" required="required" value="{{ $crew->safety_shoes }}" name="safety_shoes" placeholder="Enter Safety Shoes" />
                    <x-form.input labelName="Marital Status" required="required" value="{{ $crew->marital_status }}" name="marital_status" placeholder="Enter Marital Status" />
                    <x-form.input labelName="Mobile No" required="required" value="{{ $crew->mobile_no }}" name="mobile_no" placeholder="Enter Mobile No" />
                    {{--  --}}
                    <x-form.input labelName="Tel" value="{{ $crew->tel }}" name="tel" placeholder="Enter Tel No" />
                    <x-form.input labelName="WeChat Id" value="{{ $crew->skype }}" required="required" name="skype" placeholder="WeChat Id" />
                    <x-form.input labelName="Name Of Institution" value="{{ $crew->school }}" required="required" name="school" placeholder="Name Of Institution" />
                    <x-form.input labelName="Duration" value="{{ $crew->crew_duration }}" name="crew_duration" placeholder="Duration" />
                    <x-form.input labelName="Degree" value="{{ $crew->degree }}" name="degree" placeholder="Enter Degree" />
                    <x-form.input labelName="Major" value="{{ $crew->major }}" name="major" placeholder="Enter Major" />
                    {{-- <x-form.input labelName="Rank" value="{{ $crew->rank }}" required="required" name="rank" placeholder="Enter Rank" /> --}}
                    <x-form.select name="crew_rank" required="required" labelName="Rank">
                        <option  value="">Select Please</option>
                        <option @if($crew->rank == 'DECK CADET') selected @endif value="DECK CADET">DECK CADET </option>
                        <option @if($crew->rank == 'ENGINE CADET') selected @endif value="ENGINE CADET">ENGINE CADET</option>
                        <option @if($crew->rank == 'DECK RATING') selected @endif value="DECK RATING">DECK RATING</option>
                        <option @if($crew->rank == 'ENGINE RATING') selected @endif value="ENGINE RATING">ENGINE RATING</option>
                        <option @if($crew->rank == 'OS') selected @endif value="OS">OS</option>
                        <option @if($crew->rank == 'WIPER') selected @endif value="WIPER">WIPER</option>
                        <option @if($crew->rank == 'AB') selected @endif value="AB">AB</option>
                        <option @if($crew->rank == 'OILER') selected @endif value="OILER">OILER</option>
                        <option @if($crew->rank == '4TH ENGINEER') selected @endif value="4TH ENGINEER">4TH ENGINEER</option>
                        <option @if($crew->rank == '3RD OFFICER') selected @endif value="3RD OFFICER">3RD OFFICER</option>
                        <option @if($crew->rank == '3RD ENGINEER') selected @endif value="3RD ENGINEER">3RD ENGINEER</option>
                        <option @if($crew->rank == '2ND ENGINEER') selected @endif value="2ND ENGINEER">2ND ENGINEER</option>
                        <option @if($crew->rank == 'CHIEF OFFICER') selected @endif value="CHIEF OFFICER">CHIEF OFFICER</option>
                        <option @if($crew->rank == 'CHIEF ENGINEER') selected @endif value="CHIEF ENGINEER">CHIEF ENGINEER</option>
                        <option @if($crew->rank == 'MASTER') selected @endif value="MASTER">MASTER</option>
                        <option @if($crew->rank == 'SALON') selected @endif value="SALON">SALON</option>
                    </x-form.select>
                    <x-form.input labelName="Education" value="{{ $crew->education }}" required="required" name="education" placeholder="Enter Education" />
                    <x-form.input labelName="Grade" value="{{ $crew->grade }}" name="grade" placeholder="Enter Grade" />
                    <x-form.input labelName="Waistline" value="{{ $crew->waistline }}" name="waistline" placeholder="Enter Waistline" />
                    <x-form.input labelName="Zip No" value="{{ $crew->zip_no }}" name="zip_no" placeholder="Enter Zip No" />
                    <x-form.input labelName="English Level" value="{{ $crew->english_level }}" name="english_level" placeholder="Enter English Level" />
                    <x-form.input labelName="Blood Group" value="{{ $crew->blood }}" required="required" name="blood" placeholder="Enter Blood Group" />
                    <x-form.input labelName="Mobile No" value="{{ $crew->graduate_date }}" name="graduate_date" placeholder="Enter Graduate Date" />
                    <x-form.input labelName="Nationality" value="{{ $crew->nationality }}" name="nationality" placeholder="Enter Nationality" />
                    <x-form.input labelName="Hair Color" value="{{ $crew->hair_color }}" name="hair_color" placeholder="Enter Hair Color" />
                    {{--  --}}
                    <x-form.input labelName="Nationality" value="{{ $crew->nationality }}" name="nationality" placeholder="Enter Nationality" />
                    <x-form.input labelName="Hair Color" value="{{ $crew->hair_color }}" name="hair_color" placeholder="Enter Hair Color" />
                    <x-form.input labelName="Eyes Color" value="{{ $crew->eyes_color }}" name="eyes_color" placeholder="Enter Eyes Color" />
                    <x-form.input labelName="SID No" required="required" value="{{ $crew->sid_no }}" name="sid_no" placeholder="Enter SID No " />
                    <x-form.input labelName="NID No" required="required" value="{{ $crew->nid_no }}" name="nid_no" placeholder="Enter NID No" />
                    <x-form.input labelName="Religion" value="{{ $crew->religion }}" name="religion" placeholder="Enter Religion" />
                    <x-form.input labelName="Covid Vaccination" value="{{ $crew->covid_vaccination }}" name="covid_vaccination" placeholder="Enter Covid Vaccination" />
                    <x-form.input labelName="Address" required="required" value="{{ $crew->address }}" name="address" placeholder="Enter Address" />
                    <x-form.input labelName="Email" required="required" value="{{ $crew->email }}" name="email" placeholder="Enter Email" />
                    <x-form.input labelName="Next Of Kin" required="required" value="{{ $crew->next_of_kin }}" name="next_of_kin" placeholder="Enter Next Of Kin" />
                    <x-form.input labelName="Relationship" required="required" value="{{ $crew->relationship }}" name="relationship" placeholder="Enter Relationship" />
                    <x-form.input labelName="Family Phone Number" required="required" value="{{ $crew->family_phone_no }}" name="family_phone_no" placeholder="Enter Family Phone Number" />
                    <x-form.input labelName="Address Next Of Kin" value="{{ $crew->address_next_of_kin }}" name="address_next_of_kin" placeholder="Enter Address Next Of Kin" />
                        <x-form.select name="for_vessel" labelName="Vessel">
                            <option value="">Select Please</option>
                            <option selected value="1">Active</option>
                            <option value="0">In active</option>

                        </x-form.select>
                    <x-form.input labelName="Status" name="status" value="{{ $crew->status }}" placeholder="Status" />
                    <x-form.input type="number" value="{{ $crew->order }}" labelName="Order" name="order" placeholder="Order Number" />

                        {{-- General CV --}}
                        <x-form.input value="{{ $general_cv->position_applied }}" labelName="Position Applied" name="position_applied" placeholder="Position Applied" />
                        <x-form.input value="{{ $general_cv->application_date }}" labelName="Application Date" name="application_date" placeholder="Application Date" />
                        <x-form.select name="for_vessel" labelName="Vessel">
                            <option value="">Select Please</option>
                            @foreach ($vessels as $data )
                                <option <?php if($general_cv->for_vessel == $data->id){echo "selected"; } ?> value="{{ $data->id }}">{{ $data->vessel_name }}</option>
                            @endforeach
                        </x-form.select>
                        <x-form.input type="date" value="{{ $general_cv->available_date }}" labelName="Available Date" name="available_date" placeholder="Available Date" />
                        <x-form.input value="{{ $general_cv->manning_agent }}" labelName="Manning Agent" name="manning_agent" placeholder="Manning Agent" />
                        <x-form.input type="file" value="{{ $general_cv->signature_of_applicant }}" labelName="Signature Of Applicant" name="signature_of_applicant" placeholder="Signature Of Applicant" />
                        <x-form.input type="date" value="{{ $general_cv->signature_date }}" labelName="Signature Date" name="signature_date" placeholder="Signature Date" />
                        <x-form.input value="{{ $general_cv->interview_by }}" labelName="Interview By"  name="interview_by" placeholder="Interview By" />
                        <x-form.input type="date" value="{{ $general_cv->interview_date }}" labelName="Interview Date" name="interview_date" placeholder="Interview Date" />
                        <x-form.input value="{{ $general_cv->department }}" labelName="Department" name="department" placeholder="Department" />
                        <x-form.select name="status" labelName="Status">
                            <option  value="">Select Please</option>
                            <option <?php if($general_cv->status == 0){echo "selected"; } ?> value="0">Submitted</option>
                            <option <?php if($general_cv->status == 1){echo "selected"; } ?>  value="1">Approved</option>
                        </x-form.select>
                        <x-form.input type="number" value="{{ $general_cv->order }}" labelName="Order" name="order" placeholder="Enter Ship order Number" />
                        <div class="accordion mt-3" id="accordionExample">
                            <div class="card accordion-item">
                                <h2 class="accordion-header" id="headingOne">
                                <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_academic_qualificaition" aria-expanded="true"  aria-controls="crew_academic_qualificaition" > Academic Qualificaition </button>
                                </h2>
                                <div id="crew_academic_qualificaition" class="accordion-collapse collapse show" data-bs-parent="#crew_academic_qualificaitiontExample">
                                <div class="accordion-body" id="add_new_crew_academic_qualificaition_block">
                                    <div class="accordion mt-3" id="crew_academic_qualificaitionExample">
                                    <?php $academic_qualificaitions = DB::table('crew_academic_qualificaitions')->where('crew_id', $general_cv->crew_id)->get();
                                        $academic_qualificaitions_inc = 1;
                                        // dd($managements);
                                    ?>
                                    @foreach ($academic_qualificaitions as $data )
                                    <div class="card accordion-item" data-id="{{ $academic_qualificaitions_inc }}">
                                        <h2 class="accordion-header" id="heading{{ $academic_qualificaitions_inc }}">
                                        <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_academic_qualificaition_{{ $academic_qualificaitions_inc }}" aria-expanded="true"  aria-controls="crew_academic_qualificaition" >Data</button>
                                        </h2>
                                        <div id="crew_academic_qualificaition_{{ $academic_qualificaitions_inc }}" class="accordion-collapse collapse " data-bs-parent="#crew_academic_qualificaitionExample"  >
                                        <div class="accordion-body">
                                            <input type="hidden" name="update_academic_qualificaition[]" value="{{ $data->id }}">
                                            <x-form.input value="{{ $data->from }}" labelName="From" name="from[]" placeholder="From" />
                                            <x-form.input value="{{ $data->to }}" labelName="To" name="to[]" placeholder="To" />
                                            <x-form.input value="{{ $data->institutions }}" labelName="Institutions" name="institutions[]" placeholder="Institutions" />
                                            <x-form.select name="qualifications[]" labelName="Qualifications">
                                                <option @if($data->qualifications == 'PRE SEA DECK CADET') selected @endif value="PRE SEA DECK CADET">PRE SEA DECK CADET</option>
                                                <option @if($data->qualifications == 'PRE SEA ENGINE CADET') selected @endif value="PRE SEA ENGINE CADET">PRE SEA ENGINE CADET</option>
                                                <option @if($data->qualifications == 'PRE SEA DECK RATING') selected @endif value="PRE SEA DECK RATING">PRE SEA DECK RATING</option>
                                                <option @if($data->qualifications == 'PRE SEA ENGINE RATING') selected @endif value="PRE SEA ENGINE RATING">PRE SEA ENGINE RATING</option>
                                                <option @if($data->qualifications == 'PRE SEA SALON') selected @endif value="PRE SEA SALON">PRE SEA SALON</option>
                                            </x-form.select>
                                            <x-form.input type="file" labelName="Academic Certificate" name="academic_certificate[]" placeholder="Academic Certificate" />
                                            <input type="hidden" name="academic_certificate_old[]" value="{{ asset($data->academic_certificate) }}">
                                            <x-form.input value="{{ $data->qualifications }}" labelName="Qualifications" name="qualifications[]" placeholder="Qualifications" />

                                        </div>
                                        </div>
                                    </div>
                                    <?php $academic_qualificaitions_inc++ ?>
                                    @endforeach
                                    </div>
                                    <button type="button" class="btn btn-primary mt-3 mb-3" id="add_new_crew_academic_qualificaition" style="float: right;" >Add New</button>
                                </div>
                                </div>
                            </div>
                            <div class="card accordion-item">
                                <h2 class="accordion-header" id="headingTwo">
                                <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_immigration_documents" aria-expanded="true"  aria-controls="crew_immigration_documents" > Immigration Documents </button>
                                </h2>
                                <div id="crew_immigration_documents" class="accordion-collapse collapse" data-bs-parent="#crew_immigration_documentsExample"  >
                                <div class="accordion-body" id="crew_immigration_documents_block">
                                    <div class="accordion mt-3" id="crew_immigration_documentsExample">
                                    <?php $immigration_documents = DB::table('crew_immigration_documents')->where('crew_id', $general_cv->crew_id)->get();
                                        $immigration_documents_inc = 1;
                                        // dd($managements);
                                    ?>
                                        @foreach ($immigration_documents as $data )
                                    <div class="card accordion-item" data-id="{{ $immigration_documents_inc }}">
                                        <h2 class="accordion-header" id="heading{{ $immigration_documents_inc }}">
                                        <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_immigration_documents_{{ $immigration_documents_inc }}" aria-expanded="true"  aria-controls="crew_immigration_documents" >Data</button>
                                        </h2>
                                        <div id="crew_immigration_documents_{{ $immigration_documents_inc }}" class="accordion-collapse collapse show" data-bs-parent="#crew_immigration_documentsExample"  >
                                        <div class="accordion-body">
                                            <input type="hidden" name="update_immigration_documents[]" value="{{ $data->id }}">
                                            <x-form.select name="document_title[]" labelName="Document Title">
                                                <option @if($data->document_title == 'PASSPORT') selected @endif value="PASSPORT">PASSPORT</option>
                                                <option @if($data->document_title == 'PASSPSEAMANORT') selected @endif  value="SEAMAN">SEAMAN</option>
                                                <option @if($data->document_title == 'VISA') selected @endif  value="VISA">VISA</option>
                                            </x-form.select>
                                            <x-form.input value="{{ $data->document_title }}" labelName="Document Title" name="document_title[]" placeholder="Document Title" />
                                            <x-form.input value="{{ $data->issue_at }}" labelName="Issue at" name="issue_at[]" placeholder="Issue at" />
                                            <x-form.input value="{{ $data->issue_date }}" labelName="Issue Date" name="issue_date[]" placeholder="Issue Date" />
                                            <x-form.input value="{{ $data->expiry_date }}" labelName="Expiry Date" name="immigration_expiry_date[]" placeholder="Expiry Date" />
                                                <x-form.input type="file" labelName="Immigration Documents" name="immigration_documents[]" placeholder="Immigration Documents" />
                                            <input type="hidden" name="immigration_documents_old[]" value="{{ asset($data->immigration_documents) }}">
                                        </div>
                                        </div>
                                    </div>
                                    <?php $immigration_documents_inc++ ?>
                                    @endforeach
                                    </div>
                                    <button type="button" class="btn btn-primary mt-3 mb-3" id="add_new_crew_immigration_documents" style="float: right;" >Add New</button>
                                </div>
                                </div>
                            </div>
                            <div class="card accordion-item">
                                <h2 class="accordion-header" id="headingTwo">
                                <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_prev_sea_service_details" aria-expanded="true"  aria-controls="crew_prev_sea_service_details_details" > Prev sea service details </button>
                                </h2>
                                <div id="crew_prev_sea_service_details" class="accordion-collapse collapse" data-bs-parent="#crew_prev_sea_service_detailsExample"  >
                                <div class="accordion-body" id="add_new_crew_prev_sea_service_details_block">
                                    <div class="accordion mt-3" id="crew_prev_sea_service_detailsExample">
                                    <div class="accordion mt-3" id="crew_immigration_documentsExample">
                                        <?php $prev_sea_service_details = DB::table('crew_prev_sea_service_details')->where('crew_id', $general_cv->crew_id)->get();
                                            $prev_sea_service_details_inc = 1;
                                            // dd($managements);
                                        ?>
                                        @foreach ($prev_sea_service_details as $data )
                                    <div class="card accordion-item" data-id="{{ $prev_sea_service_details_inc }}">
                                        <h2 class="accordion-header" id="heading{{ $prev_sea_service_details_inc }}">
                                        <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_prev_sea_service_details_{{ $prev_sea_service_details_inc }}" aria-expanded="true"  aria-controls="crew_prev_sea_service_details_details" >Data</button>
                                        </h2>
                                        <div id="crew_prev_sea_service_details_{{ $prev_sea_service_details_inc }}" class="accordion-collapse collapse show" data-bs-parent="#crew_prev_sea_service_detailsExample"  >
                                        <div class="accordion-body">
                                            <input type="hidden" name="update_prev_sea_service_details[]" value="{{ $data->id }}">
                                            <x-form.input labelName="classification Society" name="classification_society[]" placeholder="classification Society" />
                                            <x-form.input value="{{ $data->vessel_name }}" labelName="Vessel Name" name="pref_vessel_name[]" placeholder="classification Vessel Name" />
                                            <x-form.input value="{{ $data->imo }}" labelName="IMO" name="pref_imo[]" placeholder="IMO" />
                                            <x-form.input value="{{ $data->vessel_flag }}" labelName="Flag of Vessel" name="pref_vessel_flag[]" placeholder="Flag of Vessel" />
                                            <x-form.input value="{{ $data->vessel_type }}" labelName="Type of Vessel" name="pref_vessel_type[]" placeholder="Type of Vessel" />
                                            <x-form.input value="{{ $data->rank }}" labelName="Rank" name="rank[]" placeholder="Rank" />
                                            <x-form.input value="{{ $data->grt }}" labelName="GRT" name="grt[]" placeholder="GRT" />
                                            <x-form.input value="{{ $data->nrt }}" labelName="NRT" name="nrt[]" placeholder="NRT" />
                                            <x-form.input value="{{ $data->period_of_service }}" labelName="Period of service" name="period_of_service[]" placeholder="Period of service" />
                                            <x-form.input labelName="Main Engine Details" name="main_engine_details[]" placeholder="Main Engine Details" />
                                            <x-form.input value="{{ $data->sign_on }}" labelName="Sign on" name="sign_on[]" placeholder="Sign on" />
                                            <x-form.input value="{{ $data->sign_off }}" labelName="Sign off" name="sign_off[]" placeholder="Sign off" />
                                            <x-form.input value="{{ $data->duration }}" labelName="Duration" name="duration[]" placeholder="Duration" />
                                            <x-form.input value="{{ $data->reason_for_sign }}" labelName="Reason for sign" name="reason_for_sign[]" placeholder="Reason for sign" />
                                            <x-form.input type="file" labelName="sea service certificate" name="sea_service[]" placeholder="sea service certificate" />
                                            <input type="hidden" name="sea_service_old[]" value="{{ asset($data->sea_service) }}">

                                            <x-form.input labelName="Name of company" name="name_of_company[]" placeholder="Name of company" />
                                        </div>
                                        </div>
                                    </div>
                                    <?php $prev_sea_service_details_inc++ ?>
                                    @endforeach
                                    </div>
                                    <button type="button" class="btn btn-primary mt-3 mb-3" id="add_new_crew_prev_sea_service_details" style="float: right;" >Add New</button>
                                </div>
                                </div>
                            </div>
                            <div class="card accordion-item">
                                <h2 class="accordion-header" id="headingTwo">
                                <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_qualification_certificate" aria-expanded="true"  aria-controls="crew_qualification_certificate_details" > Crew Qualification Certificate </button>
                                </h2>
                                <div id="crew_qualification_certificate" class="accordion-collapse collapse" data-bs-parent="#crew_qualification_certificateExample"  >
                                <div class="accordion-body" id="add_new_crew_qualification_certificate_block">
                                    <div class="accordion mt-3" id="crew_qualification_certificateExample">
                                    <?php $qualification_certificates = DB::table('crew_qualification_certificates')->where('crew_id', $general_cv->crew_id)->get();
                                            $qualification_certificates_inc = 1;
                                            // dd($managements);
                                        ?>
                                    @foreach ($qualification_certificates as $data )
                                    <div class="card accordion-item  @if ($loop->first) clone  @endif" data-id="{{ $qualification_certificates_inc }}">
                                        <h2 class="accordion-header" id="heading{{ $qualification_certificates_inc }}">
                                        <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_qualification_certificate_{{ $qualification_certificates_inc }}" aria-expanded="true"  aria-controls="crew_qualification_certificate_details" >Data</button>
                                        </h2>
                                        <div id="crew_qualification_certificate_{{ $qualification_certificates_inc }}" class="accordion-collapse collapse show" data-bs-parent="#crew_qualification_certificateExample"  >
                                        <div class="accordion-body">
                                            <input type="hidden" name="update_qualification_certificate[]" value="{{ $data->id }}">
                                            <x-form.select  inputClass="certificate_type" name="certificate_type[]" labelName="Certificate Id">
                                                <option <?php if($data->certificate_type == 'Certificate of Competency' ) echo "selected"; ?>  value="Certificate of Competency">Certificate of Competency</option>
                                                <option <?php if($data->certificate_type == 'GMDSS' ) echo "selected"; ?>  value="GMDSS">GMDSS</option>
                                                <option <?php if($data->certificate_type == 'Watch Keeping Certificate for Deck' ) echo "selected"; ?>  value="Watch Keeping Certificate for Deck">Watch Keeping Certificate for Deck</option>
                                                <option <?php if($data->certificate_type == 'Watch Keeping Certificate For Engine' ) echo "selected"; ?>  value="Watch Keeping Certificate For Engine">Watch Keeping Certificate For Engine</option>
                                                <option <?php if($data->certificate_type == 'Certificate of Proficiency' ) echo "selected"; ?>  value="Certificate of Proficiency">Certificate of Proficiency</option>
                                                <option <?php if($data->certificate_type == 'Medical Documents' ) echo "selected"; ?>  value="Medical Documents">Medical Documents</option>
                                                <option <?php if($data->certificate_type == 'Flag State Certificate' ) echo "selected"; ?>  value="Flag State Certificate">Flag State Certificate</option>
                                            </x-form.select>
                                            <x-form.select inputClass="certificate_id" name="certificate_id[]" class="certificate_id" data-certificate-id="1" labelName="Certificate Title">
                                                <option value="">Select Please</option>
                                                @foreach ($certificates as $data2)
                                                <option <?php if($data->certificate_id == $data2->id ) echo "selected"; ?> value="{{ $data2->id }}">{{ $data2->certificate_title }}</option>
                                                @endforeach
                                            </x-form.select>
                                            <x-form.input value="{{ $data->cert_no }}"  labelName="Cert No" name="cert_no[]" placeholder="Cert No" />
                                            <x-form.input  type="date" value="{{ $data->issue_date }}"  labelName="Issue Date" name="certificate_issue_date[]" placeholder="Issue Date" />
                                            <x-form.input type="date" value="{{ $data->expiry_date }}"  labelName="Expir Date" name="certificate_expiry_date[]" placeholder="Expir Date" />
                                            <x-form.input value="{{ $data->issued_by }}"  labelName="Issued By" name="issued_by[]" placeholder="Issued By" />
                                            <x-form.input value="{{ $data->sign_off }}"  labelName="Sign Off" name="certificate_sign_off[]" placeholder="Sign Off" />
                                            <x-form.input type="file"  labelName="Upload Certificate " name="certificate_file[]" placeholder="Upload Certificate " />
                                            <input type="hidden" name="certificate_file_old[]" value="{{ asset($data->certificate_file) }}">
                                            @if ($data->certificate_file != '')
                                            <a href="{{ asset($data->certificate_file) }}" target="_blank">View Upload Certificate </a>
                                            @endif

                                        </div>
                                        </div>
                                    </div>
                                    <?php $prev_sea_service_details_inc++ ?>
                                    @endforeach
                                    </div>
                                    <button type="button" class="btn btn-primary mt-3 mb-3" id="add_new_crew_qualification_certificate" style="float: right;" >Add New</button>
                                </div>
                                </div>
                            </div>
                            </div>

                    <div class="row justify-content-end">
                        <div class="col-sm-10 mt-3 text-right">
                        <button type="submit" class="btn btn-primary" style="float: right;">Update</button>
                        </div>
                    </div>

                </div>
                </div>
            </div>
        </form>
    </div>
</div>
@push('script')
<script>
    $(document).ready(function(){
        // Vassel Management
        let crew_academic_qualificaition = '{{ count($academic_qualificaitions) }}';
        $("#add_new_crew_academic_qualificaition").click(function () {
            crew_academic_qualificaition++
            $("#crew_academic_qualificaitionExample")
            .append(`<div class="card accordion-item" data-id="`+crew_academic_qualificaition+`">
                    <h2 class="accordion-header" id="heading`+crew_academic_qualificaition+`">
                    <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_academic_qualificaition_`+crew_academic_qualificaition+`" aria-expanded="true"  aria-controls="crew_academic_qualificaition" >Data</button>
                    </h2>
                    <div id="crew_academic_qualificaition_`+crew_academic_qualificaition+`" class="accordion-collapse collapse show" data-bs-parent="#crew_academic_qualificaitionExample"  >
                    <div class="accordion-body">
                        <input type="hidden" name="update_academic_qualificaition[]" value="0">
                        <x-form.input labelName="From" name="from[]" placeholder="From" />
                        <x-form.input labelName="To" name="to[]" placeholder="To" />
                        <x-form.input labelName="Role" name="role[]" placeholder="Role" />
                        <x-form.input labelName="Institutions" name="institutions[]" placeholder="Institutions" />
                        <x-form.select name="qualifications[]" labelName="Qualifications">
                            <option value="PRE SEA DECK CADET">PRE SEA DECK CADET</option>
                            <option value="PRE SEA ENGINE CADET">PRE SEA ENGINE CADET</option>
                            <option value="PRE SEA DECK RATING">PRE SEA DECK RATING</option>
                            <option value="PRE SEA ENGINE RATING">PRE SEA ENGINE RATING</option>
                            <option value="PRE SEA SALON">PRE SEA SALON</option>
                        </x-form.select>
                    </div>
                    </div>
                </div>`);
          });

        // Vassel Classification
        let crew_immigration_documents = '{{ count($immigration_documents) }}';
        $("#add_new_crew_immigration_documents").click(function () {
            crew_immigration_documents++
            // alert(vessel_classification);
            $("#crew_immigration_documentsExample")
            .append(`<div class="card accordion-item" data-id="`+crew_immigration_documents+`">
                    <h2 class="accordion-header" id="heading`+crew_immigration_documents+`">
                    <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_immigration_documents_`+crew_immigration_documents+`" aria-expanded="true"  aria-controls="crew_immigration_documents" >Data</button>
                    </h2>
                    <div id="crew_immigration_documents_`+crew_immigration_documents+`" class="accordion-collapse collapse show" data-bs-parent="#crew_immigration_documentsExample"  >
                    <div class="accordion-body">
                        <input type="hidden" name="update_immigration_documents[]" value="0">
                        <x-form.input labelName="Document Title" name="document_title[]" placeholder="Document Title" />
                        <x-form.input labelName="Issue at" name="issue_at[]" placeholder="Issue at" />
                        <x-form.input labelName="Issue Date" name="issue_date[]" placeholder="Issue Date" />
                        <x-form.input labelName="Expiry Date" name="immigration_expiry_date[]" placeholder="Expiry Date" />
                    </div>
                    </div>
                </div>`);
          });
        // Safety Certificates
        let crew_prev_sea_service_details = '{{ count($prev_sea_service_details) }}';
        $("#add_new_crew_prev_sea_service_details").click(function () {
            crew_prev_sea_service_details++
            // alert(vessel_classification);
            $("#crew_prev_sea_service_detailsExample")
            .append(`<div class="card accordion-item" data-id="`+crew_prev_sea_service_details+`">
                    <h2 class="accordion-header" id="heading`+crew_prev_sea_service_details+`">
                    <button type="button"  class="accordion-button" data-bs-toggle="collapse" data-bs-target="#crew_prev_sea_service_details_`+crew_prev_sea_service_details+`" aria-expanded="true"  aria-controls="crew_prev_sea_service_details_details" >Data</button>
                    </h2>
                    <div id="crew_prev_sea_service_details_`+crew_prev_sea_service_details+`" class="accordion-collapse collapse show" data-bs-parent="#crew_prev_sea_service_detailsExample"  >
                    <div class="accordion-body">
                        <input type="hidden" name="update_prev_sea_service_details[]" value="0">
                        <x-form.input labelName="classification Society" name="classification_society[]" placeholder="classification Society" />
                        <x-form.input labelName="Vessel Name" name="pref_vessel_name[]" placeholder="classification Vessel Name" />
                        <x-form.input labelName="IMO" name="pref_imo[]" placeholder="IMO" />
                        <x-form.input labelName="Flag of Vessel" name="pref_vessel_flag[]" placeholder="Flag of Vessel" />
                        <x-form.input labelName="Type of Vessel" name="pref_vessel_type[]" placeholder="Type of Vessel" />
                        <x-form.input labelName="Rank" name="rank[]" placeholder="Rank" />
                        <x-form.input labelName="GRT" name="grt[]" placeholder="GRT" />
                        <x-form.input labelName="NRT" name="nrt[]" placeholder="NRT" />
                        <x-form.input labelName="Period of service" name="period_of_service[]" placeholder="Period of service" />
                        <x-form.input labelName="Main Engine Details" name="main_engine_details[]" placeholder="Main Engine Details" />
                        <x-form.input labelName="Sign on" name="sign_on[]" placeholder="Sign on" />
                        <x-form.input labelName="Sign off" name="sign_off[]" placeholder="Sign off" />
                        <x-form.input labelName="Duration" name="duration[]" placeholder="Duration" />
                        <x-form.input labelName="Reason for sign" name="reason_for_sign[]" placeholder="Reason for sign" />
                        <x-form.input labelName="Name of company" name="name_of_company[]" placeholder="Name of company" />
                    </div>
                    </div>
                </div>`);
          });

        // Safety Certificates
        let crew_qualification_certificate = '{{ count($qualification_certificates) }}';
       // Safety Certificates
    //    let crew_qualification_certificate = 1;
        $("#add_new_crew_qualification_certificate").click(function () {
            crew_qualification_certificate++
            // alert(vessel_classification);
            var append_value = $('#crew_qualification_certificateExample').find('.accordion-item.clone').attr('data-id', 1).clone();
            append_value.removeClass('clone');
            append_value.attr('data-id', crew_qualification_certificate);
            append_value.find('#headingTwo').attr('id', 'heading'+crew_qualification_certificate+'');
            append_value.find('.accordion-button').attr('data-bs-target', '#crew_qualification_certificate_'+crew_qualification_certificate+'');
            append_value.find('#crew_qualification_certificate_1').attr('id', 'crew_qualification_certificate_'+crew_qualification_certificate+'');
            $(append_value).appendTo("#crew_qualification_certificateExample");
         });


    });
  </script>
  <script>
    $(document).ready(function(){
        // $('.certificate_type').each(function(){

            // $(document).on('change', '.certificate_type', function() {
                $(document).on('change', '.certificate_type', function () {
                let $this = $(this);
                var _token = $("input[name='_token']").val();
                let certificate_type =  this.value;
                $.ajax({
                    url: "{{ route('admin.getCrewCertificatesAjax') }}",
                    type:'POST',
                    data: {_token:_token, certificate_type:certificate_type},
                    success: function(data) {
                        $this.closest('.accordion-body').find('.certificate_id').html(data)
                    }
                });

            });
        // });
    });
  </script>
@endpush
@endsection

