
@extends('layouts.backend')
@section('contents')
<div class="container-xxl flex-grow-1 container-p-y">
    <div class="row">
        <div class="col-xxl">
            <div class="card mb-4">
              <div class="card-header d-flex align-items-center justify-content-between" style="display: inline-block !important;">
                <form method="POST" action="{{ route('admin.general-cv.rank') }}">
                    @csrf
                    <div class="row">
                        <div class="col-md-6">
                            <select class="form-control" name="rank_name" id="rank_name">
                                <option value="">select</option>
                                <option @if(old('rank_name') == 'DECK CADET') selected @endif value="DECK CADET">DECK CADET </option>
                                <option @if(old('rank_name') == 'ENGINE CADET') selected @endif value="ENGINE CADET">ENGINE CADET</option>
                                <option @if(old('rank_name') == 'DECK RATING') selected @endif value="DECK RATING">DECK RATING</option>
                                <option @if(old('rank_name') == 'ENGINE RATING') selected @endif value="ENGINE RATING">ENGINE RATING</option>
                                <option @if(old('rank_name') == 'OS') selected @endif value="OS">OS</option>
                                <option @if(old('rank_name') == 'WIPER') selected @endif value="WIPER">WIPER</option>
                                <option @if(old('rank_name') == 'AB') selected @endif value="AB">AB</option>
                                <option @if(old('rank_name') == 'OILER') selected @endif value="OILER">OILER</option>
                                <option @if(old('rank_name') == '4TH ENGINEER') selected @endif value="4TH ENGINEER">4TH ENGINEER</option>
                                <option @if(old('rank_name') == '3RD OFFICER') selected @endif value="3RD OFFICER">3RD OFFICER</option>
                                <option @if(old('rank_name') == '3RD ENGINEER') selected @endif value="3RD ENGINEER">3RD ENGINEER</option>
                                <option @if(old('rank_name') == '2ND ENGINEER') selected @endif value="2ND ENGINEER">2ND ENGINEER</option>
                                <option @if(old('rank_name')== 'CHIEF OFFICER') selected @endif value="CHIEF OFFICER">CHIEF OFFICER</option>
                                <option @if(old('rank_name') == 'CHIEF ENGINEER') selected @endif value="CHIEF ENGINEER">CHIEF ENGINEER</option>
                                <option @if(old('rank_name') == 'MASTER') selected @endif value="MASTER">MASTER</option>
                                <option @if(old('rank_name') == 'SALON') selected @endif value="SALON">SALON</option>
                            </select>
                        </div>
                        <div class="col-md-3">
                            <button type="submit" id="cv_search" class="btn btn-primary">search</button>
                            <a href="{{ route('admin.general-cv.index') }}" class="btn btn-primary">Applicant list</a>
                        </div>
                    </div>
                </form>
              </div>
                <!-- Basic Bootstrap Table -->
                <div class="card">
                    <div class="table-responsive text-nowrap">
                      <table class="table">
                        <thead>
                          <tr>
                            <th>Applicant Name</th>
                            <th>Vessel Name</th>
                            <th>Position Applied</th>
                            <th>Actions</th>
                          </tr>
                        </thead>
                        <tbody class="table-border-bottom-0">
                            @forelse ($general_cv as $data )
                                <tr>
                                    <td> <a href="{{ route('admin.general-cv.show', [$data->id]) }}" target="_blank">

                                            <strong>{{ $data->full_name }}</strong>
                                        </a>
                                    </td>
                                    <td> <a href="{{ route('admin.vessel.show', [$data->for_vessel]) }}" target="_blank">

                                            <strong>{{ $data->vessel_name }}</strong>
                                        </a>
                                    </td>
                                    <td>{{ $data->position_applied }}</td>
                                    <td>
                                    <div class="dropdown">
                                        <button type="button" class="btn p-0 dropdown-toggle hide-arrow" data-bs-toggle="dropdown">
                                        Action
                                        </button>
                                        <div class="dropdown-menu">
                                        <a class="dropdown-item" href="{{ route('admin.general-cv.show', [$data->id]) }}"
                                            ><i class="bx bx-edit-alt me-1"></i> View CV</a>
                                        <a class="dropdown-item" href="{{ route('admin.crew.edit', [$data->crew_id]) }}"
                                            ><i class="bx bx-edit-alt me-1"></i> Edit</a>
                                        <a class="dropdown-item" href="{{ route('admin.generalCvDelete', [$data->id]) }}"
                                            ><i class="bx bx-trash me-1"></i> Delete</a>
                                        </div>
                                    </div>
                                    </td>
                                </tr>
                            @empty
                                <tr>
                                    <td  colspan="4">No record Found</td>
                                </tr>
                            @endforelse

                        </tbody>
                      </table>
                    </div>
                  </div>
                  <!--/ Basic Bootstrap Table -->
            </div>
        </div>
    </div>
</div>
@endsection
