{{-- @extends('layouts.backend')
@section('contents') --}}
<?php
use Illuminate\Support\Facades\DB;


$general_cv = DB::table('general_cvs')->where('id', $id)->first();
$crew = DB::table('crews')->where('id', $general_cv->crew_id)->first();
$vessel = DB::table('vessels')->where('id', $general_cv->for_vessel)->first();
$font_link = public_path().'/backend/fonts/Poppins-Regular.ttf';
$academic_qualificaitions = DB::table('crew_academic_qualificaitions')->where('crew_id', $general_cv->crew_id)->get();
$immigration_documents = DB::table('crew_immigration_documents')->where('crew_id', $general_cv->crew_id)->get();
$prev_sea_service_detail = DB::table('crew_prev_sea_service_details')->where('crew_id', $general_cv->crew_id)->get();
$qualification_certificates = DB::table('crew_qualification_certificates')->where('crew_id', $general_cv->crew_id)->get();


?>
<!DOCTYPE html>

<html lang="en">
<head>
    <meta charset="utf-8">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>{{ $pdf_name }}</title>

    <style>
        @font-face {
        font-family: 'Open Sans';
        font-style: normal;
        font-weight: normal;
        src: url({{ $font_link }}) format('truetype');
        }
        body{
            font-family: 'Open Sans';
        }
        .custom-table table td, .custom-table table th {
        font-size: ;
        border: 1px solid #ddd;
        font-size: 11px !important;
        padding: 5px;
        }
        .custom-table h6 {
        margin-bottom: 0;
        font-weight: 700;
        }
        .cv-img img {
        height: 125px;
        width: 125px;
        margin-bottom: 20px;
        }
        .cv-img {
        text-align: center;
        }

        .signiture {
        display: inline-block;
        width: 100%;
        margin: 20px 2px;
        width: 200px;
        text-align: center;
        float: right;
        }
        .custom-table {
        display: inline-block;
        width: 100%;
        overflow: hidden;
        }
        .signiture span {
        display: inline-block;
        margin-top: 10px;
        }
        .signiture_title {
        border-top: 1px solid #ddd;
        }
        .signiture img {
        width: 100%;
        }
        .ship-bg {
            height: 100%;
            width: 100%;
            position: fixed;
            background-attachment: fixed;
            background-position: center center;
            background-size: cover;
            z-index: -1;
        }
        .ship-bg::after {
            position: absolute;
            left: 0;
            top: 0;
            height: 100%;
            width: 100%;
            content: '';
            background-size: ;
            background-color: #000;
            opacity: 0.6;
        }
        .download-pdf-btn {
            display: inline-block;
            text-align: right;
            width: 100%;
        }
        #print-general-cv {
            background-color: #fff !important;
        }
        .width-75{
            width: 75%;
        }
        .width-100{
            width: 100%;
        }
        .overflow{
            overflow: hidden;
        }
        .width-25{
            width: 25%;
        }
        .float-left{
            float: left;
        }
        .float-right{
            float: left;
        }
        .d-block{
            display: block;
        }
        .d-inline-block{
            display: inline-block;
        }
    </style>
</head>
<body>
    <div class="pdf-page" >
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <td colspan="3"><h1 style="text-align: center">SEAFARER’S APPLICATION FORM</h1></td>
                </tr>
                <tr>
                    <td><strong> CREW NATIONALITY:  </strong>  {{ $crew->nationality }} </td>
                    <td><strong> AGENCY：</strong> AYAR SHIPAYAR SHIPPING SERVICES</td>
                    <td><strong> APPLY DATE：</strong> {{ $general_cv->application_date }}</td>
                </tr>
            </table>
        </div>

        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <td><strong> NAME </strong> {{ $crew->full_name }} </td>
                    <td><strong> RANK </strong> </td>
                    <td><strong> POSITION APPLY FOR </strong> {{ $general_cv->position_applied }}</td>
                    <td rowspan="6">
                        <?php if($crew->img !=''): ?>
                        <div class="cv-img width-130px">
                            <img style="width:130px" src="{{ public_path().'/'.$crew->img }}" alt="">
                        </div>
                        <?php endif; ?>
                    </td>
                </tr>
                <tr>
                    <td><strong> D.O.B </strong>  {{ $crew->date_of_birth }} </td>
                    <td><strong> P.O.B </strong> {{ $crew->place_of_birth }}</td>
                    <td><strong> RELIGION </strong> {{ $crew->religion }}</td>
                </tr>
                <tr>
                    <td colspan="2"><strong>NAME OF SCHOOL </strong>  {{ $crew->school }}</td>
                    <td><strong> DURATION </strong> {{ $crew->duration }}</td>
                </tr>
                <tr>
                    <td><strong> MAJOR</strong> {{ $crew->major }} </td>
                    <td><strong> EDUCATION</strong> {{ $crew->education }}</td>
                    <td><strong> FOOD PROHIBITION </strong> </td>
                </tr>
                <tr>
                    <td><strong> ID</strong> {{ $crew->id_no }}</td>
                    <td><strong> MARITAL STATUS</strong> {{ $crew->marital_status }} </td>
                    <td><strong> BENEFICIARY </strong> {{ $crew->next_of_kin }} </td>
                </tr>
                <tr>
                    <td><strong> HOME TEL.</strong> {{ $crew->mobile_no }} </td>
                    <td><strong> M.B.NO.</strong> {{ $crew->mobile_no }}  </td>
                    <td><strong> BLOOD </strong>  {{ $crew->blood }}</td>
                </tr>
                <tr>
                    <td><strong>Height:</strong> {{ $crew->height }} </td>
                    <td><strong>Weight:</strong> {{ $crew->weight }} </td>
                    <td><strong> WAISTLINE：</strong> </td>
                    <td><strong> SHOE：</strong> {{ $crew->waistline }}</td>
                </tr>
                <tr>
                    <td><strong>ADDRESS</strong> {{ $crew->address }}</td>
                    <td colspan="3"><strong>ZIP CODE</strong>  {{ $crew->zip_no }}</td>
                </tr>
            </table>
        </div>
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="6"><strong>FAMILY PARTICULARS（such as parents,wife,children）</strong></th>
                </tr>
                <tr>
                    <td><strong> NAME </strong> </td>
                    <td><strong> RELATION </strong> </td>
                    <td><strong>DATE OF BIRTH</strong> </td>
                    <td ><strong> EDUCATION </strong> </td>
                    <td ><strong> TEL.NO </strong> </td>
                    <td ><strong> OCCUPATION </strong> </td>
                </tr>
                <tr>
                    <td>  </td>
                    <td> </td>
                    <td> </td>
                    <td > </td>
                    <td > </td>
                    <td > </td>
                </tr>
            </table>
        </div>
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="6"><strong> CERTIFICATE  </strong></th>
                </tr>

                <tr>
                    <th><strong>TYPE OF CERTIFICATE</strong></th>
                    <th><strong>CERTIFICATE NO</strong></th>
                    <th><strong>DATE OF ISSUE </strong></th>
                    <th><strong>DATE OF EXPIRE </strong></th>
                    <th><strong>ISSUING AUTHORITY</strong></th>
                    <th><strong>Sign By</strong></th>
                </tr>
                <?php
                 $certificates = ['general', 'professional', 'medical'];
                 ?>
                 @foreach ( $certificates as $certificate)
                    <tr>
                        <th colspan="6" style="text-align: center"><strong>{{ $certificate }} </strong></th>
                    </tr>
                    <?php
                    $certificate_data = DB::table('certificates')->where('certificate_type', $certificate)->where('status', '1')->orderBy('order')->get();
                    ?>
                    @foreach ($certificate_data as  $data)
                    <?php //dd($data); ?>
                        <?php  $crew_certificate = DB::table('crew_qualification_certificates')->where('certificate_type', $certificate)->where('certificate_id', $data->id)->first();
                        if($crew_certificate){
                            $cert_no = $crew_certificate->cert_no;
                            $issue_date = $crew_certificate->issue_date;
                            $expiry_date = $crew_certificate->expiry_date;
                            $issued_by = $crew_certificate->issued_by;
                            $sign_off = $crew_certificate->sign_off;

                        }else{
                            $cert_no = '';
                            $issue_date = '';
                            $expiry_date = '';
                            $issued_by = '';
                            $sign_off = '';
                        }
                        ?>
                        <tr>
                            <td>{{ $data->certificate_title }}</td>
                            <td>{{ $cert_no }}</td>
                            <td>{{ $issue_date }}</td>
                            <td>{{ $expiry_date }}</td>
                            <td>{{ $issued_by }}</td>
                            <td>{{ $sign_off }}</td>
                        </tr>
                    @endforeach
                 @endforeach



            </table>
        </div>

        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="12"><strong><h6>PREVIOUS SEA EXPERIENCE  </h6></strong></th>
                </tr>
                <tr>
                    <th><strong>Rank</strong></th>
                    <th><strong>SHIP</strong></th>
                    <th><strong>FLAG</strong></th>
                    <th><strong>TYPE</strong></th>
                    <th><strong>IMO No.</strong></th>
                    <th><strong>GT</strong></th>
                    <th><strong>HORSE</strong></th>
                    <th><strong>NRT</strong></th>
                    <th><strong>DATE OF SIGN ON</strong> </th>
                    <th><strong>DATE OF SIGN OFF</strong> </th>
                    <th><strong>M.E TYPE </strong> </th>
                    <th><strong>REASON </strong></th>
                    <th><strong>COMPANY</strong></th>
                </tr>
                @foreach ($prev_sea_service_detail as $data)
                <tr>
                    <td>{{ $data->rank }}</td>
                    <td><?php if(isset($data->vessel_name)){echo $data->vessel_name;} ?></td>
                    <td>
                        <?php if(isset($data->vessel_flag)): ?>
                        <img src="{{ public_path().'/'.$data->vessel_flag }}" height="25px" width="35px" alt="">
                        <?php endif; ?>
                    </td>
                    <td><?php if(isset($data->vessel_type)){echo $data->vessel_type;} ?></td>
                    <td><?php if(isset($data->imo)){echo $data->imo;} ?></td>
                    <td>{{ $data->grt }}</td>
                    <td> </td>
                    <td>{{ $data->nrt }}</td>
                    <td>{{ $data->period_of_service }}</td>
                    <td>{{ $data->sign_on }}</td>
                    <td>{{ $data->sign_off }}</td>
                    <td>{{ $data->duration }}</td>
                    <td>{{ $data->reason_for_sign }}</td>
                </tr>
                @endforeach

            </table>
        </div>
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <td><strong>PERSONAL REQUIRE:(Such as wage/contract period/vsl size)</strong> </td>
                    <td><strong> </td>
                </tr>
            </table>
        </div>
    </div>
</body>
</html>



<div id="editor"></div>
{{-- @push('script')


<script>
      let doc = new jsPDF();

       let btn = document.getElementById('btn-general-cv');

      let conteudo = document.getElementById('print-general-cv');
      doc.addHTML(conteudo, 0, 10, function() {

            var blob = doc.output("blob");
            window.open(URL.createObjectURL(blob));
            history.go(-1);
        });

    //   btn.addEventListener('click', function() {



    //   })

</script>
@endpush
@endsection
 --}}
