@extends('layouts.backend')
@section('contents')
<div class="container-xxl flex-grow-1 container-p-y">
    <div class="row">
        <form method="POST" action="{{ route('admin.sms.update',[$sms->id]) }}" enctype="multipart/form-data" >
            @method('PUT')
          @csrf
            <div class="col-xxl">
                <div class="card mb-4">
                <div class="card-header d-flex align-items-center justify-content-between">
                    <h5 class="mb-0">{{ $title }}</h5>
                    <a href="{{ route('admin.sms.create') }}"  type="button" class="btn btn-primary" >Add New Message</a>
                </div>
                <div class="card-body">
                    <x-form.input  value="{{ $sms->sms_title }}" labelName="SMS Title" name="sms_title" placeholder="SMS Title" />

                    <div class="row mb-3">
                        <label class="col-sm-2 col-form-label" for="basic-default-name">Enter SMS Message</label>
                        <div class="col-sm-10">
                            <textarea class="form-control" name="sms_message" id="" cols="10" rows="5">{{ $sms->sms_message }}</textarea>
                            @error('sms_message') <div class="invalid-feedback d-block"> {{ $message }} </div> @enderror
                        </div>

                    </div>
                    <div class="row mb-3">
                        <label class="col-sm-2 col-form-label" for="basic-default-name">Enter Phone Number [separet by (') each number] </label>

                        <div class="col-sm-10">
                            <textarea class="form-control" name="sms_number" id="" cols="10" rows="5">{{ $sms->sms_number }}</textarea>
                            @error('sms_number') <div class="invalid-feedback d-block"> {{ $message }} </div> @enderror
                        </div>

                    </div>


                    <div class="row justify-content-end">
                        <div class="col-sm-10 mt-3 text-right">
                            <button type="submit" class="btn btn-primary" style="float: right;">Create Message</button>
                        </div>
                    </div>

                </div>
                </div>
            </div>
        </form>
    </div>
</div>
@push('script')
<script>
    $(document).ready(function(){

    });
  </script>
@endpush
@endsection

